Announcements: Universe of the Month! » Finding Universes to Join (and making yours more visible!) » Guide To Universes On RPG » Starter Locations & Prompts for Newbies » RPG Chat — the official app » USERNAME CHANGES » Suggestions & Requests: THE MASTER THREAD »

Latest Discussions: Aphantasia » Skill Trees - Good, Bad & Ugly » In-Game Gods & Gameplay Impact » Cunningham's Law » The Tribalism of Religion » Lost Library » Game Theory » The Hidden Void » Removing CS From an Indy Universe : Solution » On the Matter of New Players and Orphaned Plays » STOP BLAMING US FOR RPG BEING SLOW! » Polytheism » The Game of Life » Just War » Science and Philosophy » The Bible as Literature » Humans in the MV. Questions and thoughts. » Surviving the post-holiday apocalypse. » SL: 1097 Bestiary of Monsters » What latest tech excites me? »

Players Wanted: A Fairytale World in Need of Heroes & Villains! » Are You a Crime Addict? » Wuxia RP » Looking for roleplayers » New Realistic Roleplay - Small World Life ٩( ´・ш・)و » Mentors Wanted » MV Recruiting Drive: sci-fi players wanted! » Veilbrand: The Revolution » Gonna do this anyway. » Looking for Kamen Rider Players » Elysium » Looking for roleplayers for a dystopian past! » Revamping Fantasy Adventure RPG, need new players » Here, At the End of the World (supernatural mystery drama) » Seeking Role Players for a TOG Based RP » so I made a Stranger Things RP idk why not come join » LFP - New Roleplay » Gifted/Mutant individuals escaping the gov » Spaceship Zero! A retro horror sci fi RP with rayguns :D » mahou shoujo rp »

Visit Mizahar »
Submitted by: Tarot
Status: UP

Places to Roleplay

↪ Mizahar

Official Link: http://www.mizahar.com/ is recognized as Mizahar.

A unique fantasy RPG that takes place in a world being rebuilt 500 years after the destruction of civilization. There are countless factions, meddling gods and unique races; all against the backdrop of unforgiving terrain and cities full of intrigue.

Reviews

What do other people think about Mizahar?

Click here to add your own review...

Time Username Review Rating
Thu Jan 21, 2021 9:34 am 32pearls Exceptional writing with stunning visual descriptions and beautiful site design. 10
Sun Dec 27, 2020 11:00 pm SwingBeach Seriously talented writers all over this site, even with not writing anymore I can't leave the stories alone. Even the newer people like Tazrae are such beautiful and engaging writers that have the ability to make their readers not only see but feel the emotions.

Incredible to say the least.
10
Thu Mar 12, 2020 7:10 pm Dogsled Intriguing characters with very in depth plot lines that stimulates the imagination. The long trails of short stories make for nice reading during the snowy nights in the UP. Can't wait to start my own red-haired Inarta story. 10
Tue Dec 31, 2019 11:05 pm 1985_centurycenter_nye Beautiful writers here that illustrate some of the greatest creativity. Site design, layout, and implementation is one of the best that I have found on the web in a long time. Rather innovative scheme to character (Skill) development that gives an interesting flair to the genre of writing that feels fresh and adds a new perspective and depth to the writing.

The things we regret most in life are the chances we never took!
10
Sat Dec 07, 2019 3:18 pm Valpo-tank I came across this site on here and started reading the tomes of lore and and the amazing writers that bring the stories alive. I have been infatuated with one writer in specific that lives in the cross of a tropical paradise and nightmare. Her stories spring from the pages with a life of their own as she weaves the plots so beautifully and the depth of her characters puts Disney Princesses to shame but she deserves the name 100%! Although I have no right to do this, but her adventures are something I look forward to reading. Move over Moana, for tropical Syka has her own Princess in Kamilla! 10
Sat Nov 23, 2019 8:15 am Erie_Swimmer World class writer! Than you Goss, staff, and writers for making it such a wonderful and warm place. 10
Sat Nov 09, 2019 1:49 pm Kuvarakh Okay, I am blatantly copy/pasting from last August. Sorry, but I liked that post and just wanted to add one thing to it. Here then is the original post:


"Really, I give it a 5. It's not the review that's fake. It's the rating number we have to attribute to it to have our critiques not shunted to the bottom of the list. But it IS a pretty cheap shot going in Rating-numerical order, to have it look like nothing but 10's at a glance. With the internet society being so impatient, most folks are not going to spend the time running down the dates to see that you only go about a dozen entries before you see that the 10's take a big entry-date jump from 2019 to 2016. Scroll to the bottom and work up and you will see that there are 2 or 3 times that number of 1's.


But for all that, don't take anyone's word for it. by all means try it out. I gave Miz a 5 a few years back, and stand by that assessment, though I have no idea if I would feel the same now, as I did not come back after being given an ultimatum that recognized nothing good or cooperative that I had done, and greatly exaggerated anything that could be colored "bad". I ended up having a vlog almost entirely devoted to "Me-bashing".


Still I left giving a 5, because until it became obvious that the administration was going to block any further progress any of my characters could make, I did greatly enjoy my time there. Having now had some mod experience, I can understand that some of my early actions were annoying. But there not DELIBERATELY so, yet they were treated as such. And once the admin gets that impression of you, it sticks regardless of anything you do. But you might not make those early mistakes and have a very satisfying experience. So because of the potential great time, tempered by the equally potential undeserved crush of all hopes, I give it a 5.


I was Kuvarakh, Inoadar, Brodon Windriver, Jadlin Hayes, and a Dhani spiritist named Viszragoneszh. So I am not hiding from anyone. Any of you that posted with me know was not the jerk I was made out to be as I was tossed out. Also, I hope this honesty helps make it believable that we at ST did not ever encourage Miz-bashing, and have repeatedly asked folks to stop. By all means, play Miz and decide for yourself. Don't listen to any foul-mouthed morons on either side insist that all those on the other side are irrevocably and reprehensibly indefensible in their point of view. This is the internet. People are full of crap."


And then what I wanted to add was this: Regarding the true, but misunderstood, fact of our promoting a staff-friendly PC to "godhood" after only 80 posts. This was discussed by staff before it was done, and the reason was NOT just that the player's good writing, in that far-reaching story arc, set-up the possibility of trying out something that we have said IS possible. We did not want to be another site that makes claims of how high a PC can rise, only to never really let it happen.


We wanted to show that it COULD happen. But for this first tryout, it only makes diplomatic sense to have it be a staff alt. It needed a test run. So, given the outraged backlash over using a staff alt to try it, and then having it fail, imagine how much worse the vitriol would have been if we'd used a PLAYER'S PC, and then "reneged" on it. Oh, the humanity! You will have hopefully noticed that this character has been reduced to NPC status.


As for the current admin, she was ready and willing to let anyone else take the job. But none of us cowards wanted it, knowing how it would put us in the now-confirmed crosshairs of internet crybabies. She works harder than any of us, and as a result, has developed her PCs further than the rest. It makes perfect sense and is entirely fair. Get over it.
10
Fri Oct 25, 2019 8:09 pm Triplethreat First off let me say that I've been playing Mizahar when time allows since almost the very beginning when the game just opened and everything was brand new. Now, ten years later, I'm still here and still playing.

Why?

I love the setting, the people, the system, and virtually everything about the site. The aesthetics even, are fantastic. There's not really any more unusual and frankly unique layout online in terms of setup, player creation, skill points, and personal growth. The skill system is original and unique. It's been copied and modeled many times by many spin-off games, but it was the first and frankly what I think is the best out there. Why? You are awarded for your own hard work in thread. Your skills increase based on you actively using them. So this Writer's RPG takes the best of D&D - where you get XP each session based on what you did - and applies it to real writing based on what your character does in each and every thread. And it encourages interactions with others so its just not you out there writing solo stories and frankly twiddling your thumbs with yourself. Here, you get to write with groups and you get a whole lot of control over what you write.

Miz also runs contests, competitions, and has quests and individual opportunities to grow and invest in character development just like one could do writing a book or doing some table top gaming. The quest items are fun, the contests challenging, and you get to do a lot of interesting stuff when those types of things are going on. Look for them on the weekends... though if you request a weekday one, they will often comply.

I really didn't like the system whereas only the Moderators and Storytellers could grade before, because grades were slow as the writing was high paced and threads piled up fast as people got carried away with storytelling. Now, however, since Mizahar has a grader program, if a person demonstrates the ability to understand the grading system then they are more than able to apply to be a grader (take a quick easy quiz) and start grading not only their own threads but threads in Grade Request Posts so we never have grading ques that are behind.

That brings me to a concept about Mizahar I really like. The Leadership is always adjusting the site to fit the changing needs of the game or to fix a problem (like the build up of waiting ungraded threads) in a way that is fair and proactive.

New players are all treated fairly, with no one getting special privileges for being 'friends' with the staff etc. Everyone starts out with the same skill points, gear, and the ability to write themselves into better stats with hard work. Those that are stand outs usually are offered staff positions and definitely given grader status if they show interest.

The chat is friendly (though use the Discord chat... no one is on their ajax chat anymore) and super helpful so people who are just starting out can get help when they need it. I often go and hang out just to share recipes, see everyone's cat pictures, and bounce thread ideas off other players in the course of my character's scheming.

This site is really like a family on the internet... one I've been a part of for a long long time. This site and writing on it has gotten me through a lot of stressful times in my life and frankly terrible holidays I didn't want to participate in. My Miz family is better than my real family.

Mizahar isn't perfect though. If anything, I honestly think the staff and founder tolerate trolls way too much and give them too much leeway before they either cause drama and are booted or leave in a huff. I've been on other sites and I see that the people who run this site really do try and put up with more than they should. I also think there is a fair bit of jealousy from other sites in regards to Mizahar's long term success and longevity.

I think Mizahar needs more staff as well. Running cities is hard work and without more volunteers the players get condensed in open cities and no one likes to be forced to play in a place just because its open and active. I understand why they close cities who do not have moderators - it falls on Gossamer to do all the activity a Moderator would do in a closed city and she simply can't babysit the whole game. I get that. But perhaps allowing Moderators to volunteer to oversee more than one city would work out better? I don't know if thats too much work for one person, but it would solve several problems. I would honestly like to play in some of the more remote and quieter places.

As a final note, Miz puts themselves out here by opening themselves up for Reviews on places like this lovely RPG Gateway while-as the people that come here and write fake reviews or bash Miahar in order to advertise themselves DO NOT. I think its telling that they don't put themselves out there by offering up their own site for review. What are they truly afraid of?

Lets face it. Its far easier to tear a place down that people have worked hard on than to build another place up with your time sweat and tears... that other random trolls will tear down. Mizahar has held its head up high. It has a lot to be proud of. It has a loyal playerbase, a long history of activity, and is in no danger of being a 'has been' or closing. With the proper care and feeding this site can easily go another ten years. I know I'll still be here writing.
10
Wed Oct 16, 2019 11:31 am Taln Rating is a 1 but putting a 10 gets this to the top. This site exists to bring the sociopath Jen/Goss entertainment and a full confession of how she enjoys being cruel. DO NOT JOIN MIZAHAR. I have a blog directly from the admin of Mizahar. She is a sociopath full on. When I confronted her about it, I used the "Gray Rock Method" and now she no longer has any interest in me. I'm boring because she can no longer elicit a response from me. The hidden secret of Mizahar's Gossamer:
Being Jen & The Secret of Happiness
1 out of 52 out of 53 out of 54 out of 55 out of 5
Permanent Linkby Gossamer on January 19th, 2010, 7:05 am

I have learned, throughout life, what makes me happy isn't always what makes other people happy. I think a great deal about happiness. It might be because so many people around me are not happy. It doesn't matter if I'm talking about people I know online or people I interact with daily in my life. I've spent a lot of time trying to figure out why they aren't happy - not to improve their lives - but to truthfully avoid my life becoming theirs. That might not make a lot of sense to you, which is fine, but truthfully I think that this the key to happiness. We all have a foundation. That foundation is our personality. Personalities rarely conform to societies rules and regulations, nor do they ever usually follow along with the status quo. You have to work with what your dealt. It's a great deal like your phenotypic expression. You look like what you look like (due to genetics and how those gene's express themselves), and you truthfully can't change your black/bronze/white/red/chartreuse skin color any more than you can change the foundation of your personality. Popeye said "I am what I am." He was so right.

So, what exactly is that? Who is Jen?

Seriously. It's a terribly hard question to answer. If you take a look deep inside yourself right now, most people would start waxing eloquently about their nobility, their kick ass writing ability, their superior storytelling abilities/grammar/spelling, their self-sacrificing persona... but that would all be bullshit wouldn't it? Oh hell yes. If you start thinking of yourself immediately (if you paused a minute to play my game and say "Who is X?") in any of those categories, the first thing you need to dub yourself is a liar. There's a lot of them out there. Grats. That would be part of your foundation. The foundation is the truth about who you are. It is not someone else's truth. It is not even what society expects or demands. People rarely fall into the 'normal' category. They can't. People are so diverse and different, their strengths and weaknesses are all over the board.

So.. that being said, who is Jen? It's a complex question that demands truthfully a simple answer. And its one that is easier to talk about when you step outside of yourself and give yourself a good long hard look. Let's try. You can play too. And no, you don't have to tell us who (insert your name here) is. Here's just a little slice.

Jen is strong. Jen doesn't understand people who aren't strong in the same ways she is. Jen is opinionated. Jen has issues with people that won't voice their true feelings or do so only covertly. Jen is outspoken. Jen is confused when people don't appreciate this. Jen is judgmental and categorizes everyone into just a few tight categories in her mind. Jen is creative. Jen really dislikes creative people saying they aren't creative because creativity is so easy to spot for Jen. If someone can't do something Jen can, she often scratches her head and decides they are an idiot. Jen loves to fight and argue. She lives for a good verbal spar, even if she looses. When she looses, she likes to admit her loss because it makes her feel stronger. Jen is a line in the sand girl that loves making them over and over just to dare someone to cross them. She finds excitement in line-crossers. Jen is moody. Jen gets bored with the same mood repeatedly. Jen never forgets when someone lies to her. Jen delights in catching lies. Jen forgives or ignores exaggerators their exaggerations because she loves people to exaggerate. Exaggerations are exciting. She even exaggerates herself. Jen hates her husband's ability to pick out her exaggerations. Jen loves pride. She is often proud of herself and others and likes to tell everyone when she feels self-pride or pride for others. Jen is smart, but feels her smarts came from doing rather than talking about things. So when people won't even try, Jen labels them dumb and lazy. Jen is a doer. She needs a monster to fight or a new battle to wage on a daily basis because she is a warrior. Jen is a person that needs people to stop whining about their lives and go do something to change whatever it is that is making them whine. This relates to her doer-ness. Jen hates whiners. Yes hates. I can say that about Jen. I know her pretty well. Jen is extremely hard on herself. Jen is competitive and loves to win. When Jen doesn't win, she calls herself names. Jen is not a good looser to herself, but is a gracious looser to others. Jen likes to please the people she likes way too much. Jen loves compliments - both giving and receiving them. Jen loves to enrage people she hates and lives for these moments. When Jen hears someone is feeling a certain way because of something she did - especially negatively - Jen labels them an idiot. Jen can't understand why people actually care what she thinks. Jen laughs a lot. Jen laughs at herself more than she laughs at others, but she can laugh at the wrong things. Jen is amused when people she doesn't like makes mistakes. She tends to gather these mistakes like razor sharp darts, and stores them away so she can throw them at the person later in case they ever make her feel wounded and cornered. Jen doesn't like that part of herself much but knows she does it anyhow. Jen loves to love. Jen loves to tell people she loves them, because when Jen decides she loves someone, she loves everything about them even the parts she should normally hate. Usually those parts she hates are parts that let her indulge parts of herself she feels the need to indulge (like lines in the sand). Jen is vain about her hair. Jen hates her height. Jen does not forgive. Ever. This is probably because she deep down does not believe people can change. Jen hopes that will change some day, but is sure it never will. Jen thinks people's foundations are like energy - they cannot be created or destroyed. They just are. Jen is scared a lot. When Jen gets scared she can be mean. Jen rarely cries. She looks down on people (men and women) who do so, herself included. Jen is confrontational and expects people to be the same way. When they are not, or are not open about their displeasure, she labels them idiots because Jen thinks solving problems happens when people are forthright and have open dialog. Jen loves exceptions to the rules of the world, and delights in them when she finds them.


The list goes on...

So... now that you've read this far, I bet your wondering what the point of this blog is. Again, I can't stress enough that from my perspective, I feel foundations are unchanging AND we are who we are. Our perspectives and the way we work with our foundations can be fluid, but the truth is, the cornerstones of our personalities are always there. Others might disagree. People can change, after all, right? Sure, surface level, they can. But just because a mean person acts nice all the time doesn't mean deep down they aren't still thinking mean thoughts. They will be. So we have to play off these strengths and weaknesses. We have to use the strengths to eclipse the weaknesses which we MUST identify in order to control. If you can't even be honest with yourself, how can you approach the world playing up your strengths and playing down your weaknesses? This interplay, this balance, is what creates happiness. And whether you realize it or not, other people know what your foundations are. They really do. People are particularly sensitive to the foundations of others especially if they've ever been a close friend or are part of their family. In fact, they could probably write the "Who is (insert your name here) ".... section pretty well.

So, that leads us to friendship and love. True friendship and love is knowing the foundational basis of the person in question and accepting them. Yes. Accepting them. If you can't accept them, you aren't friends. Truthfully, I'm not friends with a lot of people. I have never felt the need for acceptance of things I don't like. I will tolerate it if I must. But no one is going to ever get me to accept it. Sometimes, things you would never accept on your own terms actually work and are acceptable when paired up with other strengths and weaknesses. It's always a startling combination, and can lead to some epic romances and completely odd pairings of friends.

I'd like to think that the Founders here on Mizahar are well versed in what we are to each other and to ourselves. We know our foundations and the foundations of the other founders. That's what friendship and love is all about. It's the base, seriously, of happiness. So if you are unhappy about the way something is going, perhaps its time to take a look at yourself... play the "(insert name here) is"... game, and see if you can't identify a few things that might have put others off about you. But guess what? You can't change those things. You might think you can, but I do not think in the end its possible. So, if your lurking on the boards being increasingly unhappy... or even lurking in life and being increasingly unhappy, perhaps you should try a new tactic.

Identify who you are, then BE YOURSELF.

It's exhausting being a nice person when you truthfully are just a jackass inside. I don't know how else to say it. Tired people aren't happy people. And don't you want to be happy? Besides, I think sometimes we're just little children inside, yearning to be liked and accepted. Is it so hard to accept the things about yourself society might not appreciate? It shouldn't be. It should make you happy. Figure yourself out. Do it now... and then get comfortable in your own skin. I promise you'll shine.
10
Wed Oct 09, 2019 3:56 pm Columbus_Zoo The community is active and the world rich. What's more again, everyone is very friendly and always ready to help.

I love this site and would not be investing my time in it if it were not worth it to me.

What's more, if I just want to write my own stories, without waiting on other people, just to get my creativity out there somewhere for the fun of it... I can!
10
Sun Aug 25, 2019 8:51 am WindyCityCharlieGirl Lovely site 10
Fri Jun 28, 2019 7:01 am Doubledog Wonderfull 10
Wed Jun 26, 2019 10:31 am TariaMoss Great site 10
Tue May 07, 2019 6:56 pm Katers . 10
Mon May 06, 2019 1:27 am Nokomis LOL. Oh, wow. OH WOW, look at that. They rearranged the score system from highest to lowest because they've been getting a lot of 1s. Don't get fooled! Mizahar and its control-freak, racist, homophobic admin will just be a waste of your time. THE ADMINS ARE TRYING TO MAKE YOU THINK THAT IT'S ALL 10s UNTIL YOU SCROLL DOWN TO THE BOTTOM, where way more bad reviews are waiting for you!

How desperate can they get? Obviously this is a fake 10.
10
Thu May 02, 2019 9:47 am Chloe Miz Why would anyone fake review a site like this? 10
Mon Apr 29, 2019 7:20 am Nahaali A small excerpt from one of Mizahar's awesome writers...???..

"She slid from the desk, landing unsteadily on her feet. Twisting the handle of the cane she pulled out two centimeters of the blade within. Throwing back her puffy sleeve she found an ever narrowing patch of skin on her forearm not scabbed over or thatched with scars and made a thin vertical slice. Impatiently she shook some blood out on the nearest students desk, to their faint disgust. "
10
Tue Apr 16, 2019 7:57 am *Phoebe* Great site to write and have fun on! 10
Mon Apr 15, 2019 10:43 pm LumiLight I've been on Mizahar consistently for about a year and a half now, and of that time I've been a staff member for a little over a year; and I have to say, I love Miz wholeheartedly. The lore is huge, and while it can absolutely be intimidating, it's so fun to read through. Even now I'm still finding out new things. A bit of a downside is that since there's so much, not everything is always fully developed, and sometimes there are still discrepancies here and there...but things are usually easily cleared up by asking around. Not only is there a lot of lore, but it's incredibly unique as well. This makes the learning curve a bit steeper, but if you're willing to put the time in to try and learn, I guarantee it's well worth it. Staff members are always super helpful when answering questions, too; I say this from a player point of view when I still have questions, and from seeing other storytellers answering questions in chat frequently.

Other than the lore, actually writing on Miz is an incredibly fun and rewarding experience. There are some fantastic people and writers, and it's always a pleasure to interact with them. Advancing your character actually takes time, work, and dedication, which might put some people off, but it's incredibly rewarding for those who can appreciate the longterm and having to work for things.

At the end of the day, the majority of the negative reviews here sound like they're from people who got told off or even banned for breaking the rules/being a serious jerk, and decided to come whine about it and blatantly spam about another site. (Make your own review page, people...seriously) Goss has done a great job running Mizahar; if that wasn't the truth, then it wouldn't still be around 10 years later with regulars and newbies alike. Some people seem to think that she's unfair, and from what I've seen, that's not true at all. Goss can be blunt, yes, but I don't blame her; she doesn't take any bs, and she is rightfully protective of Miz as a website. But she is more than fair, and I've seen that firsthand. I have rarely seen people banned, and when it happens, it is more than deserved.

All of that said...I encourage people who are curious or interested at all to form their own opinion of Mizahar. You can read what other people say all you want, but the best way to see if you like something is to take a look for yourself. :)
10
Mon Apr 15, 2019 10:15 pm Magg Complete unique world with its own magic, skills, abilities, and really deep lore. Gods and Godesses are also unique. The writers are absolutely gold in personalities, writing abilities, and incredibly pleasant to be around.

Founders (Goss) is a wonderful and caring person that has likely put blood sweat and tears into the site over the years to keep the place running nicely. The staff (Antipodes, Luminescense, Regime, Solstice) are some of the nicest of people with quick, concise, and complete answers.

Most things are changed off from main stream writing which give the place it's unique flavor that lets it come alive. The players are great and so many are absolutely brilliant with the stories that they make the site come alive. For specifics, Kelski could have her own book written by her author, as could several of the others players as well. Oresnya, Tailyn, Shiress, Firenze, Quzon, Adrianna, Lani, and Madiera are a great set of examples to the rest of the site and users. Sorry I can't name all of the users of this as it still would leave people out.


All in all, this would be an incredible site to check out and join
10
Mon Apr 15, 2019 9:54 pm Temian I've been part of Mizahar for a year now or nearly anyway. From the first time I logged in the staff and players have been incredible nice and helpful. Questions answered usually immediately on chat while help and advice are just as easily answered. The staff keeps most things neat and tidy to easily find what you are looking for. Developers/admins (called Founders) and staff are on and off line all day long and someone is available almost any time you need.


Players are polite and great writers. I'm very glad to have found Mizahar myself. The site lore has incredible depth, full featured, and constantly updated information. Variety of races, abilities, and magic to play rules. Development seems to be ongoing and even players can add to most aspects of the game. The rules can be a little constrictive at times but it keeps the game level and usually easy to follow. Staff and players all seem to foloow the same rules as well.


I have enjoyed my time on Mizahar and hope to stay for some time longer actually if I can.
10
Mon Apr 15, 2019 9:45 pm Ruletka I haven't been with Mizahar for very long. I've only recently started to get into it. The lore is phenomenal, and the staff members are very helpful and informative in regards to the world that's been created. Yes, it's a lot to take in but it is worth every ounce of patience! If there is anything I need, all I have to do is ask if I can't find the answer to it. All the staff members are quick to respond, and if not right away they do make it a point to answer whenever they are able to. (Yes, even staff members have lives outside of roleplay!) Aside from this, there is still much more to explore that I haven't seen myself yet. But it's fun! 10
Fri Mar 22, 2019 5:08 am Concerned Oyster Long-term Mizahar player here. It is really funny that the whiny, entitled Standing Trials defender (presumably from staff, for who else could bring themselves to defend that site?) two reviews below has deigned to express her outrage at hijacking another site's review page only when her site is under attack for the inadequacies of her staff team and not during any point in the last two or so years where this Review page was being used as a punching bag to promote Standing Trials, the purported new and improved Mizahar.

What goes around comes around, a-holes.

Look the truth is Mizahar is done. I love this site and I respect the hell out of Gossamer, but I am not afraid to admit this. I will not deny she has her faults and sometimes her firm approach can cause more harm than good, but she means well. She is a strong presence and a well-intentioned admin. We look at each other when she says that Mizahar is stronger than ever or something like that but the glory days are over. The site has shrunk to a few cities, all the veterans of old are gone, and even Riverfall, the place we thought would go on forever, has been closed. It is finished. The site will inch on but it will never be what it once was. Like I said, I respect the hell out of Gossamer and I respect the bravery she has been putting on as her site grows smaller year after year, but I accept the numbers. Weekly stats are low. Really low. We have 3 active cities and who knows whether we will have even that by the end of the year.

And its all thanks to this ceaseless Standing Trials Brigading. You guys have no honor and no integrity and now its going to cost you all.

So if this page has a new target to spew vitriol and shit at? I am all for it. You've robbed us of prospective players for far too long and I hope your mistreatment of your own players deprives you of new ones. I've been on your site and it is a mess but I suppose that's what you end up with when you mindlessly copy everything good Mizahar did and applied it with a crap staff team. You keep shitting us about our bans (which are often justified well by Gossamer) but then you toss out bans because your head admin got her feelings hard and shed a single tear. Boo hoo. Fuck off.

The Mizahar I love is gone and Standing Trials is coming with us to hell. _I_
10
Mon Jun 20, 2016 7:27 pm GreenWitch Sorry I didn't get back to respond until now. I had to go play this weekend in the real world - the surf and the sand and cerulean waters. But I'm back from the flight now and just shaking my head in amusement. Yea. Laughter. You don't have any more sense of reality now as you did back then when I was on your site busting it. But I did the smart thing and started working for myself instead of for an absentee owner who was very rarely there.

But then again your taking it on faith I'm the real Gossamer. Just because I say I am doesn't mean I am. Heck, half the people on this review site are the same half dozen disgruntled banned peeps that just keep making accounts and venting anger. You don't get that passionate about something unless it was kick ass and had real meaning to you. You don't even talk about something like Miz unless it had a deep and meaningful impact on your life and now its denied to you and you still want it. I know. The same 'different' reviewers even make the same spelling/grammar/context errors over and over again. One can't even spell before with an E. Impersonating players that are perfectly happy (like Azmere who's never posted a review here) or retired staff that left on good terms (like almost all of them here) is a desperation measure designed to do nothing more than make themselves feel better. The staff, after all, knows who they are and who has reviewed and who hasn't.

In fact, we have a heck of a good time giggling at these reviews and the banter here in our massive staff chat that goes on. That includes your postings, oh truthful one, because half of us were around when stuff was going down and remember it in a vastly different way. I wasn't the only one that lost work, was ripped off, or purged from the site. You lost amazing coders, programmers, and a fantastic librarian of a huge caliber. Oh well. Your loss our gain.

Don't you understand your 'reality' causes everyone to leave your site like my group did? Sure you have a handful of long standing members that hang on, but I hear it over and over again that people give it a try and leave because of the costs and rhetoric and because they evidently don't run in the right circles. Is that why you are resorting to slinging mud on a review site towards another game? It certainly isn't for any 'truths' because your reality doesn't jive with the rest of the world and certainly doesn't even remotely mesh with my timeline or activities. I suggest you go put some of the effort you put into these rage vomits into your own site and see if it doesn't liven it up a little enough to keep your attention more than this place does.... and more than our site does.

I won't bother to go into all the bullshit I heard on the phone from you. All the BS that you promised players that never came to pass... and though its worth mentioning I hope you didn't spend too much money on that Consulting Group you paid to review your site and see where improvements could be made. In the end they told you the same thing I had been saying (and many others) for years... 'original content original content original content - gut your lore and start over'. Oh well. You never listened then. I doubt you'll listen now. But anyhow, this review site is about Mizahar, not about your ire towards us.

But I have to say.... and I've said it before.... it's flattering as hell to have you get so worked up you have to post here to 'set us all straight' LOL. Thanks for that! What in the world would we ever do without you? Keep talking about my site. I really appreciate the discussion, the accusations, and the out and out nastiness coming from you. It's super unprofessional and shows your true colors to the world. It shows that you care about us when honestly you shouldn't. And for the record, I wasn't the one that brought your site into this discussion. Someone else did. My previous post was responding to them. But hey, its super flattering you got involved. Keep up the good work. As long as we are being talked about, we're being interesting. I can't say the same for your site. :P
10
Thu May 05, 2016 3:55 pm Elira I'm sorry to see such negative reviews of Mizahar. I personally love the site and everything about it from the amazing races, to the skill and leveling system, to the lore. I've never been on a site that I've found more exciting. I want to be one of everything and I want to live in every city and I can't stop coming up with fun and exciting ways to spend my time there. I never run out of room for my imagination.

Even the staff have always been helpful and friendly. When I first joined Miz in 2010 Gossamer welcomed me with open arms and she's been kind to me ever since. I don't understand all the bashing of her character. It's heartbreaking to see her being portrayed as such a negative monster.

I've played countless characters who I've retired and un-retired. I've been staff who didn't work out. I've been a grader who hasn't had the time to grade. I've been the person who doesn't follow through on their plots, but she's never once attacked me, made me feel bad or made me feel like I'm an unwelcome member of the site. In fact, she's always been warm to me and concerned with how I'm doing in my life and I've always appreciated that.

Even though I come and go, it's nice to know there's a place in the world I can go for the creative outlet for my writing. It concerns me that the people who are hate rating Mizahar are then using that review to advertise their game. That's pretty low.

I've been to that other site. What I found there made my jaw drop. It's like the fun-house mirror version of Miz. So much of what they have there, they flat out stole from a site they claim to hate so much. It's like the developers wanted their own version of Miz to run around in and pervert. It won't take you long to find what I'm talking about. Look at their skill system, their character sheets, the way everything is laid out. Even the player guides are bastardized rip-offs or Mizahar.

I challenge those of you reading this and trying to decide what game is best for you, to go look at who had it first and who did it better. And if stealing doesn't bother you and you're not worried about them ripping off your writing too, then I hope you consider their attitudes, because no one there is PASSIONATE about Standing Trials. Standing Trials is only passionate about destroying Mizahar. How long do you really think they're going to last?
10
Tue Feb 16, 2016 1:47 pm Jamal Squilliams Hello. My name is Jamal Squilliams, and I go deep. Now you, dear reader, might look at the reviews and counter-reviews below you and think "Huh, this is pretty interesting. Seems this Gossamer lady runs a pretty intense site to get people so worked up." But those people have barely even scratched the surface. is merely the icing on the cake of deceit resting on a table of depravity in a wedding reception of evil. My story began in 2008, when I joined Mizahar with my totally original gay lesbian vampire named Tony.

Naturally, when I went in Chat to say hi she gets jealous of my PC's hotness because of course she does, she's so gorgeous that when girls see her she's sexy like a man to them and they also become gay lesbians. Anyways, because she was jealous she told me my character doesn't fit at all with the site's lore. I told her how unprofessional it was to get jealous at my gay sexiness and to please calm down Miss Gossamer, it's unprofessional to get lesbian hard over other peoples characters and get mad at them, and I would like some respect please and can I start with a bigger house because Tony is the 300 year old heiress to the Gothschilde fortune as you can see in her backstory?

I don't know why she told me the site wasn't for me, but I said screw you, I'm gonna go to your house and kick your ass, and then she kicked me cause she scared, and I got in my car and I WENT.
'Bout sixteen hours later I was at her house, the buzzing of bees thick in my ears as I made my way to the door of the Great Green Witch. "Gossamer! Open up, you damn coward!" I shouted as I banged on the door. "I'm Jamal Squilliams, and I'm about to feed your own intestines to you!" Suddenly the door swung open, and I was frozen in shock.

What I saw was a six foot nine, three hundred pound black man with rippling muscles and a bald head, flanked by an identical looking six foot nine, three hundred pound black woman with rippling muscles and a bald head. Both had no shirts on, and were wearing assless chaps. "Howdy! I'm DeShawn." the man said with a toothy grin, "But you know me as Gossamer. This here's my beautiful husband. She's also named DeShawn."
"On Miz I'm Gillar." said the lady DeShawn.

I opened my mouth and closed it silently, eyes wide in shock. "How about you come in?" DeShawn said.
Suddenly I regained the power of speech. "Well I uh... I really had to um... There was an Indian casino and... I really gotta go."
While DeShawn kept smiling, I could hear his teeth grinding together. "Come. In." he hissed, his eyes flashing dangerously. I didn't test him. Immediately I was greeted by a chorus of no less than three hundred cats in perfect three-tiered choir formation. I blinked twice in the doorway before being pushed onward by a calloused hand on the small of my back. We made our way through the house to the end of a hall, where we looked down on a faded wooden trap door. "You first." said DeShawn.

"Oh, um... I have a mildew allergy." I managed to stutter as I looked back at the expectant DeShawns, the sweat starting to bead on my brow. "Our basement's very clean." DeShawn said matter-of-factly. "Not even the ghost of mildew in it!" the other DeShawn chimed in.
My heart thumped in my chest and I had to choke back tears. Focus, Jamal. You can do this. "I have a phobia?" I said hesitantly.
"Get in the damn dungeon, Jamal." he deadpanned with a bemused expression.
"Okay." I said numbly as I threw the trapdoor open and descended.

The stench of mildew was heavy as we made our way down the wooden ladder into a room with stainless steel walls and a smooth stone floor. Chains hung like jungle vines everywhere, and X-shaped braces with manacles were bolted to a couple walls. At the far wall, I could see a woman bound naked and spread-eagle with leather cuffs to one of those braces, a leather blindfold over her and a lime green ball gag in her mouth. As I approached trembling with ginger steps, I realized with equal parts shock and horror: it was Tony! Unconsciously, I reach out towards her supple gay lesbian vampire body, then jerk it back as if I touched a hot stove and whirled around to find DeShawn inches away from me, face an expressionless mask. In his left hand he clutched a pair of assless chaps. "How?" I demanded. "Her gay lesbian sexiness was too beautiful; she deserved more than some roleplaying site, so we went to our secret lab and pulled her out of cyberspace."

'Now, slap her breasts." he instructed. After two ticks of silent eye contact, I swallowed. The shaking stopped, and I complied. She moaned in equal parts pain and pleasure, and I felt a thrill run up my spine. So began my sexual odyssey.

10/10, would recommend
10
Sun Feb 14, 2016 10:25 pm Ball All that complain here are just butthurt because they got slapped around and their feels got hurt. 10
Tue Jan 19, 2016 11:36 pm StygianSerpent The Boss Lady herself contacted me personally through whispers in chat and her message brought me here. She did not rage at me, nor did she immediately ban me. I thank her for hearing me out and not doing the aforementioned things. See? The Boss Lady is NOT an irrational, hypercritical person you think she is. If you were banned from Mizahar it is because you failed to read up on a few things. Those few things being the rules and terms of use pages. I also am including the fact that you could have been simply rude or just too pompous as well.



Now firstly, I did not ask Ashen Shrike to post the conversation we had in chat that day here on the RPG gate way, nor for her to omit my name, because there was no need to! I typed to her in chat because I noticed that she seemed to be having a little quarrel with Goss, which I found to be unacceptable and thus resulted in the chat log below. Secondly, if you read the log you'll see that not a single message from me bashed, and or, called out anyone. Insults, condescending tone, sarcasm, hate, and other negatively worded blights? None!



Thirdly, why did I whisper to Ashen Shrike? I saw that Goss said Ashen Shrike was arguing with her. I did not see that in chat. So, I assumed it was either going on in Pm's and whispers. I then proceeded to whisper to Ashen because she did not appear combative on my screen and looked as though she could be reasoned with. I messaged her in an attempt to get her to remove whatever unacceptable images she had. I did this because not only would it possibly stop a potentially disruptive chat fight, if she started spamming chat with profanity, but for goodness sake, man. In the end, the reason for my intervention is because I don't freaking like seeing people banned!



If Ashen was truly messing with Goss and I was just some retard who got pulled into the deep end, because he wanted to calm and move the situation in a better direction. Then this karma is mine and mine only. I deserve it, probably should have minded my own business as well. I did not see the whole situation and became a tool of someone's frustration and folly.



However, I won't have none of what TripleThreat is saying.



Forget that shiz...



No person can say that I was disruptive to their writing experience. I can type and say with confidence that I have not spread or spoke hate towards Mizahar and its administration. I freaking love Mizahar and have utter most respect for those who remained on mizahar for years before and after my arrival and still continue typing within its forums right now. I'am glad Goss messaged me, because I would have been hated and distrusted in a place I call my second home without knowing why. She could have left me in the dark, but she didn't.




Now onto this TripleThreat character, he could have easily messaged me on Mizahar since he apparently knew who I was from the start. He could have gotten a better look of the story as well. Yet, he didn't, pretty much reveals his character. He also states for a fact that one or more of the negative/hate reviews on here came from me.



Get real, pal. Don't you ever come at me like this on a subject you had no part of and have such a narrow perspective on.




Banned after this or not. I comment as a satisfied writer and member of Mizahar. I rate Mizahar a whopping one hundred freaking thousand out of ten. I don't care how you feel after reading my comment. However, know that there was no malicious or evil intent behind my actions/comments. Yet, whether you believe me or not is your choice.



I'am Xen by the way, if you could not tell from my username.
10
Fri Nov 20, 2015 11:13 pm Shadyn So, I absolutely love Mizahar. I have been rping there for several months now, and have nothing bad to say about it. It is that awesome. So, if you want a great SUMMARY OF MIZAHAR, see the bottom of my review. Otherwise, I have a few extra things to say.

I'll start with a word about what some people THINK is wrong with it...and then I'll tell you how absolutely awesome it really is.

One note: Many of the "naysayers" that you will read here have become disgruntled because they blatantly defy the rules. I peruse various forums such as the "Character Sheet" forum, and I cannot tell you how many times I see people who seem to not have even read the Starting Guide that we provide. On the flip side, I have seen people who have had a rocky time starting out, but have asked for help, listened to advice, and are now happy and active players whom I meet in chat almost daily. One of those people is myself.

First, though, I'd like to address a few comments that I have noticed. The main problem that people have is what is called "Lore"...which is essentially just game facts.

Now, Mizahar has been HEAVILY developed, and thus can be intimidating. There is, however, method to the madness, and after being there for only a short time you can really get into the swing of things.

The biggest rule there is ASK. The mods are universally well trained and helpful, and specialize in interpreting the Lore in case of any problems. Problems only arise on Miz, really, if someone blatantly goes against what the mods and the Lore says.

The reviewer just before me had a problem with the Lore. I remember interacting with this person, actually. It was a simple problem of the fact that he essentially copy-pasted an EXAMPLE from the Lore. The example was designed to be a mere generalization...he took it literally. This was not a big deal...one of the mods mentioned it politely, as did a few of the players offering to help him out. The problem arose when he refused to make the suggested alteration and began an argument with one of the senior mods. So...the below review is a little bit....biased....see the note I made at the beginning...

I, personally, have been tapped a few times for being out of line with the Lore, but the mods were quick, to the point, and kind about it, and when I tweaked the problems I was thanked and saw results within minuets.

The community there is the best I have ever encountered. Many people don't use the Chat there...but that is such a shame. Absolutely ANY problem can be asked in Chat, and there is almost always someone there who can either answer it themselves, point you to someone who knows the answer, or maybe direct you to post in Q&A if it is a really complex question. Almost all of the Mods are active players themselves, so they are personally involved in the game, and they also subject themselves to the rules of the game just like everyone else, instead of "ruling" like the Mods do in many rps.

Once you know how the Lore system works (basic searching, following links, info forums, etc) you can usually find anything you want in a matter of minutes, and there is so much info it makes life WONDERFUL, because everyone has the same idea about everything.

At the same time, Mizahar is dynamic, inviting the players to push the boundaries and get involved in development. I, for example, am going to be/hoping to be a "trailbreaker" regarding in character long distance trade, and am applying for a moderator position as well. A player that I know who has become one of the first people to master a certain fighting style in character is now the person who is writing the Lore page for that Skill. Other players are using combining various skills to create new items and abilities, and even a single character can change the whole storyline of an entire city!

Threading, also, is very well structured, and while it has defined rules, it also has enough liberty to be enjoyable. Every aspect of life has been thought about and incorporated, making it possible to thread obsessively about the tiny details of a day or to make over-reaching threads about epic adventures...whatever suits your fancy.

As for originality...Mizahar is super original, if you consider that it is already in the "fantasy" genre. OBVIOUSLY, if you are in a "genre" you have to have a certain base framework, and after a point in time certain ideas will have been used.

Mizahar's specialty, though, is that they have borrowed as little as is logically possible from other sources. Let me give you an example of something that LOOKS like it is normal. There is a personal magic type called "Reimancy" (might have spelled that wrong...only have one mage char ;P). Now, on the surface, reimancy is your standard elemental magic. But when you look at how it functions...it is vastly different from any elemental magic I have used in rp or even in video games....way to complex to get into here, but it is not your "caster" spells...in fact, "spells" don't exist in Miz.

The "unoriginal" aspects like magic are unoriginal only in name. For these aspects Mizahar's founders created a framework that is totally unique, making "magic" be nothing like your standard "fantasy" magic. Overall, I think it is this fact that confuses some people. They come to Miz and assume that when they see a term like "skill" or "magic" or "undead" that they know what it means....but the fact is that when you read the lore you realize that you have just entered a whole new realm.

SUMMARY:
In truth, Mizahar is an extremely original and exciting take on the "fantasy genre rp" that allows you to really create characters that are truly unique,and then to take those characters to new levels that can shift the storyline of the whole game. The players can have huge impacts on the game itself, and are encouraged to do so. Becoming a moderator, even, is something that is encouraged in this game, and is actually surprisingly open. It is quite thoroughly developed, and where you have issues there are an insightful, intelligent, and friendly staff. The community here is the absolute best that I have found anywhere in any rp, game, forum, or otherwise. Roleplaying in Mizahar is truly an exercise in your writing skills, but everyone there (including myself) are ready and MORE than willing to give you more help than you know what to do with. Personally, Mizahar has me so satisfied that I have not even looked at another forum or fantasy game since I came here. If you want a fantasy rp that pushes the limits, intrigues the mind, and is just plain downright fun, look no further. Welcome to Mizhar.
10
Tue Oct 20, 2015 5:45 am MisterJelly It's cool. I enjoy myself there.

Players are cool, staff are cool, there is a lot to read and write about.
My favorite is the magic system, very neat take on that whole medieval fantasy element.

It certainly tries to stay away from cliches and over used notions. Give it a try, you might just like it.
10
Mon Jul 07, 2014 1:02 pm Redd_BSL I have been reading a few reviews about this site and I have got to say, I am mildly surprised, especially when a fair few of them are so negative. It baffles me as to how that could possibly be, I mean, I may have only been on this site for only two to three months, that doesn't mean that I have not taken the time to get acquainted with a great deal of people there.

When I first found this site, it was probably during one of my darkest days, I'd scoured through role-play chat rooms and they no longer held any appeal to me, simply because of the amount of trolling that seemed to happen within them. Even if you were a veteran of the site, you were still subject to close scrutiny and trolls that were only online to put others down. So when I first found this site, I was glad and a little relieved as not only had I found a site that put boundaries on the creative mind to make it think and work through challenging ideas, it also has a chat room that is very welcoming and helpful to new comers. I even like to think that I have made a couple of super awesome friends.

Mizahar is a site where although some of the ideas are based off of other, more popular supernatural beings, they have been edited a little with some slight changes. While some people think that this is 'soooo unoriginal' I have to disagree, as the changes made does not really follow the main stream media and popular beliefs. The changes made, also tends to fit into the theme of Mizahar in such a way, that it gives me chills to the bone and I shake my head in awe. The races are even regarded in different ways in different cities all over Mizahar to present a challenge, no matter what race you are.

The lore pages, are many and provide a substantial amount of information that literally makes my head explode. While some are not fully expanded, it is a website that is constantly building upon itself, making it better than it was before. Every staff member there, are always doing a fantastic job in order to give members an enjoyable experience, some and most, go to the extremes of writing up seasonal calenders and providing seasonal quests. Not to mention on top of that, they are also encouraging members to help them improve on the city of choice that they love and credit is always given to that member.

Members, upon registration, get a starting email and access to all lore pages within the site that can help them build their character sheet. If something is wrong with that character sheet a moderator will politely ask them to correct the error and everyone is treated in this fashion. Threading is simple and easy and there are many ways someone might be able to find possible candidates to thread with, take it from someone who has sixteen threads and pending. If there is something a player does not know and they feel that they do not completely understand the lore pages, the chat is always warm and friendly. Everyone loves to talk about Mizahar and is most happy to answer any questions that the player may have.

Everyone is treated equally and fairly upon this site, no special treatment is given to anyone. Gossamer, while she does have friends, does not treat anyone better than newbies. She is fair and even if a veteran/staff member crosses a line, A.K.A. a rule, she will not hesitate to reprimand that member. Everyone gets equal warnings. Staff members are lovely and work over time to try and provide the best role-playing experience through the threads as much as possible. They are even warm and fuzzy in the chat room, provided that you follow the rules. They are always willing to lend a hand or answer any questions that you may have.

Remember, it's not the staff, or the founder that creates the problems, they have a clear cut set of rules, it's the members. If they cannot follow the rules set out and are trolling other members and dragging the site's name down by thinking that they are far superior than anyone else there, then of course staff members will take measures in order to make sure that EVERYONE feels welcomed and happy.
10
Sun Jun 08, 2014 2:35 am McPainty ((This site is giving me so much trouble. Maybe the review will work this time for me. ))


I want to start off by saying that I know a lot about both perspectives of this site. Not because people have told me, but from experience. When I first came on I had a bad time creating a character because I wanted to do my own thing, and in general, went against several rules. I've had ST's and mods made at me and I've gone through basically every complaint you see here at least once. But in the end, Mizahar is a great, and I'll explain why. If you want to have a long term character in which you can create (and get help creating) a very complex personality, or if you a world that is elaborate and very complex like the Lord of the Rings series, then Mizahar is a great place. Although there are no elves and dwarfs and dragons and such, it's still very entertaining and far more elaborate than any other site. Most forums wish to be complex, and many writers and roleplayers crave such, but many don't make it by. However, Mizahar has done it and has done a phenomenal job.

Now, for those of you original fanatics, you have to remember, that there is hardly anything new under the sun. Not /everything/ about Mizahar can possibly be 100% unique. You will always find something in everything in the world that is like something else, so if you decide not to join as site because it???s not 100% original, then you will never find what you are looking. Now, given this, Mizahar does a very good job doing the best it can to keep things original. There are some races and things within Mizahar that are similar to things people find popular, but again with the originality. They are still very thought out, and even if they may physically be like something else or may have a few common traits, they are still far from most things people have seen. They are great races and all should get the credit they deserve, seeing as no site I have seen has even come close to putting the amount of attention and details into races. And this goes for the cities as well.

Though, it appears everyone has a problem with the player base and I want to remind you I have come face to face with both sides of the argument. The main reason why people get banned and are treated badly is because people shall be people. Everyone has their personality and flaws and you can't avoid people getting mad or making mistakes. People bash others constantly because of human error and basically blame the site itself for people not getting along with someone else. I've had many incidences where I would misunderstand someone or something and I would get in trouble or I would get mad at someone, or people call me out, but in the end, you have to realize that everyone is human. By joining a large forum with a huge playerbase, such as Mizahar, you either have to come to terms that there are people there you won't get along with. If you can't then you might as well not join at all. Because if you can't accept this fact and move on, then there is no point getting yourself and everyone worked up about it. You'll find people and moderators you won't like no matter where you go.

There are some people you won't get along with, and yes, we do have some bad apples who are rude and play favourites. However, we try our best to weed these people out to make Mizahar a safe and fun environment for everyone. There are far more good, kind, and fun people there than those who make it unpleasant. It is a bit complicated at first, and it can seem a little hard to join at first because it is so big, but there are always plenty of people there to help you get started and there are lots of resources to get help. As long as you recognize that you won't get far without reading the rules and the starting lore, you'll have no problem joining in. No site is perfect, for everything has its flaws, but Mizahar is a great site and it's worth at least a try. If it's not your cup of tea then no one will hate you, because we know that Mizhar is not for everyone. But I still highly suggest giving it a try at least to test the waters and see if it'd be something you're interested in.
10
Mon Jun 24, 2013 2:12 am Irriari I've played Mizahar for since early February 2010. Since that time I've watched Mizahar evolve from a well thought out rpg with unique to features to one that is even more lore intensive and player friendly. I've stayed with Mizahar due to the lore, world, and features that they've added. If you want to have a character that runs a business, you can submit a business plan and get it approves. From there, the sky is the limit. You can invest time into your business and develop trade relationships or you can maintain a humble shop. If you want a place to plot for your own character the site has blogs, a plotnotes forum, and forums for player organizations and families.

Though I don't play a magic heavy character, I'm impressed by the amount of work that's went into Mizahar's magical lore. There are real consequences for using magic, and employing opportunity cost system really makes you think about your choices. From there, your character develops naturally, without feeling overpowered simply because they use magic. Non magic combat systems are satisfying as well, due to the variety of weapons and styles that you can employ. If you don't want to wield a blade, feel free to use poison. (And I'm not talking about run of the mill poisons. There are a multitude of poisons unique to Mizahar that fit every situation.)

Lastly, I wanted to touch on the aspect of community within the game. For me, all of the above is nice, but a community is really what makes or breaks a game for me. Mizahar's community is filled with wonderful people, and there you will never find a lack of people who will help you set up a character, answer questions, or start a thread with you. I was quite scared when I started, as Mizahar was one of my first rp sites. From my introduction pm to my first thread (and beyond), I was made to feel welcome.

All in all, I can't recommend Mizahar enough. If you're serious about character development, epic stories, and beautiful writing, I highly urge you to give Mizahar a try.
10
Mon Mar 25, 2013 5:45 pm Tarot As an admin, I felt the need to step in and debunk Snolly's misinformed statements. If the site was "crumbling" it wouldn't be constantly getting bigger and more active year after year. We are one of the most active sites on the internet for our niche - which is original, continuous-world fantasy. What we get sometimes is people who don't quite understand our site has rules and its own lore and mechanics, and then admins have to remind them. This doesn't always make them popular. People who are offended by having to play by our existing canon are probably best off playing elsewhere; mostly everyone else is going to have a great time. That's fine, different sites cater to different audiences. And if you know an established site without disgruntled ex-players with a very skewed perspective, be sure to point me in their direction so I can ask them how they did it. ;-) 10
Tue May 29, 2012 6:26 am BubbleYum Mizahar is a roleplay world, much less a forum..it drastically changed the way we see role playing..When you first register there are so many world cultures in the game to learn about so many rules and cities and lands to learn about...very hard to read at first but gets much better when you begin roleplaying. 10
Tue Jan 24, 2012 6:56 pm Kiva <="" strong="">

I just joined today, but I can tell you that by simply looking around and posting an introduction, this site is stunning. Everything is original, and has so much addictive detail. Of course, there is plenty of room for one's own imagination, I assure you. I was welcomed into the community with open arms, and I can already tell that despite having no prior experience in preset forum role plays, this will be a joy. Even if I didn't want to rp, just looking over some of the lore and stories is sure to captivate me for hours. Love it.
10
Sat Sep 17, 2011 5:33 pm Giarella The community is active and amazing. The game is really well thought out and ADDICTIVE. I'm so glad that I joined! 10
Mon Mar 19, 2018 6:56 pm queen-jeedragon Honestly I love this place. It's clearly a more literate roleplay site so anybody that wants to write a lot and get deeply involved with the world that in my opinion is intriguing. Yes it's a dangerous place, however it isn't too hard to gain the skills needed to survive. Just a couple of flashbacks to your character learning wilderness survival skills will do the world of good.

It has a system slightly similar to RPGs where you gain skill points from using those skills in thread, once someone grades it. The grading system can take a while if you aren't a grader yourself and if you're in a city with a large grade queue, though there are a lot of graders tackling those issues

As for the STs and CSLs. I've found all of them very helpful. I have characters in Prophet and Gossamers cities, and although I haven't posted much this season due to illness, hospital visits, and dissertation work, I feel as though I could return there and be very much welcomed.
Prophet was very welcoming in bringing me into Ravok, and Gossamer has been amazing and helpful.
On top of that, the other staff members that I have came across in chat have all been very friendly and easy to talk to.

People mention that ST's will kill your character and this isn't completely true. If you attempt to attack a character who has a high weapon skill, while you have no weapon skills, yes they will likely injure your character, or kill them in extreme circumstances, but very rarely have STs actually killed a character without having planned it with you beforehand.
Just play to your characters strengths. Train with other people first and be sensible.

There are a few forms to fill out when starting off, like job applications which are usually very simple and most will be approved unless you haven't given your character the necessary skills for it. These applications are usually the job title you want, the base pay (found in the income section of the pricelist), the skills that you have that are relevant, and why you want that job (why would it be good for character? Is it something you'd enjoy writing?)

If you don't like to read a lot of information first, then this isn't the site for you, but if you're willing to give it a try, everyone in the chat is helpful and will give you any advice that they feel may help you.

All in all, I've had an amazing time on this site.
9
Sun Jun 19, 2016 9:54 am ranaravel A review of Mizahar from a level-headed person's point of view.

Aka me.

So, first off! I'm going to start by explaining that I'm going to completely ignore everyone else's reviews, because I am posting *my* (somewhat haphazard) review of Mizahar, not my critical analysis of other people's reviews of Mizahar.

With that clarified, I first joined Mizahar about a year ago, and have experienced everything ranging from f to un (aka fun). Of course, there have been the time(s) when people stir up drama. I don't know if this happens on other sites, as I am not on other sites, but it strikes me that it's human nature to bicker and argue. Naturally, people have different opinions about things, but if you're willing to work hard, write hard and learn hard, then Mizahar is most definitely the site for you.

I won't give a description of the world, as you can find that on the website itself. However, what I will describe and talk about first of all is:

> The forum set-up and navigation of the site.
First impressions are of a huge mass of writing and information that might not make much sense to a newcomer. Welcome to the lore! Reading is arguably one of the most important things to do on Miz, and it's one of the first things that I did, for a long while. Although the lore pages are informative, it is sometimes difficult to find the information you need. Help is at hand though by going to chat. Most people will be happy to help there. And of course, there is a welcome PM giving the most important lore pages to read first.
The rest of the site is, in my opinion, very well organised. Each city has it's own individual place on the site, and I find that the forum itself is easy to navigate and understand. Most, if not all cities have an OOC chat thread where more specific questions can be asked.

(Suggestions for new players: choose a race, read that race. Then choose a city, and read about that city. Ask the moderator if you have any questions, even if they're 'stupid' questions. They'll guide you in the right direction).

> The game systems
Otherwise known, in this review only, as the magic systems, the skill systems and whatever other systems I can think of.
Let's look at magic first of all!
One of the greatest things about magic in Miz is that it is not meant to be easy. Think about it, magic is going to be difficult, and this is represented in game by a lil' thing called 'over-giving', where your character suffers (mentally or physically), for using too much magic. In Miz, magic is difficult but rewarding- but it's not for everyone. If you want magic handed to you on a platter, prepare to be disappointed. If you want to build a feared but respected individual, then the magic system should get you to that goal.
The skill system.
When you finish a thread, you can submit it to be graded. This is done by graders and moderators, and it is the primary way to level up your character's skill level in a particular skill. Any action done in a thread can be rewarded as a skill. For instance, say I wrote about an adventure, where my character goes swimming, climbs a tree and gets drunk in a tavern. I'd probably get swimming XP, climbing XP and socialising XP, amongst others. Getting these grades at the end of a thread is hugely rewarding, and it's really immersive.

> The community.
As I mentioned at the start of this review, when you put a bunch of people together, there are going to be clashing personalities, and Miz is not immune to that. However, everyone I've roleplayed with are wonderful people. This includes the staff. Any drama that happens goes over my head, and you will only be a part of that drama if you make it yourself. I've made plenty of mistakes on the site, but my head is still firmly attached to my shoulders, and I've learnt a thing or two, simply by listening and accepting that I'm not always right. If you can't or are unwilling to do that, then Mizahar might not be for you.
Most people on Miz put a lot of thought into their writing and their characters, and this thoughtfulness extends to making plots. I won't name names, but there are quite a few people on the site who are more than willing to include as many people as possible in their plots. This inclusiveness is really one of my favourite features of the site.

> Short recap and final notes.
So, to recap. Mizahar is for you if:
You like to learn,
You like to read,
You like a friendly roleplay with serious writers,
You enjoy being immersed in a world,
You are willing to make mistakes and grow stronger from it, and
You are looking for a world with a huge amount of options and a huge amount of originality.
It's a place where you get out what you put in. If you put in a lot of effort, then your effort will be rewarded. If you don't, then you won't. It's pretty simple!

I'm not very good at writing reviews, but I hope this helps someone somewhat!
~Rana over and out.
9
Tue Oct 20, 2015 11:08 am Merevaika Hey there. I've been roleplaying on Mizahar for about a year now, and have found it to be a truly wonderful experience. Where do I begin? I'll start at the very beginning.

I found mizahar looking for generic fantasy roleplays: the dungeons and dragons type, with elves and dwarves fighting orcs and dragons. When I found Miz, it was completely different to what I wanted, in a way, but it was one of the first sights that came up. The amount of new races and cities enticed me, and I decided to try it out. Still there, and loving it, something I know wouldn't have happened on other sites as I quickly get bored of them.

Mizahar is right to advertise uniqueness. The settings, but mainly races, are different to what you've seen before. Of course, there will be similarities, there will be resemblances, but there is always something more added to make it different. Nothing in this world is truly unique, but Mizahar works well to make it as unique as can be.

The lore is also incredible. Minute details are fleshed out, with pages and pages that overwhelm people. When I first joined, I only read the most relevant pages AKA the race and city that appeared the most interesting. But now I find myself backtracking just to understand something, or because I want to know what there is on offer. For new players, reading any lore that is connected to them in anyway is a must, but if anything needs clearing out, there is the questions forum and you can also simply PM a veteran or storyteller, if you don't catch them on chat.

The rigidness of CSs and ledgers and skills is great, especially if you like that sort of stuff. It gives you something to aim for, and ways to develop your character. Honestly, the CSs of Mizahar has made so many more seem rubbish in comparison!

The player community is very friendly and welcoming. While new players might find it harder to get a foot in the game, especially because older players don't want to thread with them, which actually doesn't happen a lot, they can keep trying, and prove their dedication (too many people have dropped out on me mid-thread or -plot, but that doesn't stop me trying again!).
The staff are also very supportive and will help you work out little things. I haven't actually been involved in a proper storyteller thread yet, the kind with an adventure, apart from a barely started one with an alt, but up until now I haven't really seen any that caught my eye as something my PC would get involved in.

Oh, and Goss really isn't that bad, from what I've seen. Sure, she can come off as a little rude or controlling, but as a founder she has to be. Without her, Mizahar would be overrun by elves and sparkly vampires. I have never seen her pick on random players though, just for the sake of it, and I understand that she has a lot to cope with managing this site. Back off her, people!

Unfortunately, there are a few negatives that let the site down, but the staff can't do much about this. What Miz needs is more volunteers who can help out and make it better. The main problem is that some storytellers weren't as active, and didn't do a good job running their location, leaving loose ends and not interacting enough. The new rule of closing cities with no storyteller helps solve this, but it would be great to see a few more cities opened! There are some great storytellers and graders out there though, and a big thanks to them (especially Tribal, who is awesome!) Another measly factor is that a few pieces of the lore aren't developed, but a lot of people are working hard! Miz is a great site, and I don't ever want to leave!
9
Sun Oct 18, 2015 8:48 pm ruari Hi! Before I get into the thick of reviewing, I'll lay down my credentials.

I've roleplayed on Mizahar since March 2012. I've been a storyteller under Phoenix and, to an extent, Gossamer. I've interacted with Gossamer, I've inhabited the chat, and I've been part of so much crazy that I feel I can't just sit here and read these reviews without chiming in.

I like Mizahar, guys. I've consistently been pulled away and inevitably returned, and it's not because I have friends there (the friends I have online are few and far between and Mizahar contains only one of them), but because I genuinely enjoy the experience of writing with like-minded individuals and reading the lore established already. I lurk the forums more often than posting because, as a writer's roleplaying game, the stories being told are more interesting to me than writing my own stories. Don't get me wrong; I write as well, sometimes too much.

The content of Mizahar is loaded and rich, even with stub articles in the lore and the occasional one-liner thrown down by people unaccustomed to play-by-post multiparagraph roleplay. The duds are few and far between and people improve. They really do. It's a fantastic place for a new writer looking to expand their art and it is used by a fantastic bunch of people that encourage writers to write.

The people there aren't always a friendly bunch, I'll admit. I'm on the wagon of irritable and disenchanted with the humans of chat and the scrapbook forum and I fully admit that I am standoffish more often than I should be. There are people who insist on talking about themselves, the ones that insist on playing to the hard and fast rules of the site, and the ones that just don't care. Chat itself is a haven for them all. It's a clich?? in itself with cliques and elitists and people who will read your content and namecall in the security of you not being there. I witnessed this recently where they picked on a new person for the content of her CS and her avatar. So, my advice is to avoid the chat. For serious. Get settled, get established, and if you want to badly stoop to listening to slander and showboating, go in with a grain of salt and prepared for what will await.

When it comes down to character creation, Mizahar has a list of guidelines to follow, but thankfully people who are willing to help out. Storytellers shouldn't be your first hit, though, as they are often overworked, unless it's to get approval for their specific domain. Be patient with them, with your fellow writers, and with your own writing. It'll do you good, seriously.

On the topic of Gossamer, I've frequently found her to actually be helpful. When I was a storyteller in Wind Reach, I'd earned the ire of a Regional ST of Kalea before Phoenix took it up as Phoenix had requested I regrade for her PC. He attacked me for it. Gossamer defended me. It nailed down for me the fact that Gossamer will fight for what is right. She really will, even if what is right to her isn't what is right to you. I never received preferential treatment from her. I was never given gnosis quests or special items, permission for awesome characters or for her to come to my defence and, unlike everyone else here who complains about receiving the same treatment as me, I actually don't find that something to have a problem with.

I've been on Mizahar long enough to witness the dismantling of stupidity and the banning of dangerous idiocy and I wholly advocate Gossamer's actions, as Gossamer protects the site from harmful players that would otherwise provide a source of toxicity worse than what the people here say she herself provides.

I've seen friends removed from the site, or those that left. I was friends with the Tony person, and when he was banned, I was glad; he lied to us and bullied my male friends on the site, and it improved in his absence. Taylani I know little about, and unlike the people here who raise the flags of judgement at Gossamer for banning her, I will gladly defer to Gossamer's judgement on the matter. Taylani affected Gossamer and her city. I'm pretty sure that the people here weren't affected similarly and should, frankly, butt out. That's not our business. Our business is to uphold and respect site rules and regulations and while I admit that the language used when Gossamer banned Taylani broke specific rules, it is not our business to condemn her for the act of banning Taylani and saying exactly what is on her mind. It's a scrapbook, guys.

So, for the potential newbie to Mizahar, be careful among the community. Choose your clique and write your heart out, and for the love of all that is holy, be wary about entering chat. It's probably the hugest problem on the site.
9
Mon Jul 07, 2014 8:26 pm Edreina I'm not going to waste anyone's time, so this review will be short and to the point.

Like many things, Mizahar will only give you what you put into it. No more and no less.

Don't feel like reading the copious amounts of lore that mods/characters have created in order to give the world more depth and a staggering amount of realism? Be prepared to face anyone (including myself) ridiculing you for being so foolish. No. You cannot be a butterfly-fairy-vampire-wolf with unmatched skill. You have to start out with a set amount of points just like the rest of us.

Does the idea of having to work for points and for skill sound daunting? Tough luck. That is something I believe truly makes Mizahar what it should be. Everyone has to actively work and write to make their character what they want it to be, in the end. Everyone starts out on an equal field. It's up to you to fill in the gaps. This also keeps a bunch of newbies from swarming the site with little godlings and killing off those of us who value the story above the points.

There are thousands of us, and still you have trouble finding a thread partner? Do us a few favors. Don't complain constantly about how no one will write with you, offer us plot ideas or even just a plan for a thread and, most of the time, we'll be willing to make it happen. Also, don't just dive into a forum. If you start writing Syliras as an open-air city and write about running over the rooftops fighting off random baddies well... That will create a stigma that you'll have to fight tooth and nail to get rid of. We all make mistakes, though, so it will eventually be forgiven if you prove yourself.

I should probably include a little story about my own experiences so that you get a better idea of where I'm coming from. Right?

Ok.

My first character was garbage because I bull-charged my way into the sight with nary a thought of the lore... any of it, really. In the end, my first character was banned and I was asked to start over.

Most people, at this point, get huffy and give up. It's not that Mizahar's mods wants you to be unoriginal and conforming, it's that there are certain rules in place so that everyone has a fair shot and things are COHESIVE. Don't be one of those people. Take a break, read more lore, come back.

I did so and, if we're being honest, my character was still boorish. I was a novice writer and I hadn't a clue how to write in a forum setting. But, I was very admitting of my mistakes and actively sought to better myself. I was lucky enough to befriend many mods and join up with a more veteran player.

In the months that followed, I became a better player AND a better writer. I can't thank everyone on Mizahar enough for that. If you're a decent person, the community will readily accept you. The ones we have problems accepting are the higher-than-though newbies who come in and pretend that they can run things. You have to earn the respect of the player base.

Anywho. After writing garbage, I started to get much better, as I've said, and I was eventually honored with being voted the featured character of May. There is no better feeling than having your hard work noticed and the character into whom you've poured blood, sweat, and tears put up on a pedestal; I'm not afraid to say it. :P

The point that I'm trying to make, after all of this senseless ranting, is that Mizahar is absolutely not for everyone. But, it is an AMAZING experience to those who approach it with an open mind and a willingness to always be learning and challenged.

I've loved every minute of it, and the people I've met have been the very best. Three of my closest friends I've met through Mizahar, actually.
9
Mon Jul 07, 2014 3:16 pm Potato Mizahar is an amazing site. Almost everything is original, and it's so structured, yet you get so much creative freedom. The general community is amazing and supportive, and so is the staff. They're staff for a reason, you know. When I was new, my writing was terrible. I literally cringe looking back at it. Because of Mizahar, I've grown so much as a writer and as a person in general. People were supportive when I asked stupid questions, and I really appreciate that. I feel at home in this community, both IC and OOC.

I would go on and on and on about the pros of this site, but I'm not very good at drawing things out, looking at the reviews that must take up pages and pages.

That being said...

I've seen a few instances of hypocrisy, stereotyping, and unfairness. These are few and far apart, but there have been some issues that are just large enough to bump this down a point. I'm not going to go around naming names or anything, but the issues do exist.

9.5 out of 10. I wish we could have half points, but there are none.
9
Tue Dec 04, 2018 8:20 am yourleastfavouritecryptid Here's a review for you, as impartial as I could make it with my storied history on the site.

Mizahar has a great lore. Honestly. It brought me back again and again because I can't resist the character options I'm provided. Are most of the races whitewashed a little too much? Yeah. Does Lhavit suffer the shame of previous mods who've fetishized Japanese culture and tried to build a city around it? Yeah. But a person makes do if they like the place enough, and everyone who is active on Mizahar is pretty cool about it.

It has a friendly userbase, too. As with most sites, I like to keep personal information on the down-low, but I feel welcomed here and that my ideas aren't entirely baseless. Now that the site uses Discord, chatting has become much easier with potential threadmates, and there's a whole lot more topics in more concise locations than had been in the original AJAX chat with its 100+ rooms. Does the no-gifs even in Discord chat blow? Yeah, kinda, for Nitro users who paid for the right and who are now made to make new accounts or turn off their gif avatars, but that's just the site rules. You either bend to them or you don't take part.

There is a guy that posted at some point before me named Moulder? Well, Moulder, I too went onto the Standing Trials discord. It's not hard. But your MO of making new accounts to get under Gossamer's skin? Shameful. I'll get us some screenshots. It's totally fair of me to post these, right? Since you fabricated your backstory and posted the ones you had of a conversation with Gossamer? Yeah, I thought so. In order of relevancy:

admitting they were banned from mizahar: https://prnt.sc/lqk94h
admitting they were the one who left the review before they post here and say otherwise: https://prnt.sc/lqk80e
admitting they make repeat attempts to come back: https://prnt.sc/lqk785
admitting they once pretended to be someone who had a 'relationship' with their dog: https://prnt.sc/lqk8tr
many discord accounts to do this with? owow: https://prnt.sc/lqk7qa

You should take advice from people like this, who have a noted history of causing problems just for the fuck of it, with a grain of salt. 9/10 times they are just trolls who want to cause a scene. They were banned from ST too, showing that the 'shitty standards' to be found on Miz are probably the same ones on Standing Trials.

I, however, am an active player on Mizahar. I've been banned for some shit I said a while back, and asked to be unbanned when I felt I had grown enough to not make the same kind of unnecessary commentary. I would recommend the site, least of all for its aesthetics and playerbase, and definitely because it has amazing stories being written every day by a set of talented writers. Isn't that what matters the most? The writers?
8
Thu Apr 13, 2017 4:23 am Zaya I adore the lore and setting of Mizahar. The systems for leveling up, magic and religion are all the best I've seen so far. There is a dedicated staff team and a welcoming player-base, who I personally haven't had a problem with. I've been playing for about 6 months now and I find it an enjoyable place to write. However, this site is for detailed and experienced writers, who aren't going to bug people with one paragraph posts.

Now, onto the topic most people are talking about. Gossamer who puts a lot of effort into the site. For all the examples I have seen of her apparently being 'Toxic' I've had to conclude that she isn't, and people are making a big fuss over nothing and continuing arguments for no reason. Here's the point. Follow the rules and they won't make a fuss. There's no need for being passive-agressive in a creative environment and we sure don't want you there if you're going to cause arguments.

TLDR: A wonderfully done site that's welcoming and creative. Don't break the rules and you're going to be fine.
8
Sun Jun 12, 2016 9:37 pm DeShawn Forever First of all... Amunet is hot as hell. I'm sorry Skyard got to her first because honestly I wanted her as a forth wife. Who wouldn't? She's a healer. I'd tap that hot little redhead any day. I hear she's packing a Kelvic bun in the oven, but that's a situation that can be rectified in 9 months. I don't mind a little sweet thing like that with clingons.

Secondly, you admin's remind me of monkeys in a zoo flinging poo at each other because you are simply too bored to stick to your own boards and your own business. I think ya'll need to head to your own corners and think about your own sites and not worry about what everyone else is doing.

Put some chicken on the grill, invite some pals over, kill some Hero's of Hero Mountain... and practice chill. Chill is where it's at really. And lets talk current events. Three cities have or are opening on Mizahar. We got a few cool promising players. We have a few new STs and a couple people in chat claiming they are just waitin' on Goss' slow ass self to get them installed.

We got articles getting prepped to go in because I seen them lurkin' in Founder Review. We have new Scribes. That ain't nothin' but good news folks. Them Scribes get content added in no time.

We got plots. We got pretty heifers. We got the usual Goss hatin'. And we have the knights both good and bad fighting and squabbling again. It's popcorn time. Miz gots it all. We even got handsome Svefra pretty boys wandering around fighting pirates in the Suvan with a couple of ex-thugs that are trying to redeem themselves. We have Gods running amok - those fat rat bastards stole my glory, but that's another rant for another time. Days Of Our Lives Shit folks.

And for the record, I'm going to be enslaving half of Avanthal AND Alvadas (I like variety) for fun. No one got time for the rest of the bullcrap here. It just smells like flung poo.

Does the game need improving? Sure. The Lore's never finished. The stories are never all written. I'm giving it an honest 8. Been here since some wiener boy invented me. I'll be here until the same wiener boy decides I'm not worth his time or Hilary or Trumph gets elected.

See what I did there? Yea. I went there.

So. Ignore the Admin's behaving badly. No one cares what they think anyhow. We all know they are pieces of shit anyhow. Its evident, like I said, by the flung poo.
8
Sun Oct 18, 2015 10:22 pm Warrior_Heart In an effort to avoid another long-winded review, I will use an outline format (if the site allows me).

1. Me.
-I've been roleplaying in some capacity for almost twenty years.
-I have a flurry of interests.
-I am often called an ass for being brutally honest.

2. Mizahar -an Overview
-It's a concept RP site; meaning you fit into their story.
-It's an XP-based site; meaning you have to EARN your way to a powerful or wealthy character.

3. Mizahar -the Good
-It's unique.
-It's full of amazing and talented writers who have immense dedication to their characters.
-It's fair. The XP system makes EVERY person write out the story of his/her character and build the story.
-It's fun. I've become addicted to coming up with ways to boost my character through short plots and brief threads.
-Members are very helpful and understanding. There is a great deal of Lore and information to process and the senior members and staff have always been kind in explaining things to me.
-There's something for everyone. It's a huge world full of anything you can dream of in some shape or form.

4. Mizahar -the Bad
-The staff is very busy. There is so much writing going on and the moderators and StoryTellers are constantly trying to serve the community. I believe they could do with another staff member or two.
-Because of the above comment, there is no global plot in Mizahar. I am a firm believer that global plots stimulate growth and community on RP sites. Given the workload of Mizahar's awesome leaders, they simply cannot stretch themselves to cover such an emmense task.

5. Conclusion
Mizahar is an excellent site for beginner and advanced RPers alike. The hardest part is deciding who you want to be. The staff and members will help guide you through learning the ropes and starting your journey. It's a warm atmosphere and has an open door policy waiting for any who wish to join. As it grows, I have no doubt Mizahar will be able to add a few more elements which some of the bigger sites boast. Yet, Mizahar is like a small town that knows its members and does whatever it can to cater to them. I invite any to join if you're looking for a good solid RP.

Thank you.
~WH
8
Tue Jul 08, 2014 10:54 am Mizahar Fact: We are one of the biggest most successful RPG Sites on the web in the Play By Post style. You won't find one with more areas to rp in, more races, more lore, and more willing partners to help you in your storytelling journey.

Fact: We are completely and utterly free. Most sites can't say that. We allow customization of avatars, signatures, character sheets and most importantly POSTS. This fact alone is unheard of elsewhere and makes Mizahar particularly desirable.

Fact: Everyone wants to be a part of us (if they are or not) and regardless of how you feel about the admins and their style of running the place, Mizahar is highly successful because of how they run it. There are new players daily and veterans that have been there for years.

Bash all you want. However, I think virtually everyone on the net can and knows that site's don't just HAPPEN by luck and for all the bashing of Gossamer going on here, there's a reason Mizahar is so successful. You don't see anyone else putting in the time and effort this Founder does. The truth is most people who are reviewing negatively here are doing so because they are kicked off and are still upset about it because of their own poor behavior and trolling.

The player below, for example, was booted for a week for wasting a Founder's time utterly in a selfish childish sort of way. That turned into a perm ban because she replied to said Founder with a filthy mouth cussing them out in PMs. Who has time for that? Gossamer certainly doesn't. There's no admin alive that would tolerate that on a site they put their blood, sweat and tears into.

Is Mizahar perfect? No, not by any means. We have gaps in our lore that need more development but unfortunately the time it takes to run the site offsets the time the same developers used to have to develop and there's only so many hours in a day. Other areas we have issues in are definitely the staffing. We need more staff. And I think perhaps the grading program has eliminated some people's desire to fully join the staff when they feel the need to help. So that means new staff is few and far between namely because it takes time away from actually PLAYING to volunteer to help run the site.

Running the site is fun for a while, but burnout really becomes a factor when dealing with players like the one below over and over again.

Another area that needs work is to encourage and advocate players to invent and self motivate their own plotlines. Many people new to RPGs want to be told a story ala a gaming system and haven't broken out of the mold to start developing their own plots yet. This comes with time and isn't a deal breaker. But you have to give new players time to realize they can dream big and make it happen through hard work in character.

Overall, Mizahar does a great job. It has a great playerbase and a good solid bone foundation for what it is. Can it be improved? Absolutely. Everything can. But you know, in the end, when you have such extreme animosity about something from people like you see in some of the negative reviews here.... the site as a whole is doing something right. If it wasn't worth anything and was poorly executed, no one would stick around to make it the biggest and best on the net. They'd come in, look around, and walk away without a thought and certainly not with the passion we see here.
8
Mon Jul 07, 2014 2:22 pm Gideon_M I suppose I could start by detailing all my credentials in the online play-by-post world and sound like some pompous jackass by the end of it. Or I could just tell you that I've been at Mizahar off and on (because of life's incessant need to be tended to) for around three or so years now.

So where shall we start? The community? The roleplay itself? You may want to grab a drink. A stiff one.

When talking of the community, there's a lot to consider. You have your founder(s), moderators (named storytellers in this case), and then the rest of the community all playing their parts. A neatly wrapped package with all sorts of dark secrets hidden inside.

There's drama. Then again, all those credentials I neglected to mention at the beginning would tell you that there's drama on any site you go to. And if you'd like to say otherwise, because there aren't enough opinionated pricks in this world, you were either blind to it or just didn't stay around long enough. Guess what folks? The online roleplay community is one big pot of simmering shit being stirred every minute. Perhaps a little more than others at this site, but it will always be there. Always...

The founder and I have had our creative differences over the years. And if it tells you anything, I doubt she'd really remember any of the conversations we had. I don't despise the woman by any means (mostly because it's a wasted effort), but I don't much care for her either. She's obstinate, self serving, and is probably one of the nastiest people you'll ever meet. She's also honest and doesn't hide it, is dedicated to her craft, and has been the one constant in a site that's seen many people come and go while still maintaining a high rate of success.

I'll leave it at this: Don't let me, or anyone else for that matter, assist you in forming your own opinion of someone you've yet to meet. Have an open mind, and just be aware that there are people in this world you won't always get along with, and then people who you share a common vision with. Should any of it keep you from passing on this site? Of course not.

The storytellers are a varied lot, and there have been many over the years. That being said, I was once one myself and just didn't have the time for it in the end. It takes some serious dedication and a love for sites like these to be successful as one at Mizahar. They don't get nearly as much credit as they should, in my humble opinion. Some, as was mentioned in other reviews, might pick on you when you're fresh meat. Others won't. I'd like to think I was fair and just in my reign, but there was one or two I cracked jokes about behind their back. That's life. No one is perfect, but that doesn't make it excusable either. It just makes it a reality, and either you deal with it and move on or you don't...and move on eventually.

The rest of the general populace comes and goes. There are some very talented writers in Mizahar's player base (some of the best I've seen), and there are those that aren't. Really, do you expect any less at this point? I will say that I've seen my fair share of writers just trying to find their voice get shot down repeatedly. That's not really good practice if you want to maintain a high level of success. Finding someone to encourage you can make all the difference. So would having internal motivation to say "piss off" to those that would otherwise discourage you (politely of course), and practicing until you've got it right. I don't see a lot of the latter, though. Shame that. But if writing were easy, we'd all be published authors.

I think that about covers the people. Now onto the site content itself. This won't be so long winded and dull...well, long winded.

It's hard to find honest-to-gods originality in fantasy settings, but I'd say Mizahar hits close to the mark in much of its development. Some might disagree, and they probably have very good reason for doing so. I can only speak of what I've read and what I've seen in my long history of being seduced by the world of high fantasy.

It's easy enough to read something and think: "Oh, those blue guys are completely from the butthole of that Avatar movie." or "A war of the gods shaped the world into what it is now you say? I suppose there's a novel somewhere around here where that didn't happen... No wait." You'd be well within your right, of course, to roll your eyes and move on. I'm not denying that things weren't taken from other sources in some shape or form. It would be utterly impossible for you not to make such candid observations, and utterly impossible for things not to be drawn from other sources. The difference, I've found, is in the details. Same. As. Anywhere.

Overall I've enjoyed the play-by-post aspect at this site. There's a good community I've fallen in and out of love with, and yet somehow managed to continue writing there to this day. You won't get along with everyone. There will be those that say things behind your back and will never be your friends, those that say things behind your back and then kiss you on the cheek, and then those that kiss you on the cheek and tell you what a genuinely awesome person you are. You'll just have to find your niche if you want to make it here (Same. As. Anywhere.). I invite you to mine should you ever make it. I'm usually up for making friends.

My few words of advice, because I've been mostly cryptic this entire time... Have a strong stomach, an open mind, and prepare yourself for lots of reading. It will enrich your experience, and make the site all the more enjoyable for you. If you stick it out and keep your nose close to the writing, you'll have one of the best times of your roleplaying life. I petching guarantee it.
8
Mon Jul 07, 2014 1:55 pm Vice Hello! I am Vice, and I'd like to pitch my two cents into this little page :)

Anyway, there are complaints about Mizahar's concept being unoriginal and grating off of the surface of other concepts.

The second is inevitable. The cradle of humanity has existed for long enough that any conceivable, interesting concept had been, at the very least, used. This is because pure and utter fantasy is completely stupid. For anything to be interesting, there must be a level of understanding, otherwise the concept would be passe and forgettable. One remembers what one can relate to, and interest inevitably spurs from this interaction. So, that argument can be rendered null simply because of the fact that it would be stupid to create a completely and utterly fantastic world.

The first is simply untrue. Originality does not imply that an idea is completely revolutionary, because as I mentioned before, it's almost impossible to do so. Re-invention is the modern basis for originality, and from what I have seen and experienced in Mizahar, the writing, setting and lore of the site is original. Derivative, but present to me an idea that's utterly original and I'll present to you a cookie.

Moving on.

Going on the aforementioned point of favouritism, I can relate to an extent. There is indeed a small extent of favouritism, but there are also a great many points to prove the contrary points. Favouritism does not imply that a person will not be exempt from the rules. Favouritism will not grant a person immense wealth and prestige. No, favouritism will mean forging a relationship with your friends and those that you've meant and prioritize plots in their direction. As a player, I can hardly call that favouritism. As a story teller, I can say that I do my utmost to avoid such a situation.

There is also the contrary point. Exclusion. I can say that this is a problem in Mizahar. That those that understand the concept of the site will be heralded and treated better, but this is not to say that a person will be attacked simply for ignorance. That's not a way to grow. New players are brought into the fold and encouraged to undergo their process, but if they fail to do so or continuously express a dislike bordering on aggression for the rules and layout of the site, then why are they even on it? Every site has rules, and some sites have more than others. But, from what I've seen, other sites die under the weight of their own anarchy for not establishing a set of rules to be followed and subsequently enforced. Mizahar, if anything, will not be destined for this fate.

Going back to favouritism, Mizahar is self-policing to a large extent. Both the player base and the lower-rung Storytellers will police those that are treated with favouritism and bring it up. A place is earned, but abusing the prestige and going 'rogue' in the site is not acceptable.

On to an actual review.

I find Mizahar to be incredibly enlightening for me as a writer. I have found my stride in Mizahar, and I have personally encountered both sides of the coin in terms of favouritism and exclusion.

I have seen and heard both sides of this argument, been attacked and even ridiculed for what happens in the chat, but, I'm still standing. Mizahar is by no means for everyone. Not for the easily daunted or for those without a thick skin. You will be challenged. But, you will also be praised for your efforts. The very same PC that I made that was ridiculed and abashed at his creation was heralded as the Featured Character exactly one month following his creation. Mizahar will challenge you, but you will grow so much in its challenging.

Mizahar is one of the best sites I have encountered in terms of quality of writing, but that does not stop me from understanding its cons.

More understanding and patience is needed from a great deal of its staff, but I encourage everyone who wishes for quality roleplay to register on the site so that we can all grow and develop together.
8
Mon Jul 07, 2014 1:23 pm Perplexity Good ________! (Left blank so that you may fill it in with whatever time of day you're reading this.)


Let's talk for a minute, shall we? Since August of 2012 I have been a member of Mizahar. While I have not been 100% active for the duration of that time I have been a regular on the website. I have seen the good and the bad. I have measured the weight of the Pros vs. the Cons and found more to enjoy than to dislike. However, so that I can give a curious reader a clear picture of my own experience on Mizahar I will start from the very beginning. In the words of Julie Andrews, it's a very good place to start.

Like a great number of people who joined the website I found Mizahar via the marvelous medium of Google. I'm certain you can imagine how so I won't go into the nitty gritty of how desperately I searched for blah, blah, blah. Now then, when I first joined Mizahar I was utterly and completely lost. I had no idea where to begin or how. Fortunately, the website does this wonderful thing where they include a Welcome Message in your user inbox. It included links, tips and a friendly greeting. It was then that I did what I wish a number of newer people would do: I read.

And read.

And read.

I admit, Mizahar is not a website for the easily daunted. It simply isn't. It shouldn't be either. There is a lot of detail in creating your first character. It is a very personal and extensive process that at first may seem horribly restricting but as you get familiar with the mechanics of how things works it becomes rather fun. During this process I received a large amount of help from the senior player base. Not all of it was very warm and welcoming help but so much of it was useful that I couldn't really be bothered to take offense to it. Now, on the subject of character creation I'm going to offer a small bit of enlightenment: there never was nor will there ever be an epic, god-like, masterful, awesomesauce, OP starting character. Mizahar has very strict starting parameters and I for one am glad for them. So to all of those wishing to be the lost half-god son of Mr. Epic Knight From Fallen Kingdom So-And-So, you will be sorely disappointed.

Moving on, let's talk about plots. Mizahar is more free form in terms of role-play than many realize. While at first glance it may appear that you are limited in the scope of what you are able to do, you really aren't. The Terms of Use, Rules and Lore outline rather clearly the kind of setting one will find in Mizahar. It is often the case that the most disgruntled of players are those who take little or no time to read the material. This has often been a point of great bewilderment for me. Yes, there is a LOT of lore. Gobs of it. What I can never understand is why someone wouldn't take time to read it. If there is one thing I have learned about Mizahar it's that the more you know, the more you realize there's just so much you can do. Anywho, enough of my ramblings on that.

Back to Plots!

Plots in Mizahar are very player driven. Allow me to explain what I mean by that, when I say "player driven" I don't mean a band of merry adventurers pillaging dungeons and slaying monsters in a riveting Quest propelled by a Storyteller. I mean plots are largely the result of a player or players coming together to carefully guide and construct a compelling story all by themselves. You'll find that the Moderators are very willing to work with players in this regards. As long as you're respectful, have taken the time to put thought into what you're doing, and don't waste their time there is a large, VERY large amount of things they'll allow. When it comes to creating a story in Mizahar you'll get so much further depicting your character just trying to live IN the world as opposed to trying to live ABOVE it.

If you haven't picked it up yet my whole point is this: you will get out what you put in. Nothing is impossible in Mizahar. You just have to work for it. That takes time. (I'm talking a few years of time. Very little, practically nothing, happens in Mizahar overnight.) It takes patience. It takes a willingness to lose just as much as you'll win. When it comes to the broader spectrum of role-players though, there is a serious unwillingness to put forth that much effort. Fortunately, we who cherish Mizahar don't really care. We will enjoy our long, hard earned, thoughtful and compelling stories all by ourselves.

Turning the page let us address some of the Out of Character (OOC) nonsense.

I am a Player of Mizahar. I am a Volunteer of Mizahar. I have been a Staff Member of Mizahar. I have seen all of its aspects. I have been both praised and reprimanded and you know what? I'm still standing.

As a player, things progress slow. You won't Master skills in a month. You won't master them in a year. Mizahar wants you to write. So, write. Progression takes a lot of writing but I believe that is the point of joining a Forum based RPG. You won't be exorbitantly wealthy any time soon either. So for all of you would-be merchant princes out there, be prepared to actually work to acquire your wealth. It will probably take a few years. (Real years. Not in-your-head years.) Again though, I believe that is the point of joining a long-term forum RPG.

I have been reprimanded for stepping outside of the rules as a Player. Guess what? I'm still playing. It's really not the end of the world. Some of those corrections could have been worded a bit more nicely but you win some, you lose some. Just make the corrections that are asked of you and move on with your life. You'll find you garner so much more support and respect if you just shrug your shoulders and say "Okay" as opposed to throwing your fists in the air throwing a temper tantrum. Odds are, I will probably be prodded about overstepping about something or other in the future too. It's just how life is. Guess what? When/If that time comes I'm going to react to it how I've reacted to it the whole time: I'm going to shrug my shoulders. I'm going to say "Okay". I'm going to make those corrections and move on with life so that I can get back to role-playing.

I recommend you do the same.

As a Staff member, I had fun. I drafted stories for players to enjoy. I critiqued and awarded EXP/Lores for players in droves. I was both hailed and criticized. I was warmly welcomed and I was harshly reprimanded. Guess what? I'm still there. Because the truth of the matter is this: the moderator staff really can't be bothered to paint targets on people's backs. What do they want? For things to keep running smoothly. It takes a lot of work, time and energy to run the forums. All they want is to be able to continue to do so in a relatively orderly fashion. It's when you as a player or even another Staff member disrupt this flow that frowny faces are abound. Some of you might have noticed that I referred to being a staff member in the past tense. This is because I was retired from the staff.

Guess what? There were no pitchforks. There was no public humiliation. There was no shaming. It was actually rather quiet and when I began surfacing as a more active player I was actually greeted very warmly. Because again, the Staff really can't be bothered to make that much of a fuss.

I am a Volunteer on the forums. Mizahar has a lot of ways for players to actively contribute to daily operations if you but put in the effort and make the time. You can become a Grader (a player who is empowered by the Staff to award EXP/Lores), you can become a Mentor, or a Chat Mod. You can even submit a form to one of the official Moderators to do what is called "Guest Storytelling" which is where you as a player step into the shoes of a Storyteller for the duration of a single thread.

Fun Fact: in order to do all of these things you need to be evaluated and approved by the Staff.

Even with the above mentions, I am allowed to do all of these things. Oh, and just to dispel the elephant in the room that seems to come up so often, yes, even Gossamer has approved some of them. What am I getting at? Mizahar, for all of its faults whether they are perceived or real, is a place that rewards you more than it punishes you.

So! To wrap up my ramblings...

Point 1.) Put forth some effort. Really, it's worth it. Do some digging, do a lot of reading. Be proactive. It will get you far.

Point 2.) Write with the intention to write. The story will come. Make friends. Reach out to other players. Give it some time. It will pay off.

Point 3.) Compromise. You win some, you lose some. Don't take it personal. There's really no point. If you follow the rules, don't be a nuisance, and just move on with your life so will everyone else. The Staff and other players will work with you if you take the time to work with them.

I do hope you found my rant helpful!

Regards,
Perplexity
8
Sat Nov 23, 2013 11:45 pm Inamorda Today I'm going to review a forum-RPG site called Mizahar. For those of you out there who are familiar with forum-based RPGs, you should know exactly what this is.

First off, this site seems pretty big - I mean, you can just Google "fantasy rpg forum" and this thing should be first or second on Google, that's how popular it is. Which is really rare for these kinds of forums. Immediately upon entering the site you'll be thrown into their homepage, which is a hot mess of bulletined topics and recent information crammed into a small space. The site obviously doesn't lack for activity and has a huge member base. Until you get really familiar with everything, the navigation bar seems pretty much redundant and confusing. I don't think I've ever personally used half of the buttons there. To make a long story short, Roleplay is for the forum, Lore leads to the site's built in Wiki - containing all of it's lore information and rules, as you might expect - and the Gallery is a place you can upload different images to use on the forum in place of sites like imgur which is really useful if you're going to be coding them into posts a lot but horrible if you don't want the whole site to see the image publicly in the gallery or host rights protected material.

Upon clicking the sign up button you'll immediately be thrown into a bunch of lore pages about the twenty three or so different races on Mizahar as well as several rules and starting guides. Most of these pages are very well written (even considering the amount of non-english-first-speaking people on the site) and uniquely thought out. I find that some, however, are just a touch and go on some huge cliches in the Fantasy genre with just a fresh new coat of paint - which Mizahar so passionately says they avoid. This is true for the most obvious things, like the absence of dragons, trolls and other similarly-cast mystical creatures. Surprisingly, some of the races just feel like they try to hard to be unique and just feel like a really detailed spin-off. [Isur=Dwarves] [Inarta=Wood Elves] [Konti=High Elves] [Ethaefal=THESE (Aion, Tera, Warcraft, etc)] and more. It really felt like they're suffering from that classic Hipster denial.

The character creation guide seems pretty daunting at first but is actually really simple once you're on your second or third character. One of the first major things you'll notice is the innovative skill system that is reminiscent of Skyrim or Oblivion. In most terms, it's actually very similar in that you level your skill up to different tiers of experience and unlock several new uses in the skill for each, while becoming overall better at said skill. The starting package, as they call it, gives you fifty points off the bat to pour into your character under whatever skills you want to a maximum of thirty points per skill.You also get a Racial Bonus, usually ten points, which goes into your Racial skill(s). If you're clever, you'll have went with the unique option called "Humans, Mixed" or "Mixed Blood". What these are is essentially a mix of two different human races (such as a Vantha and a Inarta) or a mix between a human and compatible non-human race making a hybrid. For mixed humans, you'll instantly get fifteen Racial Bonus points to boot, which you can put into whatever one skill you want, making sixty-five total points towards character creation. Having a mixed blood race is not as glamorous as it sounds however, and the lore says that you will be treated like an outcast, a lesser being of your race or at the worst case exiled from different cities. You also don't get the same fifteen point bonus, and your non-human racial characteristics will be greatly reduced.

The main lore of Mizahar itself is intuitive and unique, combining Sci-Fi's post-apocalyptica with the "lost ancient kingdom" feel of Fantasy. It all blends very well, and you soon discover that magic was partly responsible for the near-destruction of the world and is now a disdained and shunned practice to the common man. There are, of course, many gods and goddesses, each with a unique background and definitely less cliche than the races felt.

In terms of classes, starting out as a mage or spellcaster will technically be more difficult as the magic skills all seem to require a somewhat high skill level before any of the really significant stuff becomes available. If you're like me and just want to gear up for some PVP action, Personal Magic skills are a good choice early on but also come with their own set of health risks. Creating other common class archetypes is very easy and fully customizable with the skill system. A rogue might put points in Stealth, Poisoncrafting, Dual Wield, and primary in a weapon such as Daggers. An archer might go with Hunting, Longbows and Fletching. Barbarians, warriors, knights and clerics are all possible, albiet actual knights are native to the city of Syliras and anyone will tell you that they don't take kindly to outsiders claiming the same status. It's very tempting to pick five different magic skills and a bunch of weapons, but I'd highly advise against this as starting off with a minimum in a bunch of different skills will mean your proficiency in those skills is almost the same as a person who has never held those weapons or magics in their life. It's best to stick to the traditional class system of the genre when choosing your starting stats.

Expect a ton of criticism about your character from the staff. From my experience and what I've heard from others, they're very verbal about their opinion of originality and what fits in their lore, even if it's perfectly within their rules and guides. Maybe they just feel more inclined than the common guy since their site is so popular, or they're just plain stingy, which is ironic considering the hidden cliches throughout the lore. It's best to just ignore the urge and get your character done. I've never had a character not approved just because someone didn't like it. Feel free to "Mary Sue" as well. The hardest part is almost behind you.

Now, especially if you're a noob, you're going to get a lot of heat from the staff for every little mistake you make. While this is natural for every newcomer to a more or less closed community, they take it to whole new extremes. I've noticed a pattern of favoritism and perhaps even slight bias when it comes to punishment and reprimanding. For example, two members were reprimanded for "textspeaking," something explicitly against the rules of the site and chat box. The first one was subsequently kicked from the chat for simply saying "plz," while the other one wasn't even warned twice the second time he used the same exact textspeak (ty)! It seems like they're also a bit hypocritical at times, setting standards for proper use of speech and grammar but utterly failing to properly spell basic words and sentences, which just seems more like laziness to me. All in all, if you're willing to look past this, or smart enough to avoid this kind of trouble like the bubonic plague, then this shouldn't be a problem for you and you'll be fine. Of course, you're welcome to have as much of a liberal view as I do and still feel discomforted that a potential fellow member was just wrongfully shot off, and might not ever return.

Much like Dark Souls, don't expect to jump in with a full set of plate armor and a nice greatsword, as these things are exorbitantly expensive and won't come anywhere close to your starting budget. It is actually possible to get a full plate armor set in separate pieces before you start the game, but the downside is that it is made of bronze or worse, which is obviously inferior to steel. If you're feeling really greedy or cynical, you'll even go with bone armor, which in my opinion is even better than steel for its thickness and definitely doesn't lack in cool factor. Throughout the game, you'll take part in threads called "Quests" lead by staff which involve other players and yield some pretty good rewards. These are a lot like instances and raids in an MMO, and are usually worth the while whether for the rewards or the chance to flesh out a story with several others. Solo threads are also possible and are usually used for training purposes to boost a skill level. If you're on a pinch for money or supplies, you can also arrange with the staff to have a job with seasonal income, which is based on your skills and what you can provide.

There are tons of cities and open areas throughout the game world which all present their own unique flavor to the game. The key in Mizahar is to stick in a city and farm as much as possible. The outside world is exactly like it sounds, post-apocalyptic. Any small shacks or cabins in the woods or outposts that are still around are either abandoned or completely ruined, and beasts or magical beings litter the land waiting to disembowel you and use your head as a chew toy. Once you have a decent set of armor arranged and a full bag of supplies for wilderness travel, it's best to set out with a group of friends or a trading caravan to venture off to your next city of choice. Expect to spend very little time out in the wild unless hunting game or dangerous beasts for fortune.

The staff on this site is just as large as its world. There are regional administrators for every major city, and below them are several moderators called "storytellers". The ST's for short come in different ranks and rule over different regions of a city or area, but usually are very active and dependable. The staff center, called the Help Desk, is a good place to ask complex questions not answered by the lore or to request certain things such as that third cousin twice removed in Riverfall to be made into an NPC you can interact with, or high level things such as Gnosis Marks - powerful sigils left on you by the gods bestowing a portion of their power and a special ability to you. If you're one of those guys like me who wants some hybridized type of weapon not on the Price List, this is the place to ask for a quote on the cost and if it will be allowed in your starting package or not. As long as it's not something incredibly unlikely and silly like the Tsurugi sword or Hidan's scythe, they're usually pretty lenient about it.

Overall, I've gotta say this site is alright, and the pros definitely outweigh the cons if you're willing to overlook them. It's a great place to role play characters with others and has a nice, solid system to run with and a great community by which I haven't seen on any other site like it. I'd give it an 8.5 out of 10.
8
Wed Mar 20, 2019 12:16 am AelloTru I think we should give Standing Trials a chance to prove they're better than the current administration. There are a lot of moderators that are putting in work and effort to engage with the player base. Peg's just not a good fit for the admin position. She'll do fine as a regular mod.

It's not an ideal place but it's certainly better than mizahar.
7
Thu Jan 21, 2016 11:13 pm Keene Ward I figured I might as well as this here for reference for any players who were interested.

You took longer to ban Don than I thought you would, so that in and of itself is impressive. Like most habits, it seems this one dies hard along with the rest of them. Normally, I wouldn't post in someone else's scrapbook, but I think my own bigotry is well placed here, in this scrapbook especially.

I'm not going to call you names. I'm not going to say how horrible and awful a person you are. There's so much I could say with plenty of testimony to back it with a mix of fact and self-fulfilling prophecy, but that's not really the point. Everyone already has their own personal opinions of you, their own names, and their own little stories of mixed love and hatred, so I don't need to address that. What I do need to address, and need is the correct word here, is what you seem to deem unimportant.

Don, Dravite, or Tribal, whatever you want to call him, was one of the most active and involved STs you've had on the site in years. He was your "golden child". The amount of praise and gush you gave him was enough to turn people against him. I didn't even like him very much just by the sheer amount of attention you gave both him as an ST and a player. You can deny this, if you like, this isn't necessarily fact. People's opinions tend to differ based off of their own experiences, and if this isn't the way you remember it, that's completely fine. This is the way I remember it. This is, most likely, the way many people remember it. This is certainly the case when Tribal reduced his activity on his PC due to the amount of favoritism complaints that were voiced in chat and PMs.

Now, it's no secret you pick and choose your favorites like flavors of the day. There is a general understanding among the more seasoned players that the less attention we garner from you, whether good or bad, the longer our Mizahar lives will be and less drama we're going to have to face. Currently, you are partial towards Azmere, Wikus, Balderdash, and the soon to be Elysium; there may be more, but for the sake of what I need to say, I don't see them as particularly important.

You say what we don't know won't hurt us, but that is a quaint phrase that holds little truth to it. Not knowing you're contagious results in people getting sick, and Don's ban is a pox that people should be aware of. It's no secret among the staff that Balderdash is something of a pet of yours. I don't use the term in a derogatory sense. "Trophy" or "Piece of Art" would probably work just as well. In the time that he's been an ST, he has done next to nothing. His calendar was written by Tribal. He sits in chat most days, picking and choosing his conversations, and does very little writing, if anything. Yet, somehow, his complete lack of activity is considered more than enough to keep him on staff while Verilian, who did about the same amount of work as Balderdash, was greyed due to gross neglect of his city. Balderdash contributes very little to the site, but he is, as far as I can tell, an emotional support for you. A "yes man", as it were.

Now, you often state that you appreciate people who "stand up" for themselves and who "speak their mind", people who "say things like they are". This, as I and many other people are fully aware, is a blatant lie. As many more people probably aren't aware, however, I don't believe you realize it is a lie. I honestly believe you believe that you appreciate "blatant honesty", you just have your own idea of what that honesty is. So, when Don was offended by Balderdash's typically snide and condescending remarks, it's not surprising to me that you chose the side of the person you knew would support you. Don has always been a vocal person. If he doesn't like something, he lets people know. That doesn't work well for you. That's understandable.

After that, you made live for Don very difficult. You kept him from making changes to the domain that he was supposedly storyteller over. You constantly posted passive-aggressive and aggressive statements regarding his incompetence on things that, as his overseeing ST, you should have taught him but played off as if he should have been aware of them all along. You regularly went into the lore to make much needed changes after his players came to you with questions regarding things he had said to the best of his knowledge. In short, whether you see it as such or not, you undermined your own ST - your strongest ST, if we're being perfectly frank.

Is Don completely blameless? I'm sure he's not. I'm sure he offended you. I'm sure he said things you didn't like. I'm sure he tried to do things he shouldn't have, but rather than acting as a mentor, you chose, as you often do, judge, jury, and executioner. You made life difficult for him, to the point where he was an emotional mess over a fictional writing site. It took him far too long to step down, and when he did, it was best for everyone, as at that point you had effectively turned the majority of his players against him, removed almost all of his permissions regarding city and sea of grass development, and refused to speak to him but for the bare minimum. In a player to player sense, that would make sense. You don't like someone, you don't interact with them. As a staff member - in fact, the head of staff - it was a petty series of events. It's also well known you tend towards emotion over reason or even the overall health of the site, which, to your credit, has kept the site running by your sheer willpower.

After he left staff, he tried to remain and write. Soon after he sent a PM to your new AS regarding careless grading involving rewarded maxed skills, he received notice that he wasn't allowed to play in Cyphrus any more. Taking cue from your own hands off approach, he didn't read the pm. Shortly after, he was IP banned. Certainly a solution to the Don problem, unfortunately making a post in your scrap telling people not to ask about it, while expected, is a disappointing turn of events. People aren't quite as stupid as you appear to give them credit for. Whether they liked Tribal or not, he got things done. He posted in threads. He graded threads. He did his best to remain polite with completely inane individuals, and he made Endrykas into a city people wanted to write in because there was some one there who actually delivered on what they said they'd do. Some people suggest jealousy, that you grew to dislike him because you were threatened. I don't think that's the case, but I know you wouldn't admit to it either way. Whatever the case, he was a good ST - the best ST for most people who have been on the site and dealt with moderators who are around for a few days a month to answer the occasional PM or approve a job request.

I don't know if you were thinking if you greyed him you could play it off as him just leaving out of rage or if everyone would just ignore it, but people know that Don was good at what he did and that he was dedicated. Of course they would ask questions, and as players, I believe they have a right to understand why he was banned. You say you only ban someone for breaking rules or if they are bad people - this is highly debatable, as a "bad person" is completely dependent on your opinion and yours alone. Take, for instance, Ethan Fulmaria, a player better known to the older players as "Vice". He was banned. He was (or perhaps still is) an emotionally abusive, manipulative, and power-hungry individual. Yet, you let him back for only you know why. Please don't pretend that your bans are final and unchangeable when they shift and waver with the tide of your emotion. You do not ban "bad people" or "people who break rules", you ban people you dislike. This is your site. That is perfectly acceptable. You can ban anyone you disagree with, anyone you think is toxic or awful or just unpleasant, but please don't lie to your members and tell them that you "only ban people for two reasons".

You do have to do something very bad or be someone pretty terrible to get booted off of Mizahar, but that is solely depending upon your own perception. Which, as time has told, is fickle. Elysium left without a word. I won't speak for her own conditions in that, but those who remember her do not recall her relationship with you very good. She's back now. I think she's a creative and interesting person, and as a staff member she has a lot to offer, but it doesn't change the fact that, had she not fostered a personal relationship with you that I know little of, she would never have been permitted to be an ST again - or so you would typically say. The hypocrisy of your statements has been something that has bothered me since I joined the site, but again, it is your site and I was content to just play and write under the umbrella of bigotry, as it did not directly affect me.

By "other people", you should be clear who. Amunet dislikes being told "no", and Don often did so. Azmere grew to dislike him, I assume (and that is all it is), due to your own dislike of him, and followed suit, finding his own issues with him. Balderdash never likes people opposing him in any way, similar to yourself, so Don's vocalization of his issues with him were probably more than enough to warrant his ire. If there are more, which... Is possible but I doubt would be anything very relevant in the long term, I would be surprised. You paint him as though there were a large number of people who disliked him. Many of his players, I'm sure, were led to believe and may still believe him incompetent, but that is small in comparison. If Prophet couldn't handle being told his grades were lacking, that might be a problem you should address with him.

Don and I are good friends. We started talking after you alienated him from your personal AIM chat with Balderdash, and it is entirely possible he's poisoned my mind and turned me against you. To be fair, I've never agreed with the manner in which you treat people, nor do I believe you are a good administrator after the year I have spent as a staff member. I dislike you, more than I should, I'm sure, and Don didn't do anything to assuage my opinions of you, so it's quite likely he helped foster them. At this point, it doesn't matter very much. Neologism, also a good friend of mine, was constantly belittled by you. I understand that the adult brain is, biologically and chemically, more developed than a child's, but please do keep in mind that murderers, rapists, sociopaths, and many many more deviants of society are, more often than not, adults. Age has a factor in intelligence and comprehension, but it is by no means a be all end all. Just look at Donald Trump. You never wanted Verilian back on staff, even though he's one of the least abrasive human beings I've ever come into contact with. You appointed two AS's to Mirage's domain without even stopping to let him know you would be doing so. You are disrespectful, condescending, narcissistic, petty, and manipulative. I hope you don't take these as attacks. They are not intended as such. They are, quite literally, the most apt adjectives I can think of to accurately describe you.

I believed I would grow to understand why you act the way you do the longer I was on staff. I interacted with complete idiots. People who were so ridiculous, I had a hard time dealing with them. I certainly wanted them to leave, and I understand why you would just ban them to get rid of them. What I don't understand, however, is how you can so easily vilify people or how you can confidently say that they are evil and terrible and cannot be allowed to play in the sanctuary you have kept alive by your own blood and sweat and yours alone. I don't know much about your personal life, but if it is conducted in any way similar to how you act on Mizahar, you must be very lonely. I wish I could feel bad for you. I wish I could understand why, when I think of you, all I can think are nasty, awful thoughts about how emotionally abusive, manipulative, and childish you are.

You are a poison, one that seems to seep into staff no matter what sort of people they are. It's sad, because Mizahar is such a wondrous place, and while I already dislike half of the new staff due to my own reasons, I still feel bad for them, knowing what's ahead. I wish that anything I said would be heard by you, seriously considered, and even effect a change for the better. Mizahar could be great, but a site can't flourish off of bitterness and spite. It would be nice if it could, because both of those things are so much easier to practice than understanding and growth. But, I have little doubt you will have your own, poorly constructed, emotional, and condescending remarks to what I've said, if you let it remain at all. I hope you read all of this, because even after all of this is said and done, it would be nice if this helped you see how awful you treat other people and how deserving it makes you when they treat you the same in kind. Living life like that can't be enjoyable.

So, feel free to delete this post, as you used to do, or leave it as an example of another bad person. You may even want to edit it, if you believe it will help serve whatever purpose you would like. I have said what I needed to say.
7
Tue Oct 20, 2015 12:55 pm SpaceQueen You are all seriously intense. It???s a bit unnerving. Good or bad, Mizahar is clearly a game that has had a deep impact. I just spent maybe an hour reading down through the reviews and am overwhelmed by the seesawing, impassioned opinions.



I am a player, storyteller, and lore author. I???ve been around off and on since the game???s conception. I have made friends. I have argued with people, sometimes the same people I have been friends with. I have avoided certain people, been gossiped about anyway, kept my mouth shut, put my foot in my mouth once or twice, and spoken out occasionally as well. Most of all, though, I have written and played and worked on the game in one form or another and as such I know it as intimately as anyone.



Setting ???

Post-apocalyptic, god infested, wild magic, mysterious races, recovering civilizations. So, no, it???s not outrageously unique in that sense. That???s a pretty standard skeleton for fantasy worlds. All of the lore, however, is original content made up out of the heads of various founders, storytellers, and players since the game???s conception. Some of it is better than others, and some of it strays from the spirit of the theme, but overall it is interesting, rich, and supportive of numerous, intricate plots. It is a wonderful base for storytelling.



The fact that Mizahar boasts of its originality and not being a Tolkien based fantasy game fails to bother me despite the occasional exaggeration. It???s an advertisement, and the content is original even if not always exceptionally unique.



(Notably, some reviewers have mistaken ???original content??? for ???originality???.)



System & Staff ???

The system is flawed. There are a number of mechanics that can be streamlined and reworked to lessen staff burden and enhance player experience. At least one major leg of the advancement rule system, player Lores, has never been properly utilized and enforced and is essentially irreparable at this juncture. The staff is presently at a low with very few hands on deck and of them almost none are armed with the authority or given proper motivation to create significant change.



Players ???

Wild and varied as anywhere. There have been a number of solid writers on the game over the years, more so than I have seen on the majority of games out there. Like tends to draw like in that regard which encourages the lesser skilled players to improve their writing abilities.



There are wonderful, talented, kind people and there are skilled, ambitious asshats. There are vicious trolls and cutesy trolls, bumbling but well intentioned anxiety queens, egotistical jerks, selfish escapists, lovable pranksters, and just about every other color of internet personality you can come up with. There are plenty of internet liars, people who assume new identities or alter minor or major aspects of their own in order to present a different OOC personality. I have never cared about those liars insolong as they don???t do so in such a way that it harms others. That has happened enough.



People have all manner of motivations for lying on the internet. Some people claim to be a different gender or sexuality, give fake names, dramatize the nature of their circumstance for attention or as an excuse, and I still don???t care. It???s human nature and I too made mistakes when I was younger. The times where it has been someone I thought was a good friend consistently lying to me were depressing but also par for course.



It???s a community regardless of what some reviewers have claimed, and sometimes it does an exceptional job at being a healthy, supportive community and other times it falls shockingly, even tragically short of the mark. The internet doesn't act on its own. These are real people making decisions to behave the way they do, for good or ill.



The community is not always about getting back what you put in. The world isn???t that way despite what a bunch of misguided cosmic justice optimists believe. You put in and sometimes you get nothing back. You put more in and you get thrown a few bones. You keep on putting and sometimes you hit a motherload of getting. You put in next to nothing, but consider it everything, and are lucky enough to be in the right time, place, and good graces to be handed a whole lot more than you have put in. Every now and again people get screwed and others luck out. It???s like anywhere else in this regard.



Overall, I have enjoyed the game. For a while I enjoyed it immensely. There isn???t a writing based role playing game in existence that can accurately and consistently reward you well based on said writing. (Unless, of course, it???s a matter of a sheer word count.) That isn???t to say things can???t be improved, but I touched on that already. It needs improvement, perhaps just not as desperately as some conveyed.



Finally, I???ll touch on the subject of the founder. As someone has already said, love her or hate her, it is Gossamer???s game and you play it for free. She will run it as she sees fit. Right or wrong, fair or unjust, this is her court and you are here at her invitation. Play ball or find another free game. She???s not some crazy sociopathic egomaniac, nor is she unique in her behavior and actions as the person in power for a gaming community. She is also not some incredibly fair, selfless, shining leader who is just being given a bad rep. People have been treated unfairly. Others have gotten what they deserved. Her supporters are no more all brown nosing lemmings than her detractors are all whiny immature hate mongers.



Form your own opinion. Stay, play as long as you enjoy yourself, or go to one of the many other games out there. If you are unhappy and dissatisfied, you too can make your own game where you get do to what you want. That's how Mizahar started. That's also how a number of other games have begun. It's never been a secret.
7
Wed Sep 23, 2015 4:44 pm Kreig Messer Right, how should I begin this?



Well, I suppose I should start by stating that I am far from the best RP player around in fact I'm likely mediocre at best, a truth that I don't like admitting but I freely do so all the same and I should add I'm not too good with boundaries. Probably being too hard on my self, probably not. One thing I may have going for me is that I am experienced and have role played in many different sites so hey, could matter right?



Players: Right, one of the most basic things that marks a good roleplay site. A lot of the players are good people and do their best to RP, certainly much better than myself. I am always in awe of their RP ability compared to mine and their sheer dedication, I've been a member of the site for a number of years now and my activity is certainly less passionate than theirs.




At the same time, there were quite a number of players whom did not last long or have sabotaged themselves in the long run, usually by breaking the rules in some regard. Some I've interacted with only to find they're the previous members sneaking back on once they get banned once more, this happens so frequently yet each time it feels like a fresh wound because I feel like they're not taking into consideration the players who're they're planning new plots with.




Many of those same players have tried to break or bend the rules in other ways as well or refuse to recognize their own faults when they let their emotions get in the way, some have flat out ignored the lores and rules, and refuse to admit it further or admit it only to try and gain people on their side to drag them down and thus get into further trouble for trying to facilitate factionalism . They're human like that, its normal after all and I can't say I might not act the same if the same fate. People like that are everywhere.




Staff: Much of the above applies here really, especially because many of them are players, the staff aren't perfect people but plenty of them are dedicated when life permits them. They're helpful, try to set up some plotts for players to enjoy and deal with demands, reasonable or unreasonable otherwise. A lot of the good ones are usually the ones who step down for various reasons, such is rl problems or feeling overwhelmed. The best are the ones who still going






The bad ones, they don't last long... again, plenty of the above applies here, fact of life as it were. The ones who disappear for long periods and don't, the only thing i can fault them for is perhaps they leave players hanging, more than I certainly have done. The others, well, its for playing by their own rules at the expense of the player and doing their own bits of favouritism, abuse of authority as it were, those are the ones whom usually have their status revoked and end up getting banned.

Goss: Since plenty of these reviews usually have her as a centre, I suppose I should give my two cents. Honestly, I respect and I'm scared crapless of Goss. This is a very powerful and brutally honest woman in my opinion and I do not envy her job. When she bans people, usually its for a good reason and her judgement is usually well placed since plenty of former members frequently try to sneak back. Most of my experience with her has been limited to mostly chat and usually brief and when she points out a problem I have she is quick and honest about, otherwise know stuff abut her in her scrap book which pretty much paints the impression I have her.




Honestly, I don't see anything wrong with her and she does a pretty good job being the most active founder on the site. Looking at this, it feels like it stinks of sucking up but then again...this is my impression of her so *shrugs* sorry? If she ends up reading this she can kick my ass later.






Lore and rules: Its damn comprehensive, its what I got to say about it. And damn necessary to boot, sadly not all of them are as detailed as I'm making and some are little more than stubs. But what there is *and that's a lot* is pretty interesting and comprehensive. Is it original? Damned if I know, I've read enough fiction that things like originality don't really matter to me as long as its good and in my opinion... this is good.




Some, of course, definitely need to be improved and there are members of the site who are trying to improve upon them. It just takes a lot of time and time is something precious, don't expect life to just let them spend it here to get it all done.





Roleplay: Now, this is a toughy, because it is highly dependant on the lore and the players themselves. For any new person and even veteran players, this is a difficult thing to do. Why is that? Becuase you need to do a lot of reading before you do anything, get a good understanding, ask questions and what not. You also need to be social with people too if you want a good partner and respect them too as they should respect you, it goes two ways. So, yes it can be damn complicated but only if you don't do the work, otherwise its just peachy.






Overall: Honestly, I'm likely not the best source for all of the above and it may look like crap 'cause I'm writing all of this now. But in the end, I think Mizahar is a good site and that most people will have to remember to be patient, remember you're not the only human being with a life, stick around and give it a good and honest shot and make your own opinion from there, yeah?
7
Wed Jul 09, 2014 10:37 pm BaconStripsDeluxe Note: as I wrote this, it became less of a review and more of a response to the negative reviewers here. Just so you know.

I don't intend to wax eloquent about this stuff- you can find plenty of that below. I'm also not gonna get over the top and call down damnation on anybody and I'm not gonna insult people or staff members- again, look below for all of that. But I do intend to briefly convey a bit of my Mizahar experience and offer some advice and perspective to those of you taking the time to read these. Now, if you read more than one of these you'll notice a few common threads that start to pile up- if you're smart you'll realize that tons of people don't all make the same observations for no reason. Here's the big things that stand out from what gets said:

1. Gossamer hate posts
2. Older Staff hate posts
3. Attacks/Affirmations of the sites originality

I'll start by addressing #3 and work my way up. Here's my opinion on this issue: Who gives a flying fuck if the site is up to your scale of 'originality'. That's not a valid point. We're dealing in fantasy and in my experience you should be thankful that somebody is even trying for this in the genre we're in. And in any case, if you really, really, actually capital letters NEED to RP on a site that has magically generated a truly novel idea, you may need to get the stick out of your ass.

As far as allegations of a war between older staff and and new members go, I will say that it is not as horrific as some make it out to be but I won't deny its existence. The fact is when you get a larger site with a larger staff some are going to be unbelievably and unfailingly huge pricks and pretentious douchebags. Do certain people tend to run newbies off the site? Yes. But I mean, come on. We're on a site built for people who write in their free time. If you didn't expect to find assholes here, then where did you expect to find them? Flip side of that coin is you will find some really great people here. I have met people on this site who I would seriously love to be RL friends with if we weren't 1,000's of miles away. These people pick me up on my gloomy days, and they help me to smile in the hard times. Aside from a few people, the men and women of Mizahar are a friendly, helpful, and- in time- a loving bunch that I wouldn't trade for anything.

Lastly, I want to tackle the abundance of Gossamer haters. I want to do this because I understand these complaints and it cuts me deep to see people getting burned. First of all though, let me establish this real quick: Gossamer is NOT! a bitch. She is not some demon woman who flies around Miz wreaking havoc on unsuspecting PC's, she is not sitting in chat just waiting for you to do something wrong or make a slightly off-the-mark comment about a lore so she can IP ban you. And listen, you have no reason to call my allegiances into question here. I've shot you straight this whole review. I have not shied away from the truth and I have not failed to give you true, unfiltered pros and cons. I know people will read this and think I'm just an ass-kisser or a foot licker or whatever you feel like calling it. The fact is I'm not. There is no way for Goss to know who I am(you didn't think BaconStripsDeluxe was my character name did you?) and I'm not about to go link her to this as a 'look at me!' gesture. I don't kiss ass. Period. Now that I've established this as best I can, let me continue.

Goss does get carried away at times. Is it necessary to insult people for asking basic questions or making lore mistakes at the wrong time? No, it isn't. There are so many allegations thrown around about her but this is what I myself see most often and what I suspect leads so many people to leave or get burned. I'm not gonna shy away from saying that shit happens. But I am not gonna let you get away without hearing the other side of things. Goss is a woman who I think exemplifies selfless service and diligence. You know how many forum founders have stuck around? 3. That's 3 people to oversee the machinations of a thousands of people and thousands of posts site. You know how many of them are policing the forums? 1. This woman single-handedly greases the wheels for so many things it just ain't funny. And you know what? She throws smileys around while she does it!!! She gets on chat and helps people out! She talks to us about her beehives! She's fun and extremely honest and oftentimes a kind and heartwarming person!

But it's not all sunshine and rainbows. At this point I'm gonna switch from offering my opinions of the above listed issues and shoot straight about what I think holds this site back from being a 10. It's this: 15,000+ total members and..... wait for it..... 18 or so regularly present staffers. I would suggest this is the reason that otherwise kind people like Gossamer are constantly worn and worn and worn to the point of things happening that shouldn't happen. I personally don't think somebody so far up the totem pole should have to deal with people so much. I am not an expert on anything here so I won't put out a number but we really need more staffers. And people who won't quit(this has been a recurring issue, particularly lately). Some below suggest/state that staffers leave because of Gossamer. I suggest that if you're the kind of person who can't handle a little hardball when the site is in a tough spot, you may not be mod material. Nothing against you, this is a trying place in a trying time. But if we want to see a brighter and better tomorrow we can't jump ship. So I'd say that Miz is in a tough spot and Goss is stressed and overworked(hell, all the mods are overworked) but I really do believe we can see improvement in the future. Don't just be consumed with the bad things. Don't be consumed with the good so much that you miss the bad either. The only way you can really love this site is gonna be to understand it- it's faults and it's successes- and seek its betterment. I hope this is been informative or encouraging to anyone reading.
7
Tue Jul 08, 2014 12:43 pm asoulthattalks -Pros:
x Detailed Lore. Pages and pages. It might be a copy to you, but we can get the same ideas, yes? And also, it doesn't really matter as long as you have fun. The main point thing. Also you can do fun plots easily if you think about it.
x Staff's there. Also players, not desolate at all, easy to find someone.

-Cons:??
x Drama is here, as there are people. Sorry. What I think you should try if you don't like it is to try to keep a low out of character presence, and just generally be nice to the mods /ST's. They have a lot on they're plate, ( and I think they need more by the way the site is growing )

The main problem is up there. Everything is fine, but if they straighten out admins, boom, it'll be all fine. The problem is that it doesn't have enough people. So join, try it out, but first: think about you're character. Don't just start one automatically, no, think. Make sure it's enjoyable for you to play too. Also, Goss, if you're - ( haha are you expecting hate? :P ) just try to relax a little and try to get a break sometime. I understand why you're a bit selfish sometimes, and that's because you're working hard for others. Work tires out everyone, so try to get more admins to help you out / focus on HD rather than an area or something. Try to soften you're words when speaking too. There's a difference between honesty and offending others away from the site ( not saying you are, but just something to keep in mind )

Overall, if they can get the toxicity to the minimum, it'll be the best around, I think. 7/10
7
Tue Apr 29, 2014 1:01 pm Travinsky I just wanted to add my two cents about the reviews on Mizahar to add another perspective into the mix. Before I give my impression of the sight I think I should say straight away that I am not a moderator or a veteran player so I'm not going to try and endorse it, neither am I a player who has come into conflict with the mods, a new player who didn't bother to put the effort to find threads, or a character who has had their character forcibly killed off or retired. I have played the game for eight months with three characters across vastly different cities in Mizahar (Riverfall, Sunberth and Syliras to be precise) and overall I have had an enjoyable experience with my characters however it has certainly not been a perfect experience.


Firstly I have to tip my hat to whoever wrote the vast expanse of lore, while it isn't exactly all original it does still manage to avoid a few pitfalls of fantasy even if it is a bit of a stretch to call it "Original Fantasy". However I was not particularly looking for a super, hipster, unique site but much rather a detailed site which they have clearly managed to achieve with the races/cities/cultures and my god, whoever made magic deserves a huge pat on the back, if I take away one bit of lore from the site it is the incredible magic that to my mind at least is unique.


However, within the lore there is a small detail that has persisted to annoy me through my time on the site and that is the post-apocalyptic concept. Playing in Sunberth and even Syliras at times I got the sense that it was a struggle to survive (Sunberth more so than Syliras which makes sense given the lore) however my time in Riverfall was far too... clean maybe? Riverfall is possible one of the best cities because of Gossamer and Magpie, former being one of the founders and the latter being a lovely person who I would endorse as being the one of the best STs on the site (Not to say Goss isn't lovely but Magpie really stood out to me). But the city to me anyway was filled with festivals and artistic, social characters who didn't seem interetsed in putting their character through Hai and the idea that five hundred years ago the apocalypse happened just seems impossible when I was there, I love gritty roleplaying but I just didn't get this sense of desperation except in Sunberth.


But that detail is overshadowed by the biggest con of this site - The community. We're all human, that is the key thing to remember, no-one is perfect not the new players, the old players, and especially not the moderators. That's why in my time spent on the site I witnessed one of the most powerful moderators retired for spam deleting, powergaming and favouritism as well as forced character deaths, more forced retiring and a slew of moderators retire. This isn't too say favouritism, flamers and elitists are rife in Mizahar but if you look closely or simply spend enough time on Mizahar you begin to notice it enough to taint your experience.


This brings me on to the Chat, a concept that is great in theory and at times is seen as players exchange plots, ideas and what they had for lunch. But at times it shifts from friendly to awkward, uncomfortable and downright mean as new players who makes mistakes are ridiculed before someone begrudgingly sends them a PM to help them out, the elitist of the veterans complain about the newer players who are nervous about the already intimidating site and moderators use their power to dispense "justice" all in front of a audience far too often.


Finally that leads me on to the reason I am posting this on this site and not on Mizahar itself and yes it is because I am coward. Moderators hate opinions against Mizahar, far more than is considered respectful providing your criticisms are also balanced and explained, this gets worse as more of them reply and as moderators hold so much power only the most veteran players with a wealth of friends can hope to go up against a DS or RS and come out unscathed (Founders are off-limits to everyone).


All in all, if you are a creative writer who is willing to put your ideas to fellow players to find threads and you are willing to maintain a fairly low-OOC (Out of Character) presence, this a perfect site that will enable you to write with a plethora of talent writers but bewared, the community is willing to turn on you as fast as it befriends you when something turns against you and as soon as you encounter the ugly side of Mizahar... I haven't been able to shake it off since I found some moderator action that didn't sit well with me to witness.
7
Sun Dec 22, 2013 4:27 pm IzzyTomes Mizahar's premise has already been described, so I will jump right into its pros and cons based on my experience.

Mizahar is quite detailed. It has been carefully crafted and features a wide variety of races, locales, and philosophies. Even the most minute detail has been thought out. Its lore is completely original, carefully crafted by its six original founders and the contributions of their Storytellers. There is even a book on the races that can be found on Amazon. It is daunting to learn the basics of this world from the beginning, but it is fascinating nonetheless.

Mizahar also hosts a roleplaying community that is open and warm. In general, there is always someone who is at least willing to help answer questions that new players may have. The Storytellers are volunteers who put in quite a bit of time and effort to bring fun scenarios to players and to make the game run more smoothly. It is an endeavor that seems to be equivalent to a full time job.

However, the cons (for me) outweigh the pros. Though the players have been kind and eager to help, there are staff members who seem to be experiencing burnout. There appears to be a high retirement rate among the staff and some who have been there since the site's beginning seem to feel unappreciated and feel that their efforts are futile. As a result, blatant rudeness occurs. There seems to be an unsaid war waging between new members and the older staff members. Mizahar was established with the intention of creating a fun environment for players. Emphasis was given to the player. However, this seems to have been done to the neglect of the staff. The staff are well-intentioned, but overworked. There is also a gulf between the staff viewpoint and the player viewpoint. Both staff and new players can be made to feel victimized, but each will have a different account as to why.

Because of the gulf in viewpoints, I don't forsee this being resolved. If you have the patience to be belittled by staff for the sake of writing, I would strongly recommend Mizahar. It is carefully crafted and at least deserves a chance. However, if you are in it for the fun and you would like to see some value up front for your time investment, there are other sites out there. They are not as finely crafted as Mizahar, but they provide a happy environment that is not artificially created.

This is merely my viewpoint. Your mileage may vary. If the staff at Mizahar become happier on a whole, I may try again.
7
Mon Nov 03, 2014 8:53 pm Whatsy I'm gonna make this brief, so as not to waste any time. Before you read, know that my time on this site has been a fair duration.

Mizahar is not as unique as it believes itself to be. Yes, it has new lore, animals, and the like, but I've seen so many story lines and set-ups just like this before. To say it's completely one-of-a-kind would be an outright lie. However, it can be a fun a experience. It requires some dedication to get into and really start playing, but it usually repays you. If you're not into heavy preparation and an RP system based mainly on matchmaking, you should walk the other way.

Now, if you can't handle a rude, hasty admin, I suggest not giving this place a second look. Gossamer, quite frankly, is mean and irrational, especially to the new players. She will jump to ridiculous conclusions, shooting at you without a single thought. So far, I've avoided her, but I've been witness to her frequent abuse of members.

My final point is this: the character development and plots of this site are anything but deep, while its chat is run tightly and clear of informality. There are a few characters who fit the complex bill, but I see most of them as flat--that includes the stories. And, it might just be me, I think most of the fun in chats is casual, irrelevant chitter-chatter. This has been removed from Mizahar.
6
Wed Feb 13, 2013 8:02 am Luci Mizahar is a active, addictive, unique, and filled with so much information that at times it is daunting, but helpful at the same time. If you can look pass the rudeness of some of the Moderators/Founders, then it is a really great place to Role-Play. Most of the users are friendly and always ready and willing to start up a thread with people. There is no such thing as characters starting off "ALL POWERFUL" you have to earn your skills through RPing in the game. The only thing that is bad is that some of the founders have a attitude and doesn't like things to go off from what the site is about, so it is not free-form, you need to stick to what the site is about. Other then that it is a great place. 6
Tue Dec 17, 2019 3:47 am Thomas Taliaferro I played on the site some five or six odd years ago. I was not a player of great renown nor did I ever do any AS or ST work. I had my friends on the site and enjoyed myself fairly well and generally stuck to the shadows.

That being said, having returned to it as of late, I cannot help but realize that the site was great in spite of itself. That I had fun not because of the site but because of my time with my friends. Don't get me wrong, the lore is, for the most part, fantastic and inventive and innovative. The players are also tremendously talented at what they do. It is the way the site is managed that is, for the most part, its biggest issue. It often feels like all the great ideas to be had, are allowed not for the player but for the lore writers of the site and those that play the parts that those running the site approve of.

To put it bluntly, writing on the site essentially amounts to working a shit job at Walmart. The payoff is miserable compared to the soul sucking reality of working there. The innovation of the lore, arguably the best part of the site, wears thin when it amounts to shackles around any original idea you may have. Good luck trying to think outside the box at all or bring anything new to the table whatsoever that doesn't jive with what the site runners desire. You could no sooner get your idea across with the site runners than with the manager at Walmart.

That all being said, my own experience with it is a four but others may vary. I think my personality is not suited for such a site given that I think freely and do not have the mentality of a middle aged woman stuck in retail hell for the past twenty odd years.
5
Wed Mar 20, 2019 12:18 am StopWhining Ok, seriously? Wow. Just wow. You are all being so self-entitled.

First of all, I know for a fact that whoever put a review up as "Hwyn" is definitely NOT the actual writer for that character, and that's low. If you had legitimate issues with ST you wouldn't need to drag a perfectly upstanding member of the community through the mud, and that along pretty much invalidates anything you've said already.

As for Tyrant? He consistently threw fits all the time. He was super passive aggressive and condescending any time a subject was brought up that he didn't like or disagreed with. I'm not surprised staff finally decided to get rid of him. The staff of ST are hardworking and doing their absolute best and for what? A bunch of people who are too thin skinned to handle a PC being rewarded for doing something that a moderater objectively found as rewardable?

Guess you better pick up pitchforks and go on an ST strike.

Seriously, you guys, grow up. Be adults. Instead of posting on ANOTHER SITE'S REVIEW why don't you actually try and dialogue with staff. I can't believe how people are acting, and the only problem in the community right now is all the people who are wrongfully accusing staff of being anything but there for their players.

They are volunteers. Do you know what volunteer means? It means they're doing something out of the goodness of their hearts and GETTING NOTHING OUT OF IT. They still want to play, so why shouldn't they get to have the same chances as anyone else?

I'm honestly so upset. So many of us are upset, and we're not upset about "favoritism" or "PC deaths". We're upset because there is a huge deal being made over people not feeling special enough and not willing to talk LIKE ADULTS with staff about it.

Grow up, you guys. Or leave. It's not that hard.
5
Wed Sep 07, 2016 3:14 am VizayasZalerius Gossamer has made efforts to be less abrasive, and the staff on Mizahar have improved somewhat over the past few months as far as I can tell. I still hear the occasional nitpicking, but it's not as loud as before ... I've lost good friends to this whole debacle, but I can tell you that Mizahar is worth playing so long as you keep your head down and have fun.

That said, there was some bashing of Standing Trials on this review site ... they've deviated significantly from Mizahar's formula. Most of their systems are different - ranking up skills is more intuitive, development is easier, grading is easier, and the staff are passionate, dedicated, and ask that Mizahar is not mentioned on their site to avoid discussions bashing the place. In the past month I really haven't heard much about Miz aside from some private chats with a few upstarts. It's become something of a masterpiece as of late, and it's really starting to shine.

Most of the founders on ST have been at it for two years now, and I don't see any signs of them quitting soon. I'm certainly loving my time there!
5
Mon May 02, 2016 6:02 am bellwether Mizahar is an interesting world (in a new paint on the same old Northern hemisphere, Westernised viewpoint canvas kind of way), and the players themselves are great BUT, it has a major missing stair problem called Gossamer. (definition: http://tinyurl.com/hlj22kc)

Only play if you're willing to guard every word you say, or say nothing at all ooc, because she can and will take offence at just about anything.
For example:
1. Repeat a common truism that observation iseasy to get points in - maybe she'll ignore it, maybe she'll waltz in and strip your grader badge for it. You can't tell.

2. She openly posts that you can say anything to her - but if it's negative in any way, she will make your time unplayable until you quit (or maybe she'll just ban you straight away) You can't tell

3. Dare to stand up for yourself or for someone else? She will delete every offer of help you make, insult you and bully you until you quit. And then sneer at you in a public post.

4. Say you don't want to play anymore but you'll finish up existing threads so nobody gets hurt by your departure? Nope, you just got forcibly retired and your personal scrapbook is deleted.

Goss is the major distraction from writing, largely due to being that missing stair, and she says distractions and drama should be ruthlessly cut out of Mizahar. Pity she won't take her own advice. But that's typical of her.
5
Sat Apr 23, 2016 6:43 pm Koyuki TLDR If you join this RP, stay away from the person known as Gossamer, who is the owner and administrator.

I want to rewrite my post because I really feel like some things just aren't being done justice and because things have been heading downslope on Mizahar again. >_> Basically just avoid this site. I'm being a hypocrite but that's because I don't do anything but write posts and work on my sheet. When you get to know people, you get sucked into stupid cliques you have no actual part in and when people you write with get uninvited you feel like s***, but God forbid you have a reasonable opinion about it, you get the hammer too. Gossamer - the head admin for anyone just learning about Mizahar - has her head up her ass. She really does. She radiates negativity, throws fits and blames everything on others or how the stars align - I s*** you not, this woman blames things on stuff like "Mercury being in retrograde". I'm sitting here giggling, imagining what the world would be like if Obama or Putin or Kim Jong Un woke up one day and blamed the Islamic State war or world hunger or such on astrology and figurative readings. It's fine to believe in whatever you like but it's unprofessional to use it as an excuse for actions of authority. While it absolutely is (partly) her website and she creates the rules, she isn't subject to her own rules, bends them as she pleases at any time, uninvites good and productive people, and has a no concept of how important her demeanor is to her position or how it is important to keep up to a certain standard to keep everything going smoothly. She doesn't deserve the title at all. Until she figures out how her immaturity and aggression pushes good writers away from the site constantly, the status quo isn't going to improve and Mizahar is never going to see its former glory.

I mentioned Ashen and Avarice before (or Luna and Guy), and that's because of all the people I write with those two are the only ones I know personally thanks to living in the same state. Ashen was really hurt when they were uninvited because Mizahar and their characters were very dear to them. They never caused trouble with anyone and had been there for years. In fact, they had the same avatar and post banners for much of that time and never received a single complaint. People even helped her with graphics. They were somewhat actively involved in fixing up Black Rock under Traverse and had a ton of contributions in the works, a few of which were added in already. One day, Jen decided she was going to pick on Ashen and that there was nothing she could say or do about it. She threw around some bulls*** about copyright infringement and pedophilia and then banned Ashen's accounts the next day while they were writing a post, based on something some other bandwagon goon made up. Now let me talk about Avarice. A thing most people don't know about them is that they were there maybe before Ashen ever joined years ago and were uninvited because they wanted to do something perfectly reasonable in the sandbox and Jen was very negative about it like she is to all relatively new members. The reason he retired completely was because he got a lot of heat, was overworked and felt really unappreciated. The similarity in both of these cases is that neither of them were hostile and they are both usually agreeable people even behind the keyboard, both of which I can personally vouch for.

Player retention is pretty low because less newbies are seeking the site and less are staying. The staff is nicer to new members than they used to be a couple years ago but there used to be more players to help out the newbies for them. Just to prove how little things change through the years, I found Mizahar in 2010 or 2011 via invite on another very large site I was on and eight or nine of the people in our group that tried it out were banned just for being associated with each other because of the actions of two or three that were probably just defending themselves. Some people are bad influences and deserve to be removed, but it takes nothing to be uninvited from Mizahar but being in the wrong place at the wrong time.

The important detail here is that Gossamer doesn't care who you are, what you contribute or /how/ you are; if she doesn't like you, she's going to harass and berate you until you give her exactly what she wants and exactly what she knows she is drilling for, then uses it as fuel to justify uninviting you. If people know you're innocent, it doesn't matter, and if people leave with you, the impact that has on the community image, on ongoing thread partners and on the writers means nothing to her. She can go from loving you one day to hating you the next. If you just try to show her support or consolation, she tries to wall you off to save face and retain an unbiased appearance. Perhaps she is just genuinely cruel to people who try to be friendly with her. She's the epitome of jaded ignorance and selfishness.

Gossy, I know you're reading this, and I want you to know I hold no contempt or hatred for you. I see you only as a liability to the joyful experiences and well-being of other writers on the site who trust you to maintain it and do the right thing for them - for ALL of them. Until you stop looking at it as "your" site and stop constantly looking over your shoulder apprehensively, you're going to keep running into drama because you're literally looking for it. Will you finally have the last straw with your muse towards the site when there's hardly anyone left to write with? You can add me to the list of people you've written about poorly in your Scrapbook if you want, but it won't do anything but show more of your true colors.

I'll be nice and give it a 5 instead of a 1 because the content makes up for some of the drama. Maybe if the administrator stopped attacking every member and staffer who contributed to the lore and a third of it wasn't missing or incomplete, it might have gotten a 7 or 8.


Statistic Information:
--Mizahar's review rating mean average on roleplaygateway is 5.3857142857143 (rounded up to 5.5 out of 10), not including the aptly named "Mizahar" review. If you remove Tarot's and Gossamer's reviews, it drops down to 5.25 which rounds down to 5 out of 10.
--Eleven reviews were rated 10 out of 10.
--Sixteen reviews were rated 1 out of 10.
--Thirteen people posted a review under their whole actual account name (of these thirteen, five posted below 5 and two posted 10, and two of these thirteen were staff accounts who both posted an 8 out of 10).
5
Sat Mar 07, 2015 5:46 pm TheWolf32 I shall attempt to make this brief.

It was fun at first. Apart from the character creating which took the better part of the day, the site is nice. I had to wait a day and a half for the reply to say that I could use my character then I could role play. The role-playing is nice and I like the Lord and the information on the different species you can get. Also chat is useful but that is MAJOR problem that lost a lot of stars.

I wouldn't know about its originality as I don't research that much and find others like it but it is slightly different than the others I have been on.

I have been reading other reviews that some say that Gossamer is unfair and mean but I have yet to talk to her so I couldn't give my opinion. I just go by "Like them until you find a reason not to like them". That reason is not for Gossamer but for another Moderator, Mirage.

In Chat, I am a rule abiding person until I got a stupid ban for putting "about" in capital letters. I had a previous warning before about that and the ban was for 24 hours. 24 hours later I am allowed back on and I haven't been on for at 30 - 40 minutes before I banned yet again!!

I get a message from Mirage saying I was "attention seeking" and she had already warned me. In fact I wasn't doing anything; all I asked was if anyone would like to know what I had to say about something and when no-one replied I went ahead anyway. This ban is for a week! She said I am always talking about me me me which is so not true, I know for a fact I do not attention seek, I am actually quite quiet and don't say much.


All in all it is a good site but the moderator and the two bans ruined it for me.
5
Sun Sep 21, 2014 8:13 pm LordsBlade Right, so I have been pondering putting this particular review up for a bit. Finally opted to get around to it as I had some free time to kill. So, like some others here such as Taylani, I am a former Mizahar staffer. I opted to step down a while back as I wanted to focus on matters offsite and didn't want to be that guy/girl who just sits around in his/her domain and does nothing. As such I had an insider look at how things occurred behind the scenes where the players cannot see. I participated in a few things there as well, being a staffer it was only natural that I would. It always felt kind of... wrong. Like I was back in high school and watching people talk about other people behind their back. I was always of a mind that if you have an issue with someone, you work it out with that person but in this case there is a lot of sniping and shadowbanning that goes on here. Think Soviet Russia in terms of modus operandi. There is little to no transparency to be found, while Gossamer might tell why someone is banned in her heavily bias way it is often a very warped depiction of events.


Ah, Gossamer. She reminds me a little of a cliquish girl I once knew, if you don't conform to her set of standards you'll likely find yourself ostracized by her. Now nobody is perfect, everyone has bias but she takes it to an extreme. If you don't believe me- and that is completely understandable as I'm just some random faceless schmoe to you the reader- then read her scrapbook. A number of pages have some rather choice entries. She seems to treat criticism as threats and personal attacks, silencing those that speak out against her vision of the site. Its rather like she enjoys living in an echo chamber. In the words of Encyclopedia Dramatica: "If you complain about the roleplay or suggest a change, you are a FUCKING INGRATE who isn't aware of all of the hard work that the staff puts into the site."


The other members of the staff however are much more tolerable most of the time, though again there is a bit of behind the scenes witch burning. They tend to be an overworked lot and there are fewer and fewer of them each day. These are the people to go to if you have a need to talk to someone, honestly I'd avoid the admin at all costs. Interactions with her are best kept short and brief lest you do something miniscule to set her off or sour her opinion of you.


Next, you might notice how Gossamer calls the site 'the biggest and best around'. 'Best' is subjective as everyone has different tastes, personally I like the roleplay itself but I've met others that dislike it. Different strokes for different folks. Secondly, a simple search around will discredit the 'biggest' immediately. Their member count is less than this very site and a number of other sites listed on this list. Their concurrent member count is what you should pay attention to, the number their have overall are mostly just dead numbers. How many people do you see active at any one time? I counted 18 including those hidden. However I have seen it reach average highs of around 30-40 at any one time. Now I counted the membership count of one House Eros, an Erotic RP site so Google with caution. Overall its members number over 12,000. Concurrently I counted at least 71 users at one time. For Mizahar their most online ever was 154, for House Eros it was 318. Okay, Blade, you must be saying, but surely this is an isolated site and incident. Not at all. RPnation, as of this time of writing currently has a concurrent count of 375 active members and an overall count higher than Mizahar. Don't believe me? See for yourself and don't take me at my word alone. Do the research for yourself.


Now for originality. The magic system is rather unique... so are a few locations and the history. That's about it. However its difficult to say anything is truly original. After all, hundred of fantasy setting shamelessly rip off Tolkien so its refreshing to find a site that doesn't do it obviously. Honestly I find the setting and lore rather pleasant if a bit daunting to read through.


Now the community. Overall I liked roleplaying with the people on this site, I made a few friends and learned how to improve my own writing in the process. You'll come across people you don't like certainly, but that happens in any community. The actual roleplaying aspect of the site can be fun once you actually get to through the process of everything else. Once you cut through the drama, terrible admin, and blatant lies about their size to increase traffic.


At the end of the day its up to you the reader whether or not you go here or not. Obviously my experience was not purely negative otherwise a 1 would occupy the spot where a 5 now stands. Look into matters yourself, do the research, don't just jump on in because it looks pretty. Consider and weigh your options before you join. Make the choice that is best for you.
5
Fri Jul 11, 2014 3:00 pm Dexaros Thought I'd pitch my view in since Gossamer has ordered us all to write review because of one negative review. I figured I'd mentioned the main topics that crop up in these reviews.

1 - Originality
2 - Setting
3 - Gossamer
4 - Favouritism/Drama/Chat

1 - Yeah... Okay, the lore isn't that original. To be fair, there are some real unique ideas but the problem is not that it is incredibly unique and stands out. It stems from the fact that they advertise themselves as being incredibly original and this is their main selling point (Which it isn't... It's the size of the site) so if you are looking for a unique site best sho around for a smaller, more interesting site.

2 - I have to agree with the review below this one though for slightly different reasons. The gods are not meddling, the terrain is not unforgiving and there is not countless factions. Why? I would suggest that because of the high moderator burnout and player turnover means that the gods can never be moderated, characters can travel without reprisal and factions rarely truly form and instead they are either empty bits of lore or they are never used. This is a real shame, I joined a city known as Riverfall by recommendation and hoped for danger, instead I saw endless amount of festivals, parties and dull social characters. This just seems to me to be people making up for highschool, I want to write with characters clinging onto life, not a bunch of hot models who spew drama every other post
3 - Yep, she gets her own little category. She is without a doubt rude, obnoxious and impatient. She is also the only real founder left with Tarot and Gillar kicking around occasionally. Is it justified? I used to think so until she shouted at me in Chat for a simple mistake that would have taken a PM to fix, now I am not so sure. She is a necessary evil I am afraid, she enjoy throwing her weight around and publicly humiliating players but without her the site will probably collapse in on itself. If I thought for a second someone would step up to the plate I would love to get rid of her, until then she just has to be put up with.
4 - Believe it or not this can be summed up in a few words. Yes it exists on this site... It also found on every site. Not much else to add.

Pros
- It's a big site, so you won't be short of threads if you poke around... That's really the main selling point "Hey, we're a big site..."
- There are some nice people on this site.

Cons
- There is drama and such.
- Not as original as it advertises
- A few, rather powerful, rotten apples.

Honestly, it's sucked my enthusiasm to write somewhat which is why a lot of long term writers take long breaks, I'd recommend not taking the easy option and picking the biggest site there is. Poke around, find a site that really suits you and if not then try and write on Mizahar. I hope this helped.
5
Mon Jul 07, 2014 7:43 pm Frayling0 The site admin has requested reviews, and so I shall do so. I once was an admin on Mizahar. I cannot criticise the site for its imagination. The world is as unique as I have seen in a roleplaying environment, interesting cities and cultures allowing the creation of some inspiring characters, and while I was on the site I had great fun running quests and events, and spinning some epic plots with other players.

Unfortunately, never before have I seen such bitterness and toxicity in site management. The 'lead' admin (the only active founder remaining) claims to have created Mizahar out of the drama of a previous roleplay site. Unfortunately, it seems these same issues have followed through to Mizahar. Many long time players and moderators have left through arguments or dramas, always involving this lead admin. She seems blind to the fact that she is the centre of all drama. She is purposely blunt and rude to new players on one hand, and then seems friendly, sharing recipes on the other. I had many lovely conversations and projects with this admin, but found myself in an untenable position as she insulted and drove away people around me - I was not blind to this, and so left too.

Whoa betide those who cross Gossamer's path - their stay in Mizahar will be particularly short, as she seems intent and bitter enough to drive everyone away. The site's development has ground to a halt, as everything stagnates in her wake. Until she realises she's the problem, Mizahar will never become a community or haven for roleplayers.
5
Sat Apr 06, 2019 1:31 am TheJaded ST Players, get off of Mizahar's review thread. This isn't a place to blast your opinions about an unrelated site, especially if you're not going to provide a thorough, honest review about this one. Regardless of who feels what way about anything, Goss/Jen/Mizahar Staff, ST Staff (old and current), and Thorns Staff have worked their asses off to provide not only themselves but you all a place to chill and write. If you don't like what's going on, follow Gossamer's suggestion and make your own site. See how far you get. If you succeed, good on you. You did it, and hopefully you'll learn how stressful it is to manage a thing like a roleplaying site while juggling everything else in life. I'll give you a hint, it's not easy.


But the friends you make along the way are worth it.


Anyways, Mizahar was the first ever forum roleplay site I decided to invest my time in. I knew nothing about the community or the game, but when I started reading the lore and rules, I saw a challenge to understand it, which I fell in love with. Though the game isn't entirely complex, starting off when you're brand new is terrifying because you're worried about doing something wrong, which I very much was. Not only did I want to show the community my writing, I wanted to build this character, watch her grow, and see how far I could take her. My first few months there were pretty good, but I did see that the chat liked to hop on new players who asked questions that might have seemed ridiculous to the veterans. I myself tried to stay away from asking questions for that simple matter, deciding to whisper to players I knew instead if I ever needed help. During this time, I got to know Gossamer through PMs and found out we had a lot in common. Due to the job I had at the time, I was under a lot of stress and my anxiety would show sometimes in chat when I'd talk to people about plots. Most of all, I just didn't want to disappoint anyone.


I was a player in Riverfall and my character associated a lot with Gossamer's PC, Kavala. Let me tell you, I had a blast writing with her. If there is one great thing about Jen, it's her writing. She has a way with words that really pulls you into the story and boy, did I drown. In a sense, she was my role model for a time, and I genuinely cared about her stress and how she was doing on a week to week basis. That slowly changed, however, because I noticed whilst we were discussing plans for a plot, she was making exceptions for my character when it came to the rules for that plot. I made mention of it, but she seemed to ignore it. Afraid I would receive some kind of repercussion from other staff members if I proceeded with the plot without fulfilling the prerequisites, I decided not to continue until they were fulfilled. So another one of Gossamer's friends helped me, and I think this was the turning point that changed her view of me and I'm not entirely sure why. Her attitude towards me changed and for some reason, she accused me of trying to bend the rules? Since my character was heavily tied up with her's, when she stopped responding to my threads, my plots halted. Needless to say, I was upset and I didn't understand why we were having conflict, but any time after that incident, when we spoke, I felt bullied to the point I didn't want to be on the site anymore.


So I left.


Mizahar's lore is pretty good. I don't understand why other reviews comment about originality of the races, magics, or cities??? because really, originality is rare these days??? but I thoroughly enjoyed the setting that was created, the layout of the site, the cities, and the plots within threads. I'm not sure if it's a GREAT place for new players to begin, but it's decent if you feel like getting your feet wet with something a bit challenging. The player base is decent. I knew a lot of friendly people during my time on Mizahar, but I also knew a lot of people who were nasty and two-faced. Part of my thinks the latter being because of Goss, but I didn't know them well enough. Maybe they were always assholes.


However, the reason I give this a 4/10 is because of the admin/founder/Gossamer. This community could really rebound if she was less with the attitude, accusations, and bullying. The environment of Mizahar, or any site, is reflective on the people who run it. Toxicity promotes toxicity and at the end of the day, how can a site thrive if your players and staff don't feel comfortable being there? The community is dead and that's not entirely the fault of ST, though it does play a large part.
4
Wed Mar 20, 2019 11:11 pm Allstoriesend Review for Mizahar: 4/10: Rated for a toxic administrator, some notably interesting world building, falling activity, inability to influence the world, and a complete wiki of development. Ultimately, mixed bag and you can do better. Review for ST: 4/10: Rated for toxic administrator who has created a cadre of Head mods who decide the direction for the site. Pegasus did not create ST, but she laid claim to it in the spirit of saving it from its previous administrator and promptly stepped into her role as the administrator in policy but not in word. She will continue to maintain the site is entirely democratic. However most important decisions are made by Team Leads. The Team Leads consist of her close friends and her own son. Pegasus is not what I???d call a site lead kind of person. She can become overwhelmed and defensive and usually advocates heavily for rule changes that directly benefit her character. Volunteer work is not well respected, former contributors are derisively insulted. Standing Trials is a site which reinvents some critical component of its rules every 2-3 months. Despite promising a completion of magic (procrastinated and hoarded by the former head developer) by January, only managed an edit to one magic and the submission of two magics, one of which is weird and confusing (Graft) and the other, while innovative, is overpowered. Almost no mod leaves staff and comes back to actually play. Most of them either swear it off entirely or hover around like ghosts. ST, much like Miz, burns people out...uses them, and doesn???t grant the respect of their past contributions. There is blatant favoritism and toxic staff culture. The site feels mismatched and incomplete in weird places. It???s constabrly being redone through meta and mechanics so nothing really seems consistent or understandable. That all said, the reason this doesn???t get a 1 is because the site consists of some truly creative people. Brilliant writers and some deeply imaginative world building. Despite their failings as leaders, each member of the Team Leads is a creative powerhouse and compelling writers. The staff they???ve recruited are from the writer stock on the site which is some of the best I???ve observed in online roleplay communities. The bones for a great site and story exist, but they???re not well connected and leadership is a sunk ship. As long as you can keep up with the constantly changing policies and cripplingly long wait on development items (a problem ST has had from the beginning with some of their former staff) you can find excellent and collaborative folks to write with and build a story. I don???t expect this site to get much better than it currently is under current leadership, but perhaps if that changes, things will improve. I played on this site for a few years off and on but keep an active tab on the changes and community. Honestly I???m sad to see it like this, especially with such talented people in the staff. And whoever posted below me, that weird defensive screed? That???s what I expect from Gossamer on Mizahar. Toxicity is catching, I think. 4
Tue Mar 19, 2019 11:51 pm TC123456788 Like Kamalia, I come on this site every now and then to have a laugh at Miz's expense.

But wow, do I feel the new reviews. I, like most of these other people, tried ST after Miz. It was fun for a bit -- but then it switched hands (not that the founders were great) and --- well, NOT tyrant said it great. I still CANNOT believe that they have a PC god (who had 80 posts) and they tried to play it off like it wasn't favoritism?

I mean, not even Goss would be so bold.

The mods on ST are gross. But if you're in the clique? I guess you get godhood. Good for you.
4
Tue Feb 03, 2015 10:03 am starwolf I was thinking whether or not to post a review, and since I have time, I decided to share my thoughts too.

1. Setting

For me, originality is not about doing something that has never been done before, but instead add a unique tweak, idea or join concepts that don't usually go together. It's hard to see something truly unique, and, despite all that is being said in the reviews, Mizahar manages to be original. Maybe not as much as the site believes itself to be, but it's enough to satisfy me. The amount of lore is amazing, and this is one of the reasons I began to play in the site. It can be daunting, but if you like to read and like fantasy, you will enjoy reading through all that information, which is definitely required to play. The setting, as in a post-apocalyptic world, is also very interesting to me, although Mizahar doesn't pull it off very well.

Like others have said before me, some cities don't have the feeling of imminent danger, of survival, that the site propose, but there are some who do have this. It's something those wanting to roleplay in a dangerous environment have to search about before jumping in a city.

There are cities, however, there are not developed, although there have been announcements saying that those cities were being developed already (whatever you believe that or not, it's up to you). So the city choices are smaller than what you might initially believe.

Like said below, there AREN'T countless factions (and even less factions that actually do something in-game) and the gods definitely aren't meddling. In all my time in the site, I have witnessed the appearance of a god ONCE, and in only ONE thread. However, you can feel the influence of certain gods and goddesses in some cities and in the players. But I wouldn't call that meddling.

However the biggest drawback of all is the stagnated story. Nothing really changes. Before I began to play, one moderator decided to destroy an entire city, which was awesome. But this was for ONE city. For most, it is the same rulers, the same NPCs, the same locations... I think that's tiring after some time.

2. The Rules/The Mechanics/The System

Personally, I find that Mizahar has the most appealing mechanic/game system that I've found until now. It allows users to ask to be moderators, and it generally makes the game fun to play while still maintaining order. However, this doesn't mean it's without flaws.

You have to ask for permission for many things regarding character creation, which can delay the whole process. I personally think that it makes the setting possible, and it keeps the impossible and overpowered characters away. But if you like to have full control of everything in your character creation, Mizahar is not for you.

Also, due to the fact the site if VERY understaffed, you might have to wait a long time before acquiring permission/moderated threads. And you cannot get certain things (like marks from the gods) without those. So it somewhat hinders character development.

And talking about character development, it's something very hard to achieve in Mizahar. Not personality/psychologically wise, but in regard of skills and in game knowledge. You can only win five skills point per thread, making it very, VERY hard to achieve the skill level you need to do the things you really want with your character. The way I see it, Mizahar requires you to develop your character in game, but makes it very difficult for you to do so (special permissions required and not addressed fast, hard skill-leveling system, etc). So, if you don't have a lot of time to put on your character and ideas for twenty or more threads where you train sword fighting, you might be stuck playing a character you don't want for a long while before you can finally start shaping your character into what you had in mind in the beginning.

Time. It's another issue. The game demands it. A lot of it, for all the reasons stated above.

3. The Players and Their Characters

Now, despite all the negative reviews below, I have yet to find ANY player that has been rude with a newbie, in chat or otherwise. In fact, most players (if not all) that I have encountered are very friendly, have a writing level that I haven't really encountered in other RP sites (not that I know a lot of them, but still) and are ready to RP with you if you have an interesting idea, regardless of your time in the site. I'm not saying that there aren't rude and obnoxious players in the site, only that the majority of those I've encountered are quite polite and fun to talk/RP with.

Regarding their characters, I've found some that simply scream Mary Sue. There are truly annoying and cliche characters in the site, however, you can avoid RPing with a character you don't like, because there are many interesting, and sometimes really original, characters that can offer lots of room for development, fun and enjoyment.

And, something that I really have to give Mizahar credit for, the site does help you with your writing abilities. I've grown a lot as a writer (both in my skills and personally), although I still have a long way to go.

4. The Staff

Now, here is where the site loses a lot (and I mean a lot) of points. I have talked with seven members of the staff. There have been three that genuinely paid attention to what I was asking in a PM, and that actually answered at all. They were wonderful, and I think Mizahar were very lucky to have them. All three have retired, and no longer hold a staff position on the site. The other four were exactly the opposite. When I sent a PM to them, they answered one of the four questions in it, sometimes didn't answer at all, and there was once that I was participating in a plot with one of the moderators, and she wasn't getting back to me for a while. When I sent her a PM asking about it, she said I was no longer in the plot. I wonder if I would have left hanging forever if I haven't said anything. In that way, those staff members were disrespectful, and I definitely don't doubt the stories of the other reviewers.

The site, as said before, is understaffed, but I have seen some players that offered to help and were treated disrespectfully. I'm not saying it's the norm, but for me, most of my interactions with moderators have been tiring and annoying, and I started to avoid anything that would require an approval, which hindered the development of one of my characters so badly that I stopped playing with her, and now, another one is almost suffering the same fate.


So, in the end, Mizhar in itself is a fun environment to play in, but I'll tell you the truth: the only reason I haven't left completely yet is because I love to RP and I'm trying to find another one with such a good lore, or perhaps even create my own. If only by the setting and the players, Mizahar would be perfect for me, but I found the experience to RP in the site to be draining, time consuming and not very rewarding except for the improvement in my writing. All my initial excitement with the site has been drained away by rude staff and Founder (because Gossamer is the worst of all staff I have encountered so far, despite not all things that were said about her in other reviews being true) and the never lasting wait to develop my characters.

My advice is: try to play if you have time to spare, keeping a low OOC profile and keeping the need to special permission to a minimum, or fast resolving issues, but go in knowing how tiresome the experience can be. And if you feel like it's not for you, go away, fast, before your energy to write get really drained by the site.
4
Mon Jul 21, 2014 10:50 pm Septimus Just would like to point out that the self absorbed, narcissistic founder wrote herself a review under the name of Mizahar and rather than fixing repetitive flaws that have been pointed out, she would rather argue because she believes that she is always right. Actually, she also told people within her scrap to write reviews because of the bad ones. Maybe you should think about the bad ones there.

I'd like to second all of the cons here. The only pros I could think of is that it is a large site so if you can duck your head and stay out of the way of the upper administration, you shouldn't have a problem. Of course, if you'd like to really advance your character, forget it. You'll have to consult with the lead admin who has no patience for members fueling her site and keeping it alive.

People join every day because they lack the knowledge of what lies within.

FACT: People and veterans leave everyday as well.
4
Tue Jul 15, 2014 7:01 am Loonystark With all the reviews people can see the ideas players have about the game. I'll put forward my two centsl and try to hopefully not sound like a broken record.

Mizahar without being examined too closely is actually one of the better sites around. I like the layout as its easy to navigate and does not give me a headache. It also shows me the interesting new developments of the site which I think is pretty good. The players are also that much more active which means I am never wanting for my dose of fun. More importantly the site is very lored although the lore is still developing in a lot of areas and some of those actually completed are yet to see any use because players are unable to reach that power level before choosing to leave or are given da boot.

With that I'd have to agree with VickyG. The site is all about appearances and I feel kind of demotivated when I post sometimes. Ok a lot of times. Even this review is something done because Goss pointed out the bad reviews in her scrap while still trying to maintain her cool look. She acts like review sites and their reviews means nothing to her but only for as long as there are no bad reviews about Mizahar? I am quite surprised she actually posted a review of her own but under the name 'Mizahar' instead of her own and only with irrelevant facts to attack the bad reviews instead of addressing them.

But back to Mizahar it does feel big and daunting sometimes. Only a few locations are actually active and I wish there were less restrictions to the time consuming travel so I can play with the others. Maybe they should kill off the useless locations no one plays in so that more players can stick together. However eventhough the pbase is big, (that one aspect of luck Goss tries to deny having in Mizahar's success) only a few actually gets to experience the bigger things the site offers like cool magic, awesome items and sweet divine intervention. That is likely the biggest sign of favoritism but still not the most damaging to the site as the blatant OOC favoritism.

A lot of times I really hope the admins would be more consistent but they are only consistent in eventually retiring unless you count reverting to word of Goss and sometimes Goss is even inconsistent in her own rulings. If you are reading this Goss, please try to maintain some consistency for all our sakes and be more player friendly with them. Kthxbai.
4
Tue Nov 19, 2019 12:26 pm guyfaux This site was once a thriving center for RP, back in the day when it had six active admins and over a dozen moderators. The rules are very strict, which is great for discouraging players who are apt to abuse the system or use lore-breaking characters, but sometimes it's a little overkill. The mods seem to have a "when in doubt, say no" mentality.

The lore is very rich and interesting. There are a lot of original, non-Tolkien themed races with their own backstory. Some of the races though are laughably unusable, and many of the locations where these races mainly congregate are not available for play. If you want to play anything expect a human, you're forced to be non-native.

In its current state, the site is barren. Only one of the original admins remains, Gossamer, and she is severely aggressive, unfriendly. She micro-manages roleplay, insults players openly and regularly, speaks in ALL CAPS when even slightly frustrated, and she seems very prone to drama. The mods that have remained there with her seem to turn a blind eye to it, leading to new players very quickly feeling ostracized and unwelcome.

They do welcome newcomers very warmly for the first few hours, but this treatment sours in a day or two.

It's a shame. I used to really like this site, but I can no longer abuse its high-drama, vitriolic atmosphere.
3
Sun Jun 02, 2019 2:11 am Nursia During my experience on Mizahar, I found it to be enlightening. In the end, there is nothing that will ensure that anyone will read this review, but I encourage anyone who delved this far to give it a fair read. I feel that it's more than fair to arguments at the table.

I joined this forum with very low expectations. I had heard all the negative rumors, I had seen the rants from other veterans of the site extoling the sins of the admins and the gameplay. In the end, I decided to check it out for myself. I decided on my own volition to clear my mind of the problems, and form my own opinion like a mature adult, rather than relying on blind hatred, and jumping on a bandwagon.


Impressions: 2/10
In short, Mizahar has problems with how it presents itself to newer players. This begins with how one enters the community. One can expect one of two greetings. Either you can expect to be greeted like a person, and have the standard fare for most helpful admins on sites like these, or you can experience excessive rules lawyering, and high posturing from certain members of the welcoming committee.

This is a game in which certain rules of the chatrooms and forum itself, are not listed anywhere. You will be judged accordingly, no matter how new, right down to the semantics of descriptor words that have been blacklisted, like 'Sorcerers', which is common in the English tongue. There is nothing in place to make this readily noticeable, and demands a high amount of social maneuvering to understand what you did wrong in the first place.

This can easily be fixed by updating the terms of use, having everything in one area, and having a glossary of blacklisted words. Without either, the zealous members of staff seem to outweigh the benign ones in volume, leading to an unfriendly atmosphere.

Lore: 5/10
A fantasy post apocalypse. A good concept. Strongly written with a backbone to hold endless stories up. It's not as unique as it once was when it started up, but it's obviously something special. However, without an active enough playerbase to support new players into caring, most of the lore that should be very interesting, goes either unused, or simply, unread. There's no point in reading it, if it's never relevant.

I would highly suggest reading Mizahar's lore like a book, more than actually playing it. Whoever wrote the basics did a great job, and should be congratulated on making something that stands out, and lasts. However, since this is an interactive medium, this is a negative. The community needs to work on being more approachable, before there's any point in partaking in it.


Community: 2/10
Beginning at the bottom, new players are common; they are not retained, however, due to many issues with the forum. Lasting players seem to be nice enough, you can strike a conversation with them, but it's hard to form attachments to people who leave any story they're a part of, because of the volatile nature of the community. Veteran players tend to be very elitist, however, and tend to be unapproachable on an out of character level.

Staff aides seem too anxious to do much. Middling staff seem to have great ideas, and are generally permissive, but seem to be very much knowing of the problems within the forum's community. The founding and head staff, however, drive the appeal down. This isn't a smear comment, however, one can easily see just how volatile of a subject that this caste of the community is, from the surrounding reviews alone.

In the end, there is a perpetuating cycle that feels immature. People are not given the basic respect and decency of being a person, unless they've invested unreasonable amounts of time in the forum. This can be easily fixed by doing basic social acts. Apologizing, taking care with perceived tone, and so forth. It's not even a matter of being more permissive.


Mechanics: 3/10
Solid. They serve the story. If the 2019 version of Mizahar was what it was back in the day, it most certainly set a standard. However, what was once groundbreaking, has become broken ground. The Lore and Skill systems are very intuitive, but are hampered by the grading system, which is mainly due to a rotating door on the staff's part, immensely stopping player progress.

Please take the head admin's statement from her own words, in context, about the matter into consideration:
http://www.mizahar.com/forums/topic75857.html
(In case of deletion: https://pastebin.com/U60ziuyR)

This means that as good as the mechanics may be, the grading system will have you waiting months on end, even to the point of begging someone to pay attention to you, in order to make basic character progress. To the extent that the head moderator reacts in such a way. It's obvious this system is not working for them anymore. It would be suggested that they move onto a new means of grading threads, or at least, add more incentives to the role. Otherwise, it's an inoperable, but feasible, system.


Roleplay Quality: 3/10
The quality of RP within Mizahar is not abysmal. It's actually rather good. But once one considers the hurdles for progress, what one even needs to operate within the community itself? The quality greatly suffers. Less players means less activity. Less activity means stagnation. Stagnation means an unwillingness to change from the status quo.

By addressing the main two problems; the mechanics, and the community's behavior, this forum would be amazing.


Verdict: Why bother?
If someone is offering a service in which already has competition, and is not offering you basic respect, there is no point in remaining. There are plenty of competitors remaining that are willing to change with the times and fill in the gaps. Willing to, at least, keep the shaming to private messages, and keep public discourse to a minimum.

Mizahar will continue to stagnate. But it's not a horrible setting, or even game. It's dragged down from the potential that it should have, just on the merits of the framework.

... And other websites are proving that. Just from the simple fact of sites that essentially rip off Mizahar doing better than it. Having more active users. Having a higher new player retention. Having far more developments in plot. Having actual constructive conversations about lore, without the fear of being shamed just by insinuating there's a problem.


All of what's been said can be proven just by reading the OOC threads of Mizahar, and comparing votes and player metrics. A near copy paste of this lore has nearly over four times the amount of active players.

Attitude is a choice. And the internet's a marketplace.

If Mizahar dies, because people look away from what drives new people away, there's no point in giving this a fair shot. You cannot expect people to put up with this treatment just because what's on offer is good. And sadly, if that means that when this forum tanks, and another literally copy-pastes it with only a change to its community?

I'm sure that it will rival Mizahar, back when it was even relevant.
3
Tue Mar 19, 2019 11:07 pm Batmansbird Miz wasn't horrible -- I think I'm really starting to appreciate Gossamer's honesty. There weren't any promises of 'transparency'; Goss just was transparent. No claims of fairness, because Miz was and IS her site.

ST is Annie's site. She'll lie, obviously. If you're feeling confrontational? She, and the rest of chat, will gaslight you. ST is as bad as Miz when it comes to blatant favoritism. There are so many issues with that site. Honestly, at this point? You might as well make your own site.
3
Sat Mar 16, 2019 12:18 am Hwyn Jen? You won. Standing Trials is just as bad, corrupt, and vindictive as Mizahar has ever been and they didn't even need to mass ban people like you did. These few days have been the last straw for a number of us. Elevating some PC that barely had 80 posts to godhood because it was a storyteller's PC? The many rule changes benefiting Faith, the admin's PC? The redundant wealth system? It's tiring and it's time to move on to a site where the powers that be are less self-interested.

Miz may be junk but don't go to ST too. So much promise wasted by the mods of both sites.
3
Wed Sep 07, 2016 10:12 pm Thakris I was on Mizahar for a bit of time. The concepts were alright but the players were what made it inspiring. The staff was far less than that and the admin should probably take a much needed break for a while. The site could be better if the environment didn't promote such toxicity between players and staff. There's also a lot of pressure there, something that chases away staff members after the first few months of their promoted status. Ideas that could help the place become better get shot down before they're even mention because of the tyrannical grip of the admin keeping to the system they have, which places a momentous workload on her staff and prevents them from being as active as they could be.

I went over to Standing Trials when everyone else was hearing about it. Their systems looked similar to Mizahar's but the environment wasn't and that's what got me to stay. Like Vizayas said, their systems have deviated from the Mizahar similarities and their new magic is pretty in depth and unique. But the great thing about this place is the staff. You can really tell they're passionate about their writing and that they like to work together. Not only is it less grindy and easier to write there, the mods on ST really know how to make the site a great place and that's the overall reason why I stayed.

After my experience at Mizahar, I wouldn't recommend it to anyone looking to join. Save yourself the hassle and drama. For players who were put off by things at Miz, Standing Trials is the way to go. So far, it's the best PbP RP I've been at.
3
Tue Jun 21, 2016 1:24 am Record Straightener For those now joining us here, this is an ongoing discussion I am having with GreenWitch/Gossamer here since she just can't seem to move on from the Aelyria-bashing. I will reiterate once again for the crowd that I have offered to neutral-out the review score and leave a generic "thank you" if she could stop with the fixation and focus on promoting her game without the shade-throwing; as we can see, this has yet to happen. For the full discussion, here's an imgur gallery of the conversation to date for your edification: http://imgur.com/a/87xK5

Now then, for the new stuff!

Welcome back!

Here is the first thing I am going to point out to you, Jen (and yes, it's pretty clear it's you): I am not Juan. I would be that guy who you opted to try and have a epeen throwdown with the first time you saw me pop into Aelyria chat, which promptly ended when somebody pointed out my own historical role in the site to you, at which point you became a fawning suckup since you were still climbing the rank ladder at that time. It's my regret and shame that I didn't attempt to kick you off the ladder then and there, knowing what you were since you triggered my "itch between the shoulder blades" instinct. Given how you've historically made the rungs of your ladder of ascent from the hilts of daggers buried in the backs of those no longer of any other use to you than the climb, I now know I should've followed my gut. But, to borrow an old Chinese aphorism, there's no pill for regret.

So yeah, I am very sorry to disappoint you, but the guy you hate so very very much moved on a long time ago. He's gotten married, had children, and moved on to a career not involving attempting to monetize Aelyria for a living (I too think that was a mistake, in fact, but it was Juan's to make, and it's one we've long since moved on from). Now you've got me, the guy who opted to pull the game out of the mess in part caused from the dreams of it becoming a business, but largely mired in a bunch of crap that was specific to your legacy on the site (which really was just a very thick, very sticky layer of crap on top of a pile of other assorted detritus that needed to go a long time ago, to be completely fair; you just added that bit of "house after a drunken frat party" feel to it all). Luckily for me, being an ideas guy and otherwise a lazy bastard in general, I have a wonderful team and a patient player base that has transformed the site's paradigm away from the one with which you are so familiar and which you emulate cargo cult-like in many ways still to this day.

Now, when you say "coders" and "programmers", that usually means plural, which isn't demonstrably the case. Aelyria did in fact "lose" GP, who truthfully is much better served administering and coding on his own site where he can fully use his talents in a way he wouldn't have been able to in Aelyria. I realize you think you're a super awesome special all-of-the-above, but we all know who did and does the real work for your site on the technical front. Let him keep his well-deserved credit and don't give him headmates or whatever else to try and pluralize it to sound more impressive. I'm well aware of the score.

Before I go any further, I think you're operating on another severe misapprehension here that I need to clear up: I am not here because you splintered off and need to be punished or something stupid and insipid like that (when do you think this is, 1995?). I'm here because you keep dragging our name through the mud because you lack the clarity of vision in your own creation to promote it as anything but "not Aelyria", implicitly and now again overtly (that your hounds then pee on Standing Trials for apparent promotion as "Mizahar without Gossamer" is richly ironic). I think people who aren't happy in a game who believe they can do better building something new can and should do so, and godspeed to them. The role-playing scene isn't a hard-locked zero-sum experience; the more people we bring into the genre and can keep playing it, wherever that is, the more possibilities we all have in the future. Beyond all the "we're the very very bestest" bluster, we offer different experiences that different people seem to enjoy differently.

Now I've been admittedly awfully vituperative here, but you're just going to have to deal with the fact that between having to clean up the cultural Augean stables left in your wake and you hurting quite a few people I call friends to get ahead, I don't have very much in the way of happy thoughts when it comes to you and how you did (and apparently continue to do) things. I'm glad other things posted here have brought you amusement, although I consider the claim of joy dubious given part of the history here is people pointing out you run and cry for good reviews (or else you'll punish the site; hmm, and here I thought you were entirely against that whole holding-the-site-hostage-for-something method?), but I accept no responsibility for what anybody else has to say here. Some others have noticed what's going on here (and a few, of necessity, I've put in the loop just in case there's a spillover), and my very public commentary to those who have seen it is to enjoy the show but don't get involved because it is a review board here, so the wellspring of animus here is home-brewed. Maybe if you keep violating the privacy of your users and keep reading their not-really-private messages you can get to the bottom of that issue, but that's not really my concern to worry about since OOC inquisitions went out of style in Aelyria right around when you did.

So yes, please continue the "I have a REEEEEL life and am doing FANTASTIC!!11!1oneoen" front if you like, because it's amusing to consider it superimposed on how srsbzns you are about this whole thing when it's all a poison pill to try and convince you to grow the hell up and move on to another whipping boy. While I certainly do appreciate the opportunity to finally let it all out at you on neutral ground here where neither of us has the ability to squelch the other, the cathartic effect sort of diminished and the bubble really and truly popped for me when I saw you girded for battle with the Great Satan now only to discover Satan got a boring non-infernal job and doesn't care to bother being your nemesis anymore. There's entirely too much pathos in me kicking a Captain Ahab who I have to inform will never catch her whale because the whale is dead and gone and has been for a good long time.

Since you managed to not reference us by name and because I am feeling really bad that you seem to be trapped in amber there, I'm not decrementing the score further on this reply like I have been. My bad opinion of how you comported yourself in Aelyria and how you apparently continue that pattern of behavior on your own site really isn't anybody else's business outside of the current telling being a deterrent from further bullcrapping about us, cautionary tale though it might be. Truthfully, rather than chasing the phantom of some imagined lore theft, you might do well to be more concerned about my actual takeaways from occasional casual observation of your community: a litany of how-not-tos that, when operating as a small part of a foundation for guiding new policy, has been to our benefit. Although, who knows, maybe the differences on that stuff will keep more people rather than less in the role-playing community. Far be it from me to tell you how to do your thing.

So then, if you can go the extra couple steps and make the next one focus on your own stuff entirely and not on strawman-Aelyria, I'll honor my offer to wipe this clean, take this page off my notification feed, and go away. Or you can resume the doubling down and we can continue as before. Your pick.
3
Fri Nov 20, 2015 12:03 pm Zaumburr The scale of Mizahar is impressive. Shitloads to read and take in before you even set out to make your character and get into it. I'm not saying it is a bad thing. It's one of the good points actually, but...

Even if you read everything, even if you understand everything none of it is enough. You have to hope that other people have done the same or more than you have. Even if they are the mods- especially if they are the mods! Yes I mean the guys with colored names which are supposed to help you.

Because at the end of it they don't know anything about the game other than their preconceived interpretations and they'll hate you even more if you point out the lore page you've taken things from even if there is nothing to be disputed because they do not like to be wrong. Take it from me there is nothing worse they can do than that because that will mean you'll be the one to end up being in the "wrong" and are forced to do things the way they want, even if you know you are in the right.

As the old saying goes, "no game is better than a bad game" and Mizahar is a bad game even if it looks like everything you can ask for. Seriously, I've only been around for less than a quarter of the year and it only took one idiot to ruin everything for me and I can't do anything because he is a mod other than point him to the lore page and have him say "that is not how it works" without giving me any other proof.
3
Sat Jul 19, 2014 4:14 am RichardA55 There was this place. It was good but it was bad. No, it was not Mizahar. It was it's predecessor.

And so the world of Mizahar began with the six and it was great.

Gossamer was the balls of the site. She led the charge and brought many new things for the people of Mizahar.
With her came Gillar. He was the limbs of the site doing all the important things that everyone else took for granted.
More importantly was Tarot who became the world's soul. The magic he crafted was for Mizahar. Magic easily wielded by the people and never giving any an even bigger advantage.
Just as important was Cayenne acting as the brains of Mizahar. She was able to resolve the issues experienced in Mizahar with thought and motivation.
And then there was Columbina as the heart of Mizahar. She was always looking out for the people of Mizahar whether it was the good things or bad.
Finally there was Liminal. Frankly I've never seen him much eventhough I've been playing for years but I read some of his threads and it was really cool.

But slowly the six dwindled until all there's left is Gossamer with a highly unactive Gillar and Tarot. A game shouldn't be run by balls alone and lacking the other elements I don't see any way for Mizahar to return to what it once was although I will always be waiting.
3
Mon Jun 30, 2014 2:32 pm Zandelia The writer's roleplay? I've seen better pieces of writing in primary schools.

This site is nowhere near as original as it claims, but unlike McPainty (Gale by any chance?) suggests, the idea that since so much has been done before it is excuses this is incorrect. Why? Because they claim they are so unique, it would not be an issue if they didn't claim to be so original and unique but they do so therefore they should back up their claims by providing truly unique races, not just cliches with a lick of paint.

Next is the community, to be plain they are awful. In chat people are frequently ridiculed behind their back and when people aren't laughing at the newbie they are in total silence since Gossamer is in the room, a founder who enjoy publicly humiliating people while other people are forced to agree with her since they are afraid of her since she frequently displays favouritism.

Finally after a couple of weeks you will realize that this site is too big, it's become bloated and is crumbling under its own weight as moderators jump ship yet more players constantly join up because it is the biggest site under the delusion of a friendly, welcoming community.

3/10 - And that was grade with me in a good mood.
3
Tue Apr 01, 2014 9:33 am omnitricks I'm going to give the pros and cons of this site. I actually enjoyed it for a long time but after a while, you'll find the cons dominate your experience more than anything else.

Like a lot of others, I joined Mizahar because the lore and the system was promising. There was a lot to pick and choose when you are creating your character to make something unique and suited to your playstyle. And then there is the city you are going to start off in. I chose according to the players after narrowing down the cities I would like to play in according to the concept.

Which comes to the players. Log into chat you are greeted real nice and everyone is willing to help you. However be careful of your name (even if its only temporary until you finalize your character) or what you ask them about (the simpler the question the worse it is) If its something they do not agree with, the support you you feel will become sneers behind your back after you log out (if you are lucky enough that they will not do it to your face) An observation I would give, many players join Mizahar but not many actually stay because regardless of how they want to appear to be, the community isn't the friendly, constructive, collaborative site they want you to think they are and as people, we can actually feel this attitude.

This attitude goes further into the upper levels of their administration. The mods are not without flaws and some even have their own hidden agendas (God forbid if these guys set their sights on you, you will completely be screwed) There are some good mods but these normally don't last long. While some will try and convince you its because of burnout, its normally because they realize what the problem with Mizahar actually is (I've spoke to a few outside the game and they agree the root of it us one person) These problems are actually fostered or intentionally ignored by their head founder Gossamer.

A little warning about Gossamer. Its her site so its her rules. You don't even have to do anything wrong because as long as she has a reason not to like you, you can be sure that you're screwed if not out. So if you want her to like you enough to continue playing, shower her with attention and admiration. That seems to work out well (and if you are lucky you might actually be rewarded for it) If there are any problems do not ask her (ask another mod that seems independent or another founder) In comparison they will be more willing to help you where she will sweep things under the rug. You will never ever find any dirty laundry on that site since she is very efficient in removing them before anyone else can see.

So Mizahar, its a good place to play for a little while and get some interesting experiences but it is not suitable for anyone to invest their time, effort, creativity and sanity in the long term. Its a real waste. The site is good but overall I believe its possible to find another with a better experience if nothing else for a player.

And here is a rant I posted in Mizahar now deleted by Gossamer in a fairly immature manner for those interested in how the site actually turned out for me.

http://pastebin.com/sZiBctbE
3
Wed Apr 26, 2017 11:13 pm Aello Standing Trials isn't perfect. The community isn't super large but the players are great, the lore is solid but always in development. There are blatant powergamers among the mods, who shape lore and content to suit their own personal characters, but their influence is presumably held in check by calmer minds on the moderation team. You'll know them when you see them.

But it has one massive advantage it will always have over Mizahar: there is no Gossamer.

Join it if you're itching for a similar roleplaying experience to Mizahar without a complete and utter lunatic looming over you. Again, it's not perfect, but you're not gonna be banned for having an anime banner in your signature or romancing a PC Goss wants to slob over.
2
Wed Jan 27, 2016 8:52 pm Disappointed What I'm about to say is also reflected by many reviews here. I could have written a post, but getting this off my chest will give me more peace of mind to write.

I am a long-time member who has kept his head down and attempted to avoid the head admin at all costs because I do not want to lose characters that I grew invested in before realizing the site was run by a tyrant.

This is a site where the administrator really breaks it. She routinely bullies out her staff, players that she dislikes, and says hateful things about them. Gossamer/GreenWitch/Jen will then self-justify this by saying this is her nature, and that doing so is the proper course of action 'because the site is growing' when it's not. The site is stagnating at the same number of users for years. She will claim that everything she does is the biggest and bestest thing while anyone trying to propose an idea contrary to her beliefs is scum.

The system for staffing on this site is terrible and taxing on responsible individuals while further made worse by having to deal with this terrible person regularly. Everything of note has to pass through Gossamer's gaze, and she places very little trust in others. If you want to write a plot involving something special like a quest, god, or rare magic, be prepared to be sent on a wild goose chase through Mizahar's staff scrambling to find someone to run the thread and fulfill its requirements over months of blood and sweat before being given an arbitrary 'no' to the matter from the golden goose herself.

The very reviews Gossamer herself has written for her OWN site are blatant lies. I will attempt to explain them point by point.

Goss: "Fact: We are one of the biggest most successful RPG Sites on the web in the Play By Post style. You won't find one with more areas to rp in, more races, more lore, and more willing partners to help you in your storytelling journey."

Tarot was a skilled coder that made the site attractive to search provider crawlers like Google and Yahoo. This means when you search 'Forum Roleplay' Mizahar is usually on the first or second page. Most of the other sites that rank this high have far more active members. Goss claims that this site has many willing partners to roleplay with. The site has HUGE traffic with new players registering daily, and yet at peak hours, this site manages 20-25 users. 20-25! Player retention on this site is mind-bogglingly low, and those that do stay eventually leave or are forced out of the site upon interacting with Gossamer. This means that the community is afraid of threading with new players, since there is a huge chance of them leaving mid-thread. You will not find it easy to arrange threads with veterans until you have over a hundred posts under your belt.

She also claims that this site has the most areas, lore, and races. There are many forums out there that put this site to shame in that regard. Locations are mostly gated behind a poorly organized and executed staffing system and only a small fraction of them are available for play. Furthermore, it is a nuisance to travel from one town to the other - it takes many days IRL before you can start roleplaying in a new location, so some people grow starved. Most staff are overworked, and aren't going to run a quest for you. Most of the lore in the wiki consists of placeholders for unwritten content.

Goss: "Fact: We are completely and utterly free. Most sites can't say that. We allow customization of avatars, signatures, character sheets and most importantly POSTS. This fact alone is unheard of elsewhere and makes Mizahar particularly desirable."

All of the roleplay forums I know of are free except for one. Just about every forum on the web has avatars & signatures, and character sheets/profiles are a staple most roleplay forums have. Post customization is rare, but Proboards has div tags that can be used while PhPBB has style tags. This whole statement reads like a cheesy, insulting infomercial.

Goss: "Fact: Everyone wants to be a part of us (if they are or not) and regardless of how you feel about the admins and their style of running the place, Mizahar is highly successful because of how they run it. There are new players daily and veterans that have been there for years."

Goss' massive, inflated ego states that everyone loves her work and that she cannot be wrong, and everyone who attempts to prove otherwise gets the boot. Most of the veterans she speaks of are afraid of her and avoid her most of the time, and the ones that get fed up with her and try to defend their friends get their heads chopped off for trying. She's got everyone so intimidated that they feel they have to support her to win favor so that when they earn her ire from her reading their stuff they can be considered useful and not worth picking on. Some of the reviews on here are examples of that. This helps Mizahar to be a favoritism-based site, where the owner only feeds scraps to the hounds that bite the other hounds to get at it. She's also a bit of a sociopath.

Riverfall, the nearly dead place Gossamer sits around and intellectually masturbates in, is also very reminding of a high school romance RP. Riverfall itself is a beach-side town next to a cliff ala Malibu, California with oceanview condos while the inhabitants called Akalak consist of tall, muscle-bound men of two different minds, one good, one evil and often repressed, like a hormonal teenage boy with a culture of procreation. Both minds swap control - analogous for teens thinking with their crotch - and all of the women in this society are of perfect complexion, weight, teeth, perpetually youthful, petite height, etc.

Several of her threads involve her perfect high school princess character getting it on with a big blue boy toy in the culmination of her deepest desires. Most of those characters are no longer around since she can't get along at arms length with anyone for a reasonable amount of time if they do not share her views. Most of the other founders are too busy to reign her in or have already distanced themselves from her, despite that she may claim everyone supports her every whim.

I do hear that she is more pleasant in real life, and for that I am very glad! Still, some people are absolute children when you put them behind a keyboard to act out their fantasies.
2
Mon Oct 12, 2015 6:59 pm isaacb The site itself is great along with the playerbase. I personally gained many good friends from the site, and enjoyed a lot since I gravitated towards the golden rule: "stay away from Goss". As a storyteller, you won't believe how difficult it is to be apathetic every time a player complains about unfair treatment from the founder... because seriously what the heck can you do about that. It can be tiring after a while to figure out nice ways to say "stay away from that psycho" especially since she has a tendency to read chat logs when a "friend tips her off". Lol.

It is hard to stay on this site because you cannot win against her and at the same time it is hard to not react. And when you react negatively, you get her ire. However, if you are the type of person who is just there to play a game and couldn't care less about the drama or how she treats others, then there is potential to have a lot of fun here. You will need to tread lightly because misconcepcions of the lore are common since most of it is according to the creator's interpretation and seldom actually written down. Most people are helpful and will get you answers as long as you research first. Because of the constant leaving/banning of good players it may be difficult to find long-lasting relationships but then again ultimately it is up to you to create a good character and story.

It would be so much better if the constant drama was reduced, but to do that would mean that Goss would need to humble herself. Hahaha. It is ridiculous how she twists stories and if you knew the true stories, you would be amazed at how good she is at twisting them. Really.

Apologies if this turned out to be a rant, I just thought to warn any members before they invest too much time into the game.

Also, Goss, we know you're using Gillar's account when you confuse between your and you're. What was that about following rules and account sharing again.

Also, players, don't fret over deleted posts which disappear so someone can save face. Just download tapatalk. The app has a bug wherein a number of deleted posts don't disappear. (funny if they decide to take it down now though)

Good day!
2
Fri Oct 09, 2015 3:28 am RUEREE I've played Mizahar for well up to nearly four years now, and I've seen all there is to see as an ST as well as an average joe trying to make a quick profit.


I'll start with the mechanics: Mizahar is an incredibly difficult site to start in, as at the very start of a person's RP career there they are expected to wade through pages of lore, pages of site, to make the perfect character that doesn't break a single element of Mizahar. As a player, you are expected to make nice with the moderators at the very first moment you press REGISTER and now own an account, starting with the CS Liaison and moving then forward to where, if you're really, really unfortunate, you'll meet Queen Bee herself and get a big ol' red x on your character sheet.


Progression through gameplay is another ouchie; you are given very little to work with at the start, just a few measly points as a racial bonus and another sprinkle for value, and then you have to get into the world and pretend that, if you don't have the lore or skill, you literally know nothing about anything. Oh, you want to run? GOOD LUCK WITH THAT HA. You think you know about deities? MAN, IT WOULD BE A SHAME IF YOU, A CITIZEN OF MIZAHAR, DIDN'T KNOW THE ACTUAL PANTHEON. It sucks to see people be turned away from the site, where it could have been the flourishing place it had been when I started.


As a final note to the story and progression itself, don't expect to master a trade any time soon unless you can hammer out a bunch of posts right away to make yourself a name, and then if you do, expect grief for doing it, for being an XP whore, or for making too much work for the Graders. The only people who will appreciate your efforts to make your character into someone will be yourself and the friends you make there (but don't count on the genuine friendship of anyone you meet).


On to the topic that seems most abuzz: Gossamer and the Founders/Moderators.


Honestly, I've seen way to much of the inane drivel that comes from this woman; she seems a woman on a mission to stamp out the ideas she herself doesn't share that may find themselves on this site, and woe betide those to think her their friend before she puts on her Big Girl Panties and starts waving her phallic Ban Hammer around, striking down friendships with a cold cruelty another person can't help but sit back and gape at.


She's rude and crass, and if you step on her toes, expect a public defamation in VLog or Scrapbook post, because she won't pull punches and she will always, always paint the picture in her own words so that she is seen as the benevolent deity doing what she must to protect the sanctity of all rather than the looming tyrant that she really is. She will delete your rebuttal point blank, colour your name gray, and if you're very lucky you will be cut off from the site so you won't have to see a single word of the snot she leaves in your wake in an effort to smear your name as filthily as she can.


Her lackeys? Mirage is a big one. He's head honcho of the Help Desk more often than he should be, and he's a horrible meta with a habit of being dramatic and outwardly cold. Do you want something? He may make the effort to help you out, or he may shit on you. His prime domain was the chat, for a long time, but we are all no doubt grateful he has been curiously absent from it. His ban hammer came swiftest there, unless the personal pride of Gossamer was somehow sullied, in which case she would openly declare a person "causing problems" and whip them hard with her phallus.


The other Founders are largely gone or severely closed away, such as Liminal in Abura. Whenever I see him online, I imagine him attempting to lay low, lest someone else suggest gifting Gossamer with an award and her furious anger descending upon them all again. I imagine a man beaten by his wife in the cowardly way any person beats another, and I pity him.


Just as I pity Gossamer's husband for having to put up with her, in site and out.


My rating on this site is entirely dependent on the situations I've witnessed and the general attitude to new players.


Words of advice: avoid chat until you've acclimated to Mizahar's temperament and are 100% sure you want people shoving their personal lives down your throat or irrelevant bits of lore that literally are unnecessary and shouldn't be worried about for new PCs. Don't get attached to anyone, seriously. They could be Gossamer, waiting to ensnare you in her PCs vagenda and preparing a way to ruin you when you give more attention to another person, or they could be a flake that will drop out of your thread at an instant with no word. Keep your friends close and the moderators closer, the moderators are the ones you want to please if you want to keep playing in a city, or you risk the city closing and being expelled into the cold, harsh, cruel, and increasingly tiny world left for you. And, finally: avoid the hell out of Gossamer and her besties, most of whom regularly butter up when she walks into a chat room or makes a post in her scrapbook. These are the people you want to be wary around, as Gossamer is always within earshot.

PS: Rather than address the glaringly obvious problems, both Tarot and Gossamer would rather approach complaints to their lovebaby as personal and would simply make petty remarks that further prove their failings as moderators. They should just go back to Aelyria and make nice.
2
Fri Jul 11, 2014 12:40 pm VickyG This site advertises as fair but is truly foul. Take a look at the above blurb and translate it a bit as a review.

"A unique fantasy RPG..."

"Unique" is the thing they're selling here. Starry-eyed teens who haven't read much of real life mythology might be impressed by this kind of "unique" but anybody with a discerning eye here can see that "unique" is actually "white people with glitter patterns" or "the chimeric aftermath of a furcon orgy where afterwards everybody just put on random costume pieces". Remember that this is the site's point of pride and the gong they ring all the time.

"... that takes place in a world being rebuilt 500 years after the destruction of civilization."

Written in a trite pseudo-feministic allegory of the ever noble and beautiful woman despoiled by an evil oppressor and then the wrath of Heaven breaking all in a fury. Anybody who has spent more than a couple days on the site will figure out the circumstances of how it was founded and catch on that this is supposed to be Gossamer's battering at the evil hands of That Other Site they all came from when making this one. I picked pseudo-feministic to describe it because I sure as hell wouldn't wait for God-Prince Charming to get pissed off and destroy the world because I couldn't fend for myself and that isn't a message for my daughters or granddaughters either.

"There are countless factions, meddling gods and unique races..."

Countless factions because the player and storyteller turnover is ridiculous and threads are dropped left and right. Meddling gods doesn't sound very unique (is there a site out there with an active pantheon that isn't meddling? Probably not, it doesn't make for an exciting read), but it is okay because we have the "unique" moniker stamped on the races again. I mean, I guess you can be proud that you made chimeras out of ridiculous parts of animals?

"... all against the backdrop of unforgiving terrain and cities full of intrigue.

Unforgiving terrain that serves as an excuse to keep people from ever leaving said cities/prisons and getting away from what could be poor starting decisions. This is typical of everything around here and the mother-may-I mode of how things work. When the site isn't obnoxiously into overdocumenting crap that makes you wonder if you signed up for Microsoft Excel by accident, you have to file in the HD so Gossamer can approve your very bowel movements. The only intrigue going on here is the ebb and flow of bullcrap circling the drain for it named Gossamer.

And that's the heart of what makes this site a festering morass of juvenility. Gossamer constantly complains about the pile of work she has to tackle but has built a game that constantly requires her permission and attention. Gossamer complains about how people vie for attention and appreciation with one another by metrics such as word count, but when she herself has the time she's the almighty queen of word count and won't let you forget it. Gossamer whines about being surrounded by petulant children but herself is the biggest brat of them all. A community is built around your values, and Gossamer's values are sycophancy, back-biting, and above all an iron control with an eye to wiping out those that do not toe her line.

It's not at all about professionalism because nobody's making a living here. It's about the fact that the site's heart and soul is a heartless and soulless attention whoring sociopath. Your life expectancy and success of your characters on this site are tied to how much butt you're willing to kiss and for how long. Tarot being a great guy and a technical wizard doesn't make his choice of partner in running this site any less abhorrent. His tweaks to allow pretty borders and backgrounds to posts in fact just serve to highlight that the site is about illusions and facades and shiny things and not about having an actual community, but just as all those pretty shiny things overlay a color scheme that's apparently sewage, so does it all overlay an actual sewer of toxic behavior. The hen house Gossamer lives in isn't even immune to that, as you can see even the cluckers come and go.

In the end, you reap what you sow.
2
Thu Jul 10, 2014 6:18 am TamLin Birds of a feather flock together. The apple doesn't fall far from the tree. Take your pick with something similar, you know?

At its core Mizahar is rotten. This rot spreads out to unsuspecting people that join and decides to stay because of the pretty packaging of Mizahar. That is all it is! Mizahar is a box wrapped in pretty packaging but has nothing other than shit inside.

I had some good times but unless Mizahar cleans itself up, it will never be what it set itself out to be. Too bad the person responsible for that is also the problem.

A shame really.
2
Tue Jul 01, 2014 9:22 am Alses All good things...

I've been on this site for a long time now, I've seen every argument, issue and tantrum that has even been. More and more though I feel that Gossamer is throwing her excessive weight around, accusing other people of being rude and selfish then making up the fact that everyone agrees with her when in truth we are just too scared to say otherwise.

Favoritism is an occurring theme on this site, I understand that mods are frequently overworked yet I have seen a mod give this speech before setting up several quests for their buddies. Veterans constantly have go at newbies, especially on chat with a certain LARPer, then complains that newbies won't approach them for threads, indicating that the war between veterans and newbies is very one-sided as any person below a few hundred posts has their views dismissed almost immediately.

And seriously... Original? There are a couple of things I have seen that are truly original and the rest are just recycled themes with a tweak and a new name.

This site has had its day, jump ship soon.
2
Tue Mar 04, 2014 3:17 am Kwany Mizahar is a beautiful world. The lore is massive and the community is big. They're not original as they claim since they just took from other cultures and turned them into caucasian people.

Better stay out of chat too. There's a lot of favoritism going on in there and that's where feet-licking and drama happens. There's a bit of gay-bashing too. You can find some of it in the founder's scrapbook.

Always remember that this is their playground, not yours.
2
Sat Jul 20, 2019 2:15 pm TroofTalka Yeah, really fucking telling that EVERY negative review has been deleted and only the 10/10 picks have been left. Wow, you couldn't even have left a few 9s or 8s, just to try and disguise the fact you're blatantly juking the numbers? I would ask if you really had such little respect for your prospective audience, but as a former member of your festering shitheap of a site, I know the answer to that

"But why are you former", you ask, fair reader? Because the Cunt that runs the site is a homophobic, bigoted, bullying, emotionally-stunted and woefully unimaginative... well, CUNT who demands that the entire site be her mirror-mirror so she can re-enact all the derivative cribbed-from-better-authors fantasy wank that she's apparently a fan of. The site is almost dead save for a few forums/cities, which are her favorites. Any dissenting or even disagreeing voice is shouted down and ostracized, or just banned because she feels like it.

Literally, that what Goss The Basic Cunt does. You have to lick her boot and suck her cock constantly, or you will NEVER advance. Don't even THINK about being your own person and oh, by the way? All these delightfully glowing reviews? All from her Staff minions.

I doubt this "review" will reach many people, since those watching this page are clearly pruning it, but if I can prevent one person from wasting time and creativity on this trainwreck circle jerk of a play by post site, it will have been worth it. Plus I'll just C&P all this and repost it if you callow cowards delete it.

After all, someone gotta Talk Da Troof.

Go elsewhere. This is not for you.
1
Tue Apr 02, 2019 8:23 pm deckarddd Whatever your feelings about ST... and there are plenty of biased and unethical things about ST, please don't go to Mizahar... it's not a good site. Honestly don't go to Thorns either, these places are all drawn from the same toxic Mizahar cloth and are best avoided. 1
Tue Apr 02, 2019 4:02 am Malnourished I'm a Standing Trials veteran of almost two years and I would like to assure everyone reading this here that Standing Trials is in nowhere close to being anywhere near as bad as Mizahar. Standing Trials has its flaws for sure, namely a moderation team that seems to be only capable of making nakedly self-interested decisions that piss off the player base. When the players express outrage, they play the victim, whine, and rage and point to each other as character alibis to feign some show of integrity for a disbelieving audience. Players get driven off, sometimes they get banned, and the rest are cowed into silence. The last issue (the one with the 'fair and player-driven' decision to make a starting PC an actual, playable god) remains unresolved. They just banned/threatened bans to the people who were making the most noise and pretend the whole issue is swept under the rug.

It was the same with the time Pegasus, the head admin, tried to revive an uber god for her own personal gratification. Even before that, there was a time when her personal pet, Padraig/Arlo, got the entire state of the world warped for him into some kind of flat earth with barriers surrounding it just for his personal 'plot'. Standing Trials has long catered to Pegasus and her clique, and everyone else is left to the wayside. The site claims to encourage feedback but will shut you up the moment you offer feedback. You don't matter. I've invested too much into ST to back off, but it's not without its flaws.

And even with an awful staff team filled moderators that swing to the extreme of either tyrant or useless, it's still nowhere near as awful as Mizahar. Do not go to Mizahar. Do not entertain it. Do not think about joining it. Standing Trials is the lesser evil next to that mess of a site. The site owner is a homophobic, islamophobic, intolerant monster and the only saving grace is that she takes little time to reveal her true colors and hopefully you'll take the hint and leave.

You're better off finding other places to roleplay than Mizahar. In fact, don't bother with either site. Standing Trials and Mizahar are the devil and there are many other roleplay sites without the kind of grief that comes with either.
1
Tue Mar 19, 2019 11:54 pm Morganna The 1 is for this stupid site. It took me 10x just to log in -- but I guess that shows how desperate I am to get a review up.

Anyway, ST sucks now too. I guess point-based sites are dead.
1
Tue Mar 19, 2019 11:03 pm Not-h I am not Tyrant, but this review by him, a moderator on Standing Trials who was demoted and then banned sums the whole situation on Standing Trials very nicely. If there are any spelling or formating errors from the original manifesto, oh well, let a flawed transcription stand for a flawed site:

"The Good

Wherein I will give my full review of the site of Standing Trials, the people within, and the community as a whole as best as I am humanly capable using my nearly three years of membership on the site, and roughly year of staff-work as a basis for my thoughts on the subject.

I will first and foremost mention that when I first joined Standing Trials, it was not quite what it is today. It was an enjoyable site, but there were some potential issues involving how everything was performed that made it somewhat more difficult to easily write here. Something in particular that I remember is that peer reviewers were responsible wholly for the reviews that they gave without receiving much in the way of input from thread-makers which could be a rather blatant strain upon them. Issues such as that have since been resolved in a way that I genuinely believe has benefited the site as a whole.

Another positive that has changed from my beginning time is that a rather spectacular amount of development has been done on a great number of projects. Things that used to sit quietly in their own little corners undeveloped for literal years have finally come to fruition and are being used regularly by players who enjoy their presence. Of course, I mean things such as the assorted magic groups which until recently were only vague ideas in the mind of a head developer, and had no written substance to them.

So, I will state rather blatantly that there has been definite progress since I first began here, and it???s obvious that some of the implementations were for the benefit of everyone on the site, and I???m rather glad that they were brought into creation.

The Bad

Of course, where there is any change which occurs, there are understandably going to be a few which aren???t really accepted as particularly great by everyone around. While I was originally involved in the pricelist project, for example, I found that its final implementation was??? exceptionally confusing, at least to myself. When I mentioned this to a few others, the typical responses that they had been provided effectively amounted to ???read more??? or ???read until it makes sense???, which isn???t always necessarily a great manner of running operations.

There were other things which arose which I wasn???t really a fan of, including a number of NPC changes that meant having to regularly glance back at the rules list to ensure that they were still acceptable, and overall just several rules and regulations which have been passed for some time which are somewhat too difficult for my poor mind to easily comprehend.

The same answer was often provided for these assorted regulations, assuring players that they would understand the chaos if only they would continue to read the same lines over and over again, and in some cases, this was probably correct. Nevertheless, the consistent passing of new systems over and over again has done little to make the site overall less complex. Instead, I regularly find that I have to spend several minutes double-checking any work that I intended to pass to make sure that I???m not violating a newly created set of rules somewhere, and that I???ve not accidentally allowed players to violate the new rules as well. All in all, this created a non-insubstantial amount of work, and I genuinely believe that a few of the rules which have been passed could easily be revoked without much harm.

Or, at the very least, we could probably do something about making them easier to understand for players and staff alike, and perhaps condense sets of rules into one place so that they are easier to locate. Presumably, the wiki as a whole sort of accomplishes this, though I???ll be honest in saying that I struggle even to use that grand conglomerate. Perhaps I simply don???t have all the answers on the system cram, but for goodness sake, it???s hard to find things.

The Ugly
If you thought this was going to be the largest section of the review, you???d be quite right. For all the more obvious positives that have been brought to the site, and for all of the things I would perceive as somewhat negative additions, there are a far greater number of activities upon the site that I would consider utterly disappointing.

Allow me to begin this section by letting all of you know that Staff is, at times, very much a secret club. Of course, that mentality is one that is not typically flaunted, nor is it one that is oftentimes meant to be presented to others, but it is nonetheless incredibly true. Have you ever thought of yourself as a problematic player? Have you ever considered that you might have irritated a member of staff with something that you said, or perhaps that you???re behaving in a way that you didn???t think someone liked?

Well, the rest of staff know about it too, because it has been shared and re-shared among our clubhouse like the latest and hottest gossip. Have you ever felt that you???re explicitly being watched like a hawk, that your every action in every thread is being observed to see if you???ll finally slip up? If you feel audited, because you???re under the impression that a large number of staff members, or at least important ones dislike you, then you???re absolutely correct. They do, and it???s not a secret.

Of course, for all of the secrecy that occurs in staff rooms, there is an equal amount that writhes its way out of the player-base. Occasionally, the implications that come out of these are entirely without justification, accusations of unfair behavior sparked by irritated players who really should have seen the outcomes coming when they decided to behave in a foolish fashion. Othertimes, you have accusations that are both somewhat difficult to prove in a purely evidence-based standard, and which are simultaneously adamantly opposed by staff. Anathema to a perfect society.

Let???s talk about Favoritism!

One of my self-given roles as a member of the Standing Trials staff for quite some time was that I would act as the sort of person who would listen to players whenever they had a complaint of any sort or size. I didn???t particularly mind what the complaint was, and I never threw them under the bus by reporting them to any disciplinary group. I was, as it were, a messenger for people who had a message they wanted to send, but who didn???t want to be implicated, either out of fear of retribution or else fear of being incorrect.

I would bring such messages to our beloved Team Leaders (whose roles were originally designed, I believe, to ensure that work continued onwards, and whose roles now consist of some amalgam of secret discussions and meetings before major decisions). I would deliver the messages in the hopes that there would be reasonable arguments in opposition to the accusations being made, so that I could deliver those to a reassured crowd of players.

Have you ever watched Mulan? Do you remember the villain of that movie, and how he explicitly gives an order to shoot one of the messengers?

Oh. Look. I was a messenger. Quite suddenly, my role as a person who brought forth information and thoughts from the playerbase was facing a rather severe degree of opposition. People didn???t like to hear that there were complaints that they were giving in to favoritism, and because the best response that could reasonably be given out was, ???No we aren???t!??? the complaints didn???t really go away either.

Eventually, I began to think that perhaps the staff members were correct. After all, favoritism is a difficult thing to prove under most circumstances, and I couldn???t help but to feel that perhaps some of the player-base were simply irritable. So, as a whole, I began to stop passing on the messages from the players wherever possible, and started working on new projects wherever I could.

My time as an Advocate was, all in all, fairly enjoyable??? at first. When I first began, I was working under Anomaly, and her personality and my own were quite compatible with one another. In fact, the only reason I had joined staff at all was to assist her with her work since she had been left alone on the blue team. There were no major issues that come to mind while I worked with her, but, as with all good things, eventually we had a vote on new team leaders.

Anomaly was ousted from her position, and the person who took her place was Munchkin. I distinctly remember feeling somewhat upset at the sudden shift, since Munch hadn???t even been on the Advocate team at the time, but I didn???t dislike him inherently either. In fact, we had played games a couple of times in the past, and overall I had viewed him as a good person to hang around.

Mind you, the first day that he was the Advocate TL, we ended up banning someone and it drove me into an absolute fit. The player in question had insinuated to a moderator that he was going to fight another player, but the other player had mentioned that they had not agreed beforehand to any sort of conflict. Personally, I saw the entire ordeal as a great misunderstanding which had been blown out of proportion, a failure to communicate.

Munchkin saw it, seemed to take a couple of minutes to consider it, and decided that there would need to be disciplinary action. Of course, that escalated further into a call to ban the player entirely from the seat without a chance at redemption. I dug around for evidence in the logs of different chats, interviewed multiple players, and overall was trying to determine a course of action that had clearly already been decided.

Munchkin decided that he would ban the player in question, and had already begun working on his letter when I mentioned that he couldn???t ban someone without having even spoken to them first. (You???ll notice some parallels between this account and our modern day. You know, the lack of communication before action.) Eventually, Munchkin allowed me to speak to the player, and while I continued to gather my evidence, the decision had already been made, and the player was promptly banned.

That behavior drove me up the wall. Another behavior which proceeded to aggravate me to an even greater extent was a 2 hour interrogation at night in the midst of our Advocate chat, wherein I was ordered to provide the names of any anonymous persons who had passed on information to me. At the time, I had been passing along any information that related to any judicial actions we were examining, but was being courteous and allowing for any informants to remain anonymous. That was not allowed within the Advocate camp, as I???d soon come to find out, and after a grueling interrogation wherein I was implored to hand out the names so as to encourage ???teamwork??? and ???unity??? I eventually asked my informant to reveal themselves.

I eventually wrote a short manifesto, not dissimilar from this one, and asked to be reassigned to the Storyteller Team. It was a healthy choice in my mind, because I was clearly at operational ends with Munchkin over the lack of consideration which had been given to any of my work, or to the idea of justice whatsoever.

I???d never been offered a position to work under anyone for a city before, because I had managed to slip through the cracks of any sort of training program, and so I was able to work on my city immediately. I particularly enjoyed working on projects for their, and tried rather greatly to provide a place where my players could legitimately enjoy themselves, and progress their plots. I had a rather free mindset wherein if someone wanted to try something, I typically approved it, because I wanted to see them reach out and accomplish things, and because the mod-centric nature of the site meant that you needed a mod to accomplish anything big, I was finally able to provide the ability for them to really grow.

Of course, certain behaviors didn???t inherently end. Certain players within my purview were still audited over their character actions by external moderators, and I was forced to reconcile certain behaviors with newly created rules and regulations which I had been entirely unable to keep up with. In time, schoolwork, among other things began to particularly hassle me and steal away my attention, and I began to ask for some level of assistance in operating the city??? which was very very briefly provided, and then promptly abandoned. At one point, one of the staff members I had been working with on the Seekers project promptly left the site entirely. I mentioned in the chat that he had done most of the work, and was promptly met a few moments later with accusations that I had enabled him to break the staff rules (rules that did not have, and which I believe currently do not have any sort of written punishment, because of course they don???t.), and that it had been decided by the TL???s that my punishment would be to finish the project by a certain date and time. I managed to highlight that I had done work the first time around, and the charges were dropped, but the implication that I, a volunteer, would be forced to work on a project or else receive a warning were laughable at best, and irritating at worst.

On top of the added stress of the real-world, I then discovered that all of the efforts that I???d put into the pricelist project which I had been quite fond of had been changed completely without any indication provided to me. Hours of progress that I had personally performed had been changed into something I didn???t even remotely recognize, and I abandoned the project entirely, figuring that if it was just going to be changed anyway, then I would revitalize my efforts in running my beloved city, though, eventually I decided that the strain in the real-world was growing rather severe, and my constant difficulty with the site was proving to be too great to continue. I made an announcement that in two months??? time, I???d be leaving, but that I???d make efforts to leave things in a good condition for my city.

A few days later, someone came to me as they???d done in the past and mentioned to me that there had been a major event. Once again the comments of favoritism were shot out into the air as, lo and behold, one of the TL???s had been made into an Immortal.

It was a drastic achievement to be certain, though I could certainly see why some people had come to the conclusion that something was remiss about it. After all, the character in question had less than a hundred posts, and some of those around site had hundreds. Why was literal godhood being handed over to them? The events of a single group of threads had apparently laid out in such a fashion that the option had become available, and, with the apparent wish of eventually rolling out the update anyway, the character was given the single strongest ability anyone had ever had in the game. Of course, they were a pipsqueak to start out with, but could anyone honestly justify that being one of the site???s literal gods was somehow a downgrade? The character was fresh and new, it wasn???t as if though they wouldn???t have needed to grow anyway.

People complained to me, as they often do, and I, in my foolishness decided to bring it up with the Team Leaders. The circumstances surrounding the issue seemed to be rather skeptical at best, and I shared that information, and the comments that had been given to me, but did what I always do, and withheld names. The response given was effectively that those people were too cowardly to show themselves in the first place and so they were to be considered little more than a bunch of naysayers.

Clearly, I shouldn???t have brought up the issue at all, because only two days or so after the comments had been passed along, I was stripped of my staff rank. There was no warning to the action, nor is there typically any provided. When I questioned other members of staff, I couldn???t find any of them who had been privy to the discussion which removed me. All of my efforts had genuinely been utterly useless, a chasing after the wind. All that I knew was that the Team Leaders, the very people that had been criticized so many times in the past had met together, and decided that my behavior was too aggressive.

Perhaps worse than merely losing a position was the fact that my city was taken out of my ownership without any discussion. Certainly, I would have left already in a couple of months, but I had full intentions of making things pleasant before I decided to go, and now those would never come to fruition. At absolute best, I could submit any last-minute changes as development and Aegis, one of the Team Leaders would decide whether or not it would be approved.

Naturally, I was agitated. Most of you know what my behavior has been like for today. I???ve tried not to be overly aggressive though, and I???ve never resorted to name-calling, because it never was my style.

Nevertheless, with so much of my own work and imagination suddenly stolen away from me over comments that people were upset, instead of allowing for a civilized discussion, it became evident that it was time for me to leave. When I made a declaration that I???d be going in a day or so at most, I was promptly banned from the main chat of the site without a word being uttered as to why.

In summary, then, here is the truth of Standing Trials:

-It started out as fun, and it progressed nicely for some time.
-And then the Team Leaders took power, and they are currently a mother and her son, and two of their good friends.
-Any criticism of the current Team Leader arrangement or staff in general will lead to punishment or at best, aggravation, regardless of how it is worded, because it is not allowed, and there are hotheads among the punishing party.
-Progression on the site is dictated by how mods treat you, not necessarily by the efforts you put into actions. If you attempt to progress alone, you will be remarked upon negatively in staff chat, and efforts will be put in place to get rid of you whenever possible.
-If you are a friend of the mods, you will receive either better rewards, or at least more consistent rewards and threads than other persons.
-All of your work can be taken away in an instant by someone who doesn???t care what you???ve done, and who won???t discuss it with you.
-All sites eventually die.
-Maybe this one should too.

As a final statement, would I recommend Standing Trials to a new player?

I don???t know (He does know and the answer is a firm NO). I had fun here throughout the years, and if you understand honestly that all of your work could potentially be removed, and you understand all of the bullet-points above, and are willing to follow them, then I genuinely think you???ll have a funtime.

But if you intend to step out of line, or if you prefer to write mostly with yourself and one other friend, or if you think you might step on anyone???s toes, then maybe you should find somewhere else to play.

Sincerely,
Tyrant."

Miz might be a cesspool but I had more fun there in a year than I did here in two and a half. For anyone scrolling through these reviews for alternatives to mizahar... Standing Trials isn't it. It's just a different kind of awful.
1
Tue Jan 08, 2019 8:48 am Kamalia Timandre From time to time, every year, I come here to see people's posts and to have a good laugh. Petty, I know!

I'm just posting now because someone mentioned that the former Lhavit mods have been "fetishizing" Japanese culture... what?

People are okay with Eurocentric cities (Syliras and Ravok), but make anything resembling Asian and people lose their shit about it?
1
Thu Aug 02, 2018 2:24 pm magatriggerslibs Mizahar is so inactive that they just have you grade your own posts.

All the active people left to Standing Trials. Just go there if you want your posts looked at within days instead of months.
1
Tue Jul 24, 2018 11:55 am Hikaruh I joined Mizahar and after three weeks not a single post of mine got graded (nobody else in my city was graded either). I also joined a couple events but the mod in charge of them never posted either. An rp site is only as active as the mods that run it.

I came here to leave a review and saw people pointing to an RPG called Standing Trials. I tried them out and it is night and day activity wise. They share many systems with Mizahar but they have an active chat and staff members that get on things very quickly. I would def recommend them over Mizahar.

Also I see a lot of hate about Gossamer in these reviews. In the several weeks I played Mizahar she said she had a problem with how I titled my threads (demanding all first letters be capitalized and making me change the wording until she liked it). If that's what she's like to newcomers then hard pass.
1
Wed Jul 04, 2018 8:31 pm BillyByron Yeeeeeeep, as expected, the Calamitous Cunt Gossamer is STILL fucking up the site. Looks like she's expanded homophobia and racism into transphobia, too. Only a matter of time, I suppose.

Look, if you can find a way to avoid Gossamer, and her STs, and her Admins, AND not annoy her in even the slightest way (which even a casual, honest conversation will do: she's THAT insecure), you could have a fun time. Problem is, the site is so shrunken now that you pretty much have to do all thjose things to progress your character's development and story in any meaningful way.

So, unless you're content to solo it for the whole time, I'd say go to either STANDING TRIALS, or THORNS. They're far more original, immersive, and there's no rabidly-abusive cunt-wart in charge, sucking the fun and creativity out of everyone present, just because she wants to use the whole site as her personal Magic Mirror.

Oh! Nearly forgot. That last, high-rated review? That was one of her friends. Probably under her orders. Because, y'know, who needs truth and honesty when you have weak-minded assholes who'll lick yours whenever you want?

STANDING TRIALS. THORNS. Not Mizahar. You will waste your time and not enjoy yourself.
1
Sun Mar 11, 2018 9:36 pm Moulder The cunt that runs this place is absolutely insane.
She banned me for being too friendly when I first popped in the discord, saying that "no one plays to the crowd that soon". Seriously. Apparently she's under the impression everyone is as disingenuous as she is.
She claims that she's actually demanded pictures of people's driver's licenses to join after claiming that my IP address matched a "known pedophile". She didn't give proof of this, and demanded to know where I was from, my age, and my gender. This woman is offensive to the highest degree, a complete piece of trash, and a waste of time. They claim "follow the rules and youll be fine" but Gossamer will straight up ban you for whatever insanity pops into her head. Her staff and the other members are sycophants who drool over her every word. "Oh Gossamer you play them so perfectly" "Oh Gossamer your characters are so perfect and you give such good advice". DO NOT JOIN THIS SITE.
Want pictures of the insanity? Here they are. I screen-shotted her. BTW, Jen, I was playing dumb the whole fucking time. I was absolutely staggered by your complete insanity, and after you accused me with the IP crap I got curious, and wanted to stay and witness more of the insanity. (IMAGES HERE: https://imgur.com/a/InJ8M)
1
Thu Mar 08, 2018 9:13 pm throwaway Im giving this place a 0 and here's why. 1. Gossamer This woman insults new players happily, usually with passive aggressive potshots. She will ban you for any reason. I mean ANY reason. Too friendly? Banned. Didn't answer her question fast enough (even if its something innocuous)? Banned. Don't like her cat's pictures? Banned. She is insane. Avoid her at all costs. Oh, and she wears the little label of "monster" like she's proud of it. She's so thrilled everyone's afraid of her that I'm pretty sure she blasts apologies on text-to-speech programs while masturbating. She has a husband, but I'm sure he's the type of fellow who likes sticking his johnson in hornets' nests. BE WARNED: IF YOU MAKE A SOMEWHAT NORMAL MALE CHARACTER GOSS WILL BE AFTER YOU. SHE WILL FLUFF YOU UP LIKE YOU'RE THE BEST WRITER EVER THEN GET ANNOYED IF YOU DONT WANT TO PLAY WITH HER. 2. The Writing This is a DnD tabletop game, not a writing site. Do you enjoy logging your characters' bowel movements? Reduntant pieces of paperwork? Having to actually apply (yes, there is a job application) to the mod of a city for a job? Slogging through an overly complicated CS process that the mods treat like the gold standard of storytelling? Wait, you like to have FUN? That won't happen here unless you get on your knees and suck mod dick. Even then, still won't happen. 3. The Mods Want to be treated like a child that's never written anything ever before coming to Miz? No? Well then you won't get along with the mods, who are condescending. Prophet and Antipodes have their heads so far up their respective rectums (or Gossamer's. Rectum-ception?). They're rude, slap your wrists like a school child, and get all huffy if you complain about the poorly-written, gigantic library of a wiki. They want you to read all of it. I'm not kidding. Your character is less a fun thing for you to do on your time off and more a fucking book report on Jen's masturbatory fantasies. Oh, and did I mention the mods will randomly step into your threads and actually kill your character? Yeah. They can do that if the need so strikes them. Enjoy having to scurry around under the mods' big heavy feet so they don't godmod and kill your character. 4. The World It's not that original. I hope you're prepared to set up shop in one of the (limited) cities, because travel is supposed to be "So dangerous" that you need a Wilderness Skill to actually go from one to the other. Which means that if you didn't make your character Stereotypical Kelvic Ranger #40, you're fucking STUCK. Enjoy that. There is an astounding bit of bad photoshop if you need a laugh (Gossamer fancies herself an artist, rather than a glaucoma-inducing fruit bat with a keyboard). Go to another site. You're wasting your time here. 1
Thu Jun 15, 2017 8:32 am Throwaway278 I wish I could give a rating of 0 because of Gossamer.

Everything that people have said about Jen is true. It has been a long time since I was active on Mizahar, but I watched her abuse, slander, and bully quite a few friends and acquaintances. It got to the point where many of them (myself included) quit. On the surface, Mizahar is wonderful.

You throw yourself into the lore and get really invested. Everything is fun and great until you interact with the horrid wretch known as Gossamer.

Now, I do see a few posts here defending her, but let's be realistic. The number of people defending her is so much smaller than the number of people calling her out on her awful attitude and behavior. If there were only one or two complaints, you might assume that these were isolated cases. However, the evidence and testimonials here are overwhelming negative and there's no use denying the obvious - Gossamer is an evil bitch.

I wish I had seen and read these reviews prior to joining Mizahar way back when. Now I just hope that karma will kick in and Gossamer ends up suffering as much as she's caused others to suffer. Burn in hell, Jen! Then again, you might enjoy that.
1
Thu Apr 27, 2017 4:16 am RobinsonRobinson Not really sure where to begin as the events experienced have been less than appropriate, especially since this is suppose to be a writing website and not a virtual middle school where drama gets thrown around between admin, staff, and player base. Beware that if you speak your mind about issues happening on the site, major plots that you wish to run, or anything you've put your entire self behind to accomplish, you will be shot down, verbally abused, and more than likely banned (should you choose to stick up for yourself).

Not a very great environment and the only thing that saves this place are the players, most of which have already converted to another, better alternative: STANDING TRIALS.

This site and its moderators have poured countless hours into providing a great experience for their player base and ensuring that all characters are provided with a beginning to launch into the adventures of the game. They've made countless updates to their lore and have released so much new information. Their story lines are always progressing and the mods there actively try to participate in stories, whether invited to or not by "mod bombing" (this can be seriously fun). Not only that, but having been there for some time, it's obvious to see that Standing Trials' player base absolutely supports their mods and vise versa. Any minor drama that sprouts is quickly locked down by the mods and any major drama is taken up by Standing Trials 'Advocate' team. This team is meant to ensure that all punishments and consequences are dished out fairly and that the admin doesn't turn crazy psycho, ban happy towards players who piss them off.

Like other people said, Standing Trials has deviated from Mizahar a lot. They have newer, better, functioning systems that make it easier on both players and staff to participate in and moderate. Staff has a very low turn over rate, most having been there for a year now. The stress of moderation is dialed down a lot, staff isn't expected to grind through things they don't like or want to do and are encouraged to work on aspects of the game they are most inspired by.

Most of the players who've left Miz for ST have remained because this site is beyond fantastic. Friends have invited friends and their friends have invited friends. It's a wonderful place and anyone who hasn't experienced ST should.

Miz is definitely not worth the time, neither is dealing with Gossamer and her batshit crazy shenanigans.
1
Thu Apr 27, 2017 3:58 am Seymour Butts Hey people. I left Miz a long time ago, but I'm gonna post a review now. Before anyone is like "damn, you're still hung up on Miz?" after I've been gone for a year - let me just say no, I'm not, lol. Not at all. Miz sucks irradiated donger and the site admin needs to be bathed in holy water.

This review will not be about Miz at all, that's the devil's talk, homie. Let me instead show you the light of Jesus, I mean ST.

ST is, by far, the best PbP I've ever been on. It's a site full of wonderful players and staff alike, with a great deal of positive energy, understanding and collaboration. Even the most vehement of disagreements are often resolved calmly and with better understanding, and everyone is allowed to express themselves and their ideas as openly as they can without the constant silencing and authoritarian control demonstrated so actively on Miz.

Standing Trials is a wonderful site with an excellent player base and a whole slew of excellent mods. Goals can be achieved, ideas can be pushed through, people can make a difference. Getting something approved doesn't take 500 millennia - it just takes a good idea and a friendly discussion with a mod. Plots are feasible for any character, not just those favored by the head admin.

ST is a wonderful site. And no, it's not a Miz clone, it's unique - and a lot better.

So yeah. It's a wonderful community, especially compared to the ass cancer that is Mizahar. Thanks for reading.

PS Jen smells like foot cream... on a good day.
1
Sun Apr 09, 2017 2:39 pm Stitch I retract my original review of the site. 1
Thu Nov 10, 2016 6:59 pm MerSeb Drama, unnecessary drama. Over empowered admin who thinks that running the site means she has some kind of control over people's thoughts etc.

I'd go to ST, personally. Standing Trials seems to have taken the best site members from Mizahar, the admins are consistent and speedy. Reviews of threads are done quickly and you aren't waiting for months while the site owner writes self-indulgent posts in her blog / scrapbook / whatever. Much more vibrant community on Standing Trials, very different rule system and a 'can do' attitude which is a real breath of fresh air. Avoid Miz and go to Standing Trials - where indeed, no one talks about Miz because it's all just not important enough. People are telling their own stories, working together and not fussing. It's really refreshing.
1
Sat Nov 05, 2016 8:34 am Kailily Terrible Administration,

It wasn't always so but the website changed drastically from what it was originally supposed to be. The environment is unfriendly and uncomfortable and at times hostile, the staff and player base was so bad that they could not distinguish between in character and out of character drama.

If you want a similar play by post game I'd suggest Standing Trials.
1
Sat Aug 06, 2016 12:07 am lord_of_the_files The conversation should speak for itself. A site which could use some work but is otherwise great is ruined by those who run it. Particularly the one person who runs it. 1
Mon Jun 13, 2016 8:32 pm Disappoint Terrible. 1/10.

New Player Experience? LOL. You'll spend more time navigating walls of text and trying to figure out who you can talk to and what you're allowed to say than actually playing. It's a minefield out there folks.

Lore: Someone's having a bit of a woe is me crisis looking at the creation mythos. I feel like I took a wrong detour on Tumblr and ended up in some very unexpected places.

Once in? Oh, good luck getting your content graded in a timely manner. Wait. Wait. Want to write? Gotta wait. Want to play? Ha! Not enough purple prose to pad the content with trivialities to matter. Someone here thinks they're Charles Dickens being paid by the word and it shows BAD. All the cities but they're ghost towns. Relics of the moderators that ran for the hills. You're looking at maybe three or four places you can actually write in.

Playerbase? Where's your experienced people at huh? Oh right, they BAIL. High turnover rate and the reason all comes down to the admin. Queeen bee syndrome if ever there was one.
1
Sun Jun 12, 2016 10:34 pm Caffeinated Trash and drama, not worth investing in. Most of their 'original concepts' stem from older RPG's like Tazlure mixed in with a bad Anita Blake vibe (sorry Tazlure, you folks deserve sooooo much better! <3 ). 2009. Because anyone that's been playing RPG's online know originality all started then. Tvtropes is probably off crying in a corner or simply revelling in the "Our ... are different" categories.

Look around, there's plenty of better communities about. Most tend to follow pretty similar themes in how you play which ultimately means it's who you're writing with that's important. This whole review page is a testament to there's some amazing people at Mizahar, and they're running from the cray. Best of luck!
1
Thu Jun 09, 2016 12:54 am GlimmerFae Well, as sad as it is to say, I only wrote a handful of posts on Mizahar. I was very eager to start it, as in the past I've only really done rp in fandom, and i wanted to branch out. Created my character, spent hours designing it, posting it, etc. Saw the rule that you didn't have to be approved to RP, so put something up, to begin. I was a lil newbie too, and I made that very obvious.

Waited, and waited for a response/approval to anything I'd posted, and wound up getting a little speech bubble beside my character sheet about a week and a half after first posting. No biggie, just didn't list what was in my apartment/needed to change "pending" to approved once the help desk answered me (My character was a Konti, and I needed to get her gift approved) I fix the housing thing, and I asked about the help desk. Astator, seeming very lackluster to me- as they had been complimenting people left and right even when they had issues- just told me to politely bump the thread. I did that, and I was very nice about it. Unfortunately for me, not quite a month later, it doesn't look like I'll ever get a response on the thread. From what i found out, seems like the issue might be the fact my character was also a lesbian. For an RP group that claims to be friendly, I certainly feel left out and jilted. I'll have to check out some of the other sites you have been recommending!
1
Fri May 06, 2016 3:18 am yrael So, I guess I should say my piece.

I've been an active member of Mizahar since 2011. I've existed there on most major cities, watched the rise and fall of many moderators, and was ultimately incredibly tired of the anger and the favouritism and the 'drama' that I stepped forward, when a member of the community said his farewells, to blatantly ask if the founder we all like to talk about chased him off.

Mizahar was charming at the start. There were lots of places to play, lots of people to play with, and the decline of the site (which has become so apparent), wasn't much of a problem. The community suffered, sure. Eventually, there weren't enough moderators to keep all the cities open, and everyone had to migrate. That sucked. Moderators suffered under the weight of overpopulated grading queues and a founder who doesn't like to hear excuses (unless they are her own, because she's probably one of the poorest active people in terms of moderation). Sure, she does the HD, but there's more to moderating than sitting in the Help Desk and glowering at newbs who make mistakes.

Chat sucks. The people in there talk a lot of shit, but they don't measure up when it comes time to put up and thread. There's a lot of disgusting comments from a specific chat mod (Amunet) who will sell her character to male characters on the premise that her PC still has her purity (virginity). Balderdash (Jamal Squilliams) is a douchebag, but he is a douchebag who no longer has mod privileges in chat. Ball likes to talk about himself a lot.

The only real joy I took in Mizahar at the end was the idea of progressing my PC and ignoring the OOC aspect of the site (which is what I would suggest to new players). There's a lot of hoops you have to jump through in order to qualify for shite, so I heartily wish these new people good luck.

On the note of ST and Mizahar similarities, you should check out Aelyria where Miz got many concepts from. Frankly, you can take a pile of shit and throw glitter on it, but you shouldn't throw glitter on your shit and call it new before pointing at someone else's bedazzled crap and calling them out.
1
Tue May 03, 2016 8:22 pm Cassidy Hello folks! Here is another review from someone who was banned. Now, if you read some of the 10/10 comments below, this invalidates my review because I must just be 'butthurt'.

Honestly if I were you, reading reviews I'd take all of these with a grain of salt too, good and bad. Here's my experience however, take from it what you will.

I joined this, was active for very nearly two months before being banned. So it didn't take me long. I don't think that I'm a trouble maker. I wrote my stories, I had fun with people, I was looking forward to hitting my two month anniversary because then I could apply for a staff position, either as grader or junior story teller and could contribute to the site. I also donated $100 towards server fees when the time came for that. I tell you this so you understand that I was actively taking part in and seeking to help and better the site, not just sitting about whining.

Mizahar has a chat room. If you do play, STAY OUT OF IT. You'll have a great time and the writers are fantastic, but everything in the chatroom is logged, Goss goes back and reads it later and will take offense at entirely inoffensive comments. I did not know this golden rule, and often hung out in the chat room. Goss posted a giant topic about how she was 'bored, bored, bored, bored of Mizahar and wanted new ideas'. But like, four paragraphs longs. Because word count yo. Anywho, a friend in chat asked me to summarize it for him. So I did, as "Goss is bored and wants new ideas."

Cue the breakdown.

I was being dramatic, all I did was start trouble all the time, what was wrong with me, I was going to have fake plastic babies with the other 'troublemaker' in chat, etc etc on and on. And not in a fun way. Like, don't get me wrong, we often teased the shit out of each other in that chat, but you can tell the difference between something done in fun, and something done out of nastiness and cruelty.

So what did I do?

I told her she was being a bully, that I was going to write, and would be back later. And I logged out of chat. Never to log back in again because she permanently banned me from it.

When I argued that, pointed out she was breaking her own behavioural rules, it came out that Founders don't have any rules. So Gossamer has outright said she will behave however she likes and abuse whoever she wants for whatever reason she wants. She has said this. This is what you are secretly agreeing to when you join this site that looks like it has a reasonable ToS.

She shot several more jabs at me, how I must not have a life etc, must not have a mortgage, standard internet bullshit, until that was refuted too, a bunch of people quit, someone asked if she drove them away, she wanted to know why everyone thought things were her fault, I suggested perhaps if she wanted positivity she should behave in a positive manner, I'm now permanently banned forever.

Because I do not tolerate bullying.

That's my experience on Miz. Loved the world, it might be a bit cliche but its fun, loved the writers, they are truly fantastic, invested time, money and love, wanted to help more, was banned for summarizing a post accurately.

I was Fiachra on Miz, I am now on Standing Trials, much more fun, come write with me!

Oh, as a side note, my scrapbook, where all of this was chronicled was deleted, because unfortunately it couldn't be easily slanted to make me look like an unreasonable villain.

Write on Miz if you like, but don't get attached or care too much, it can and will be taken away from you regardless of what you put into it for nothing at a moments notice.
1
Sat Apr 23, 2016 6:29 pm Agoril If you truly can't handle this site anymore because of Gossamer, there's one that might be better for you with a lot of the chased away staff called Standing Trials, look it up. It has an experience system just like the one on Miz while things are more loose and positive there. It's a huge weight off my shoulders since I moved.

I'm tired of a site where anyone who does anything of note or shows their creativity is immediately labeled a threat, and rules/information being created to label these players as unsavory or even to create a reason to ban them.
1
Fri Apr 15, 2016 4:53 am Wis I take back what I said before and my rating. Mizahar is a cesspit of thinly veiled drama. Have any of you played Borderlands 2 before? Well, Jen is Handsome Jack and the forum is her Pandora. 1
Thu Mar 31, 2016 8:16 am Wikus I laugh at these people who rated this site 10.

Mark my words, you'll regret all the time you wasted on this site.
1
Mon Jan 25, 2016 6:10 pm Azmere Enough said. 1
Wed Dec 23, 2015 2:24 pm Gingitsune Rummy I want everyone here who reads these reviews to just take a look at this log below before they regard or ignore any of the reviews below, good or bad. It paints a pretty clear picture of what's accurate and what's bs so read this make that determination yourself based on evidence instead of opinions.

People not directly involved in the conversation were cut because this thing would be half the web page if I posted the original log. Some names were hidden because she will go on a banning spree if given the chance.

THIS IS THE IMAGE SHE GOES ON A TANGENT OVER: http://i.imgur.com/STp6kIQ.png

=====

(16:09:08) ChatBot: Gossamer logs into the Chat.
(16:09:32) Gossamer: Boob girl is arguing with me. Poor thing.
(16:09:59) Xen: these are pretty cool though, Ashen
(16:10:10) Ashen_Shrike: :|
(16:10:15) Brandon_Blackwing: Boob girl?
(16:10:15) Ashen_Shrike: Those are amazing indeed.
(16:10:21) Ashen_Shrike: <- boob girl
(16:10:37) Brandon_Blackwing: 8o
(16:10:48) Brandon_Blackwing: What kind of nickname is that?
(16:10:51) Gossamer: Ashen lol
(16:11:04) Brandon_Blackwing: Hello Goss, btw
(16:11:06) Firenze: Welcome back Goss
(16:11:17) Kiva: Who is boob girl?
(16:11:24) Kiva: AH.
(16:11:38) Ashen_Shrike: I wasn't arguing with you. I gave you the permissions you needed, made a casual joke and asked if we could be cool with each other. :(
(16:12:01) Gossamer: Chat was cheering me on this morning for cracking down on her boob filled avatar
(16:12:17) Ashen_Shrike feels uncomfortable
(16:12:22) Gossamer: Yes hon you were. You even played the "
(16:12:33) Ashen_Shrike: The what?
(16:12:37) Gossamer: My daddy is a lawyer" card
(16:12:57) Ashen_Shrike: I specifically said I could verify that it wasn't breaking a copyright law and that you should feel at ease.
(16:13:10) Ashen_Shrike feels really uncomfortable
(16:13:57) Eleazar_Victor_Syroin: I come back to 'boob girl'???
(16:14:08) Gossamer: The logout button is up top
(16:14:10) Brandon_Blackwing: Welcome to the club Elea
(16:14:57) Gossamer: And I think now you know how the rest of us feel looking at your huge boobed avatar and box code depicting a little girl in underwear
(16:15:12) Kiva: Well, I have some stuff I gotta write.
(16:15:29) Kiva: If you need me, whisper.
(16:15:30) Nivel: yup gotta go do some stuff
(16:15:31) Gossamer: Funny. Now you're booted from Cyphrus.
(16:15:32) Brandon_Blackwing: ... I haven't seen any of that
(16:15:56) Ashen_Shrike: :O
(16:16:19) Gossamer: I'm very protective of this site.
(16:16:51) Ashen_Shrike: Goss, I removed the avatar hours ago...
(16:17:06) Ashen_Shrike: Look by my account, nothing there.
(16:17:32) [REDACTED]: (whispers) I??d just let it :/
(16:17:34) Ashen_Shrike: :(
(16:17:51) Ashen_Shrike: (whispers to [REDACTED]) I can't even say anything. Nothing civil at all. :( I'm like, freaking out.
(16:18:16) Ashen_Shrike: (whispers to [REDACTED]) "Letting it" means complying and being kicked out of a city anyways.
(16:18:39) [REDACTED]: (whispers) Goss REALLY dislikes anime based avatars. Oh crap, I meant ??Let it go??
(16:19:54) [REDACTED]: (whispers) If you did what she asked you to, then there shouldn??t be a problem/need to freak out.
(16:19:58) Ashen_Shrike: I know you meant that, don't worry. :) Also that's a pity. Most of my personal artwork is manga, anime and some mech stuff for a game called MWO.

^ [I meant to private-message the person I was talking with, not Gossamer, but I must've misclicked over the whisper button]

(16:20:01) Gossamer: Good. Then there is no reason to keep arguing with me in pms as to why you can use the images.
(16:20:06) Ashen_Shrike: Whisper why you fail me.
(16:21:03) Gossamer: Thus is not a porn site. Even soft core.
(16:21:29) Ashen_Shrike: Goss, the image's long gone. The PM only consisted of "It was removed a long time ago. There's no attitude or arguing."
(16:22:41) Levi_Remilian: Anywho, shall we continue on to a better future yes?
(16:22:43) Faradae: You missed an interesting conversation.
(16:22:49) Gossamer: I have no issue posting them publicly
(16:22:54) [REDACTED]: (whispers) I saw your avatar before and didn??t think much of it <.< I??d leave things and move on, man
(16:23:28) Ashen_Shrike: (whispers to [REDACTED]) It's not like I need to tell you I did what she asked. Anyway sorry, there's no reason for you to have to be involved. Thanks for the help though.
(16:23:31) Alses: Evidently, Fara...I'm in two minds as to whether I want to know or not :P
(16:23:46) Ashen_Shrike: (whispers to [REDACTED]) I'm trying to. I'm being retroactively bashed even when I'm quiet.
(16:23:46) Faradae: You don't.
(16:23:47) Gossamer: You don't want to know.
(16:24:02) Alses: In which case I shall remain in blissful ignorance.
(16:24:14) Gossamer: Kiddy porn and boobs. That's all I need to say.
(16:24:39) Brandon_Blackwing: Those of the boxcodes, Goss?
(16:24:55) Alses: How delightful :(
(16:24:59) Levi_Remilian: Anyways can we put that in the past if it's being corrected and dealt with?
(16:25:22) Faradae: I see Levi has had enough of it.
(16:25:26) Faradae: We shall respect that.
(16:25:54) Levi_Remilian: If it's being fixed up then it is all good, aye?
(16:26:18) Levi_Remilian: Writing a training thread turned rather emotional
(16:26:37) [REDACTED]: (whispers) I had the same problem with my anime avatar some months ago (I didn??t know some were that upset about it) I just didn??t want to see someone else go through that.
(16:27:38) Gossamer: Sometimes bringing it out in the public is the only way to get this resolved. Believe me. Embarrassing someone works a lot faster than trying to talk sense into the senseless.
(16:31:44) Ashen_Shrike: (whispers to [REDACTED]) She has a problem with the "boob girl" but not the other character with no boobs. She's basically tried to repeatedly call me a pedophile in chat in front of everyone, meaning she is trying to humiliate me into leaving with the conscious intent of causing humiliation. I didn't have a problem with removing it when she said she felt it was too provocative. Suddenly it's "softcore kiddy porn". I have a problem with her trying to attack my person well after it's been removed as requested. Apologies equal arguments to her.
(16:35:14) [REDACTED]: (whispers) Do you have any regular pics of your avatar-pick? Goss may check out your post templates as well and delete them. I believe she will calm down after a pause, though.
(16:36:17) Ashen_Shrike: (whispers to [REDACTED]) I have them all backed up. It was other members of this site that made them for me. She's no "champion of the people." That's what salts the wounds. Nobody reported the thing. It was all personal. Like the attacks. :(
(16:41:00) [REDACTED]: (whispers) She??ll hold you accountable for the templates and box codes you currently have now (Even though you didn??t make them). I can see that you??re unhappy, but I??d just remove the templates and find less revealing images. It??ll make her happy and she??ll leave ya be.
(16:42:49) Gossamer: Chat program coders can be real sobs
(16:43:11) Gossamer: Ajax and other chats have an addon feature called addlag
(16:43:38) Gossamer: So if someone is trolling you can.lag them out without a confrontation
(16:43:53) Eleazar_Victor_Syroin: Really?
(16:43:59) Gossamer: Or an obvious boot
(16:44:10) Gossamer: Yep. We didn't install the addon.
(16:44:17) Ashen_Shrike: (whispers to [REDACTED]) I understand and I would not use them again, but the lashing out on me and all the false accusations can't be undone. It's probably for the best that I leave because I don't see her ever being amicable with me. I've tried and tried.
(16:45:44) Ashen_Shrike: (whispers to [REDACTED]) From the sound of it, it doesn't seem like I'm going to be allowed to enjoy being here anyways. It was nice talking to you though. I appreciate your effort. Good luck with plots and RP and stuff, man.
(16:46:29) [REDACTED]: (whispers) Awwww... See ya later then, Ashen ): You don??t need to leave the site really.
(16:48:23) Ashen_Shrike: (whispers to [REDACTED]) It's not my choice. I'm almost certain she is either trying to "AddLag" me or cut off service some how.
(16:50:46) [REDACTED]: (whispers) I??d just make another account, if that??s the case. I got into trouble with Goss before too and it wasn??t nice (I was my fault actually) I just fixed my mistakes and things went well. You can do the same.
(16:53:29) Ashen_Shrike: (whispers to [REDACTED]) Look, I'll be honest. I don't have a single friend who didn't either quit dry or was banned. Some (plural) were storytellers, good writers and good people liked by many. Making an account isn't going to change anything. What if it happens to that account? What about all the other people who were wrongly harassed? I'm not saying anything about Gossamer. All I'm saying is that I don't want to just proxy around the problem. Leaving at least leaves a more shaming-free chat for you guys without seeing that kind of stuff.
(16:56:01) Ashen_Shrike: (whispers to [REDACTED]) She'll read through the logs eventually anyway. It's too irresistible. It's best if we just don't talk anymore. I don't want to drag you into any trouble.

=====

All of the above reads as a self-serving, vindictive, spiteful, narcissistic and verbally abusive grump. She is truly convinced she is a Champion of the People and that what she is doing is for the greater good of everyone. In reality, she made several people leave the chat with her persistent demeaning and ranting. I was a member for over three years without a single problem with anyone before. Let me repeat: it took three years for someone (really Gossamer) to have a problem with me. Sound fishy? I've had messages of condolence and sympathy from various, all in line with that of the above convo, but never one of them negative or discomforted by me. I've stood up for her before. I've talked on casual terms with her before. She is not only all of the above but a backstabber and that's the worst of all. Read Vannady's review, because before I did not believe but now the true colours have shone through.

Let me be completely clear. She WILL wait for you to go offline, delete things if it protects her case and censor out details from anything she can get her hands on, then TURN people against you either with the half of the story that suits her or even with FORGED details! She will abuse her administrative powers!!!

I have nothing to say about her out of a grudge. These are just the facts, and they're in a place she can't hide them. Mizahar is great and always has been great but it's not worth the stress and risk of being verbally assaulted and manipulated if you're not going to kiss her feet 24/7.
1
Mon Oct 19, 2015 11:23 pm Vannady Sound the horns! The White Knights have arrived!

No, really, Gossamer designed the site herself and made it this way. And yes, there are plenty of people who start these kinds of sites with it being all about them without it being a blog; inviting other people to invest their time and effort is a great way to achieve a captive audience, and narcissistic personalities LOVE their captive audiences to inflict their supposed awesomeness upon. You're either naive or disingenuous for insisting otherwise. I'll be charitable and say it's the former, bless your heart.

There's no disputing that she's put a lot of time and effort into it. But it doesn't make it a true collaborative environment. Gossamer sets the rules, sets the priorities, hires and fires the enforcers, and basically makes every decision of consequence. And as the site runner, that's totally her call. But before they join, people are entitled to know that they are signing on to validate the narcissism of the site's true real founder, and that anybody unwilling to contribute towards that is going to end up in the trash can, from the lowest rank newbie to another supposed coeval Founder that didn't feel like toeing the line anymore. As this is a reviews site aimed towards informing would-be new members, this is vital and important information to know, and that is why it is the focus of my review; all the rest is marshmallow fluff if the resident tyrant has a tendency to siteban you on a whim, destroying any investment you may have put in, because you don't toe the political line with her just once.

You can kiss her butt all day long and it doesn't change things. If her fellow Founders abandoning ship isn't enough proof of that, why not browse her Scrapbook sometime? Go back a couple years, look at the names of the people heaping fulsome praise and telling her it's going to be all right... and count how many of those names are in retired gray. You can be with her 99% of the time but the 1% you aren't, to the offal bin with you, heathen!

This is made more entertaining because the woman often vacillates more than a goddamn weather vane in a hurricane, usually towards whatever interpretation of reality this week absolves her of any fault (key words there, people: nothing is ever that girl's fault). If you can keep up, good on you! The rest of us mere mortals are rather tired of catering to Caligulette's mood swings, though. And that's what you have to do if you want to get anywhere on this site, new peeps.

So please, White Knight Brigade, keep sounding the horns and deflecting from discussing the rot at the core. Yeah, you can try and keep your head down and not be the nail that's hammered down and through the damn board this week. Or you could eschew joining High School Mean Girls Simulator 2015 and find a roleplay where the drama's kept In Character. Your pick, guys and gals.

UPDATE: Keep riding, Light Brigade! She might even pretend to like you for another month or so before the obligatory toss in the rubbish heap!

But think on this: when every other Founder has had issues, they've just had them and moved on. Whenever she has an issue, the site is threatened with an imminent shutdown if people don't get in line. That should tell you who holds the reins if nothing else does. The power to destroy a thing is the most absolute of powers.

And stop blabbering the nonsense that I'm obviously some johnny-come-lately who can't read. I was there when Jen and GP were skulking around pretending to still do work on Alleria while recruiting enough of us to get this thing going. Jen knows who I am and where she screwed up and the rest of you aren't entitled to a more recognizable name. I know exactly how those articles get approved regardless of whoever has their name stamped on it now. That I'm telling it like it is now from my cushy couch out in Exile is a matter of sparing people a lot of grief. Getting to return a favor with interest is just icing on the cake.

You can join and have fun for a bit, kids. It all goes away the moment you trigger Missus Even-My-Own-Mother-Didn't-Have-Anything-Nice-To-Say-About-Me-In-Her-Will. Who knows, maybe somebody really will get off on that kind of tension and like the site.

P.S. Gingitsune, bless your little heart, you obviously aren't tired enough because you still keep trying, dear.
1
Tue Oct 06, 2015 5:37 pm SheKindaHotThough This is going to be a two-part review. The first part is aimed at people who are wondering if they should join Mizahar. The second part is at people who currently roleplay on Mizahar.

Potential newcomers. Should you join? No. The game has been running for about six years now and still has massive amounts of incomplete information in the lore. The member count is dropping. The site is no longer one of the more popular fantasy RP sites on the web, no matter what statistics the administrator will attempt to throw at you. While there are certainly a ton of accounts and a ton of posts, that isn't an accurate representation of ACTIVE non-spam accounts that are making regular posts. Some of the forums are plagued with spam, the person who controls the forum software and handles the website upkeep is barely around, the wiki is an unorganized mess, and the game systems force all advancement in the game to progress at an incredibly slow rate. Yes, there are many talented writers and many interesting stories to be had. However, there are MANY other sites out there. Do a Google search for RPG Directory. Please, save yourself a lot of heartache and wasted time.

Current members. I have been a part of Mizahar ever since the very year it opened. I have been a teacher's pet and I have been banned. I have been praised for my writing and scorned for it. I have been told I am an amazing person and a horrible one, all by the same person. I've been a member of staff multiple times, written and published lore to the wiki, helped introduce new concepts and determine who should recieve monthly awards. I feel like I have seen more of Mizahar than almost anyone left remaining on the site, and I feel that it will hit home with a lot of people when I say that you aren't there for MIZAHAR. You are there because of the character you have spent so much time making. You are there because of the many friends you have made and the many talented writers you have written with. You are there because you have dedicated so much time and effort and came so very far from where you first started. You are there because there are plenty of people to write with and even a chat room to socialize in. Maybe you are popular. Maybe you are accepted.

Maybe you turn a blind eye to many of the things that happen in Mizahar because it hurts to let those things go. You have probably seen someone bullied or questioned why someone was banned. You have probably realized that there is a single person with such a level of power that the site could be shut down at a whim, but you just deal with it all. You smile and you say nice things, or you go about your day and you just try your best to avoid the powers that be. How much time have dedicated to all of this? How much effort have you put into your writing? I know I speak for many writers when I say that I pour my heart into many of my words. It is hard to let that go.

But I really think it is best if you do. You know it is toxic. You know there are things that will never change. You know that you are a Storyteller or a Grader so that you can make the experience better for your fellow players, even if you quietly despise the way that many things are handled. You know that the only reason you linger is because it is so incredibly hard to take all that work you have put into a character and just... walk away. Go take a look at your character sheet right now. Think about how far you have come. Think about how long it took you to get here. Think about where you want to go and what story you want to write. Think about how long that will take. Think about if you can really dedicate yourself to it all.

If you linger because of your friends, I bet a lot of them linger because of you. If you linger because you believe there is no other place out there for you, "shekindahotthough@gmail.com" is my email address. I can introduce you to a variety of forums in any genre. I know a ton of players that have left, if you are hoping to get back in touch with writing contacts that you have lost. In short, I know there are a lot of excuses you can think of to why you should stay. And that just empowers her. That just makes her think it is all about what she has done when everyone just wishes someone else could take her position. She'll claim the site would never be where it is now if she wasn't in control. But she has driven almost all of the other Founders away and will NEVER give up control to anyone else.

There are many of you whom I adore and care for, both as a writer and a person. I wish each of you the absolute best.
1
Mon Oct 05, 2015 2:19 pm Raphael I'm giving this website a 1 based on a few reasons that actually don't necessarily have to do with the content of the RP, but instead I am basing this rating on how much enjoyment vs. stress, frustration and irritation you will experience upon joining Miz. This is my review as someone who has been on this website for years.

Let me start off by saying that Raphael is not my username on Mizahar, but I have to conceal my actual username because if I did reveal it, I would likely be banned, considering the lead admin stalks this review page and holds it against people if they post poor reviews about the website... especially if she's reviewed poorly as well. That's not to say I am afraid of getting banned, as in fact I sort of hate this website (you'll see why later), but I have friends that I may want to plot with again down the line and for this reason I'd like to be able to post on the website.

Fact is, Mizahar itself is not a bad role-play. There is a lot of lore that can be very interesting, as it has been created and polished by many skilled writers over many years. There are plenty of good roleplayers and good people on Mizahar, though I will say that the majority of them leave early because the environment of the website does not support "good people" so much as it supports people willing to be intimidated and shamed in order to continue their RP.

Almost the entirety of Miz's issue all boils down to the lead administrator, Gossamer. I'll start off by saying that Gossamer wasn't always the lead administrator, nor was she supposed to be. Tarot honestly has the most power, considering he can shut down the website if he desires to, but Gossamer is the only high-ranking admin that really has influence at this point. The reason for this is that early on in Miz's lifespan, she managed to harass, belittle and assault the psyche of other Founders to the point that they simply left the website. These Founders were Cayenne and Colombina. Cayenne was actually [retired] by Gossamer, even though that isn't allowed considering they're of equal rank. Now that they are gone, Gossamer has complete authority over all that happens on Mizahar. Considering the other two remaining Founders are A. her husband, and B. someone who almost never gets on, you can consider her the sole authority.

In order to be a mod, you must be completely whipped by her. That is the first and foremost requirement. She requires that her staff are basically always on her side, invariably. This includes whatever whim she decides to latch her changeable and jealous mind to; for example, if you look down you'll see Taylani's review where she states that Gossamer randomly decided after she obviously grew jealous and irritated about one of her RP partners posting more with Taylani, that she would target Taylani and become critical and hateful of her actions. This is not an isolated incident. This is the NORM on Mizahar. Gossamer plays favorites for about two seconds, changes favorites, and then her old star pupils are her scorn. She reminds me of a modern-day Henry the 8th. I'm sure if she actually did have the authority to execute us in real life, she would have her guillotine ready. Of course, this is a psychological issue. Gossamer quite clearly has mental illnesses that need to be addressed, but everyone on the site is so terrified that they'll get banned and lose their progress in an RP that takes SO MUCH TIME to advance in... that they just don't say anything.

We ALL know you have mental illnesses, Gossamer. Before you bother to try and discover who I am, just remember that I'm not the only person who feels this way. It's the [majority] of the website. It's time to stop accusing them of hating you and stop self-victimizing and see that you're your own enemy.

Now, for the person actually reading this review, I will simply warn you to never join. This place is the Jonestown of RP. It is led by a complete sociopath with a control complex worse than the ruling family of North Korea. Gossamer is delusional, petty, and flat-out cruel. She doesn't see you as anything more than a wild card in a really, really rigged card game. If she can get some enjoyment out of toying with you, then she'll keep you around, whether that means playing favorites with you or degrading you as a human being.

And that's something she does a lot, too. Just recently, she banned a member [again] (when they never did anything ban-worthy in the first place) and after banning them, went on a thunderous rant where she quite literally called this member a skank, a bitch, an attention whore, and all sorts of completely cruel and unnecessary comments. She's just a bad person.

And it leaks out EVERYWHERE. As I've stated earlier, EVERYTHING on Mizahar comes down to Goss in the end. She controls everything that happens. Approvals in this RP are anal as hell and they always come down to Founder approval. She will not approve your plots or anything that you may possibly wish to use as a writing tool if she doesn't like you, and she is brutally honest about that fact. Considering she constantly changes who she likes, too, good luck keeping anything you've submitted; her whims will blow it all away.

TL;DR, this RP is a giant waste of time and the lead administrator should be the star of her own TV show where we "explore the riveting inner lunacy of the most crazy psychobitch ever invented".

Will update this review if I get banned, which is likely. Cheers!
1
Wed Jul 15, 2015 5:10 pm KnutIronborne First of all, this site isn't ordinal at all. I get that nowadays with so many sites and so many franchises its hard to be original but if you specifically say your site is original it has to be original.

"500 years after the destruction of civilization" - You wouldn't believe this with cities like Riverfall where my first couple of seasons was endless array of parties and festivals celebrating the most stupid things (My personal favorite was Sweetday!).

"countless factions" - That don't interact with each other at all. If you write on this site for a while, you start to forget there are other cities at all unless you have alts in other cities. There is no tension between these city states shown apart from a passing reference in a cities codex and most these factions are just ripped off other sites.

"meddling gods" - Haha, two years I wrote on this city and I never saw one god even appearing, never mind meddling. It might be because nearly 95% of all STs end up leaving so there's no one to mod threads, it might be because if you asked the HD you'd get a grumpy reply from a Founder essentially complaining about their own life and telling you to piss off.

"unique races" - Yeah, no... You can see 99% of the lore regarding these races has been copied and pasted then generally made Caucasian and given a specific hair colour thus making it unique.

This site is a great place to relieve you high school years in chat; obvious cliques, miserable teachers (or veterans as you might call them in chat) that hate newbies and a headteacher with a god complex. Enjoy!
1
Mon Jun 15, 2015 4:47 pm nickout i have nothing to say...

i just want people to know this game is bad.
1
Mon Apr 27, 2015 3:14 pm ♤♡◇♧ There is Fallon, always code savvy and eager to help those willing to listen. There may have been times when I stubbornly dejected it but appearances are decieving. I always secretly appreciated that helping hand.

You have Ball, a genuine character and a seriously chill guy. Fun and charming it's no suprise this guy is spoken for.

And then Philomena where do I begin her writing the textbook definition of artistic articulation. The words wove stories not of warriors and mages but something deeper, she was never afraid to get real. There are so many layers of depth in her work, it's a regret I never got to write with her.

To Kailily, I never had the pleasure of making your aquaintance. But I felt a kindred spirit as your words set ablaze the forum, deepest sympathy in regards of how the community railroaded and betrayed you. I marveled at your technical ingenuity and formidable verbal supremecy. You proved that xp is useless without the literary talent to back it up, unfortunately at the cost of everything.

Aventis another seriously great guy, just like Fallon always helping others find there way around the dauntingly endless lore. I don't think I've ever felt so welcomed in a new environment before.

Now that I've had a few minutes to cultivate my thoughts I'll share the fruit of my labor.

In my eye Mizahar was an exasperating experience, daunting character sheets that demanded you followed certain criteria in order to ascertain the character arch type you wanted only to have whiners snivel about how clich?? the required pre-fabrication backstory is.
Coming from sahova, university z, or some other crap hole establishment is enough ammunition for the envious to take a shot at you.

Certain game masters were particular douchebags and others at heart were doing what they felt was right and I respect them. However when an overwhelming majority only run singular 3go stroke quests for characters that belong to other game masters. It turns moderation into a bit of a circle jerk in my honest opinionated opinion.

The chat room was sub par, nice people sometimes but sort of eye opening. Some of them literally have no life, and others revert to trogolodites the moment the room is not supervised. It's a classless cocktail of sad and pathetic shaken not stirred.

There's a certain cult like tapestry thats woven into the social fabric of the game. It revolves around grinding your personality to hamburger followed by a subtle brainwashing where you begin seeking approval or validation through them until finally becoming a mindless thrall. It's been said you need to kiss ass to go anywhere, completely true and you better pucker up if you want a starting gnosis.

Major points off for seriously glaring favoritism problems amongst staff and players. This includes players using player accounts to perform staff functions like grading which comes with a 100% guarantee you will get your nuts polished everytime you step in chat.

Onto grading oh boy, this one.
For a game that prides itself in creative writing they often prefer huge blotches of regurgitated verbal diarrhea that spews across several pages in the form of mind numbing text that's painful to read to the point the grader throws a +5 just to stamp and be done with it.
The person that writes short sweet posts loaded with content in an easy three or four paragraphs gets a +1 or +2

Avatars sure you can have them but if they aren't a real life supermodel, movie star, or anything thespian related you will receive judgement and persecution from staff and players brown nosing staff alike.

The Help Desk is a disorganized and disheveled dump. You want to have a conversation with a blue but you get a green, why bother hitting the stupid name button or having it there in the first place?

Getting blocked from an adult conversation with a founder is bullshit. I wanted to say sorry sweety finish your easy mac and let the grown ups chat and if your a good little boy/girl we will get you ice cream later.

Mirage when I mentioned douchebags earlier this one takes the cake. You have a game master with outrageous amounts of influence that might as well make that staff account a blue. This one knows who to smile and play nice with and who can be punished harshly for the slightest grievances. I have seen this on several occasions and was nonchalantly dismissed publicly once or twice which promptly left a lasting impression. This game master is too big for there britches and the stories I've heard that circulate around this one are unpalatable.

Gossamer on the other hand I actually liked, she has her shit together and runs the forum presumably by herself and makes those hard decisions everyone else would shrink away from. I get a tough but fair vibe from her ~sometimes~. However with an alleged history of favoring staff over players she has tarnished her reputation a fair bit.

My brief tenure there while short lived was revealing.
I refused to forfeit my originality and substance for a lot of ostriches with there head in the dirt
1
Thu Jan 22, 2015 11:21 pm Jin Churiki I've tried out Mizahar for at least three months on two separate characters. One didn't even get off the ground and I lost interest in the other for the reasons I will state below.

The storytellers. They were encouraging and helpful at first but after a while they became !@#$%s! And I really mean !@#$%s. For my character which I didn't even play, I did everything the storyteller asked for and then he got more and more demanding about it to the point I couldn't even bother to keep up anymore. Do X. Now Y. You left out Z even if it isn't required. The point is the standards are very different because I didn't have to go through all this trouble with my first character.

To my first character. No problems until a storyteller graded a thread and left out a lot of things. I pointed them out but he refused to correct stating something along the lines of "I can't see what I can't see" although its more of won't more than can't because everything I did is according to the wiki, the closest thing to setting down what I can and can't do and real things I've seen before. He also seems to change the facts as and when it suits him.

I also went to helpdesk to get some things which was denied because as the founder states what I did shouldn't be possible because of reasons. Reasons which are opposite of what the wiki and the location thread I followed states. She also goes on to make assumptions about things which after I clarified made her do the same thing as the storyteller from earlier did only she was more bitchy about it. At least she was honest about it when she said being contradicted even by the thing closest to established rules pisses her off and she wasn't going to budge because she is the person in power.

10/10 would not play again. At least MMOs where people buy their privileges are still bound with set rules programmed into the system. Not by flawed individuals which allow the power to get into their head.
1
Sun Jul 27, 2014 1:33 pm Taylani Shayna 1. The site is the biggest .. but ask yourself why. It's the biggest because on the surface it is easy to use, people can make pretty posts. The Lore (again on the surface) is expansive and detailed.. You start a character all excited.. then realize the same handful of people play with each other and it is HARD to get a foot in the door. Your ridiculed and made fun of. If it wasn't for the awesome ST of Endrykas I would have left after my first two or three characters got kicked to the side by Moderators because I didn't know how to get started. Fortunately (or unfortunately because let me tell you I wish I had never set foot in Miz) the ST of Endrykas was one of the few good ones. (and the reason why there is so few good ones is there is NO training of Mods and ST's. NO set "You can do this, you can do that" nothing just "Read this 50 page thread. And make sure you Run 1 quest, develop something, Grade" that is all. I know why? Because when people started to fuss (which I now no longer think they were fussing, just the founder lies so terribly much though I honestly think there is somethng wrong with her that she believes her lies.. it is not just me that this happened to its happened to COUNTLESS ST's in Miz but yet its never her)

I digress. There was supposedly some fuss about my word count in Nano, so i stopped writing to give others a chance to win and threw myself into grading. I graded the crap out of things in the Month of November. I flew through 5 or 6 pages in places that hadn't had a ST so were so backlogged the PC's were pming me with "Thanks I didn't think I would ever get a grade". I bent backwards.. why I liked Miz and I love helping. So when Gossamer poked me and asked me to apply for AS ( her actual words were "If you wanted to apply fo AS in Cyphrus we would love to have you) I was like.. well I guess ok. I am that type of person, I see something that needs doing and I do it. With NO training thats exactly what I did.

I picked up a region whose "Big surprise" ST quit and left hanging.. a region that no one was writing in because there was NO activity and revived it. I brought back players who hadn't logged in there since the last ST had quit and I started stirring the IC stuff. I started to respond to player requests and suggestions. Goss knew I was doing this from the beginning, its why she gave me the ability to moderate (remove posts etc you notice not all ST's have that ability). She KNEW I was doing this and she fawned and gushed at me " I am so glad you took over Kenash I want to make you DS No one has to know how early it was that you applied as AS" blah blah blah. So I kept it up.

Fast forward to her PC's boyfriend character.. the person who played her PC's boyfriend had another character and he brought it to Kenash and my PC and his started writing.. she started to get mad that he wasn't ,spending as much time with her PC. The moment she started complaining to me about it I started to watch her threads with him and the moment she gave him a post he returned one within the next few hours. Yet she got more and more upset talking to me about it in AIM.. then suddenly eveyrthing I did was wrong. Nothing was right. .. and instead of saying "xx needs to be done xxx way" she would be rude demeaning and then at the very end was lying about wht she told me I could do.. and actually had me thinking that I was crazy..until I found out from other ST's that she ran off by doing the same thing.

Long story short I said fine and retired my AS.. then sat there and watch her belittle and lie about me in the open forums.. but I bit my tongue and was going to be the better person.. then she started to attack my PC's personally even when I pointed out lore of where I got that and she would say "Oh. Well that was for one specific incident and is not relevant." The kicker was when she was making up rules to hinder my PC and the PC who's player also played her PC's boyfriend development. I knew she wanted me gone... so I retired my characters and left.

I accidentally hit the site several months later because I pickd up my phone who I dont use the internet much for and it was the last site I had hit with it. I decided lets see how things are. I looked around and left. I didn't PM anyone I didn't Post anywhere nothing. One week later I was cleaning my browesers off my phone and the Miz site on the third tab showed I was banned.

So in the end Miz does have Lore going for it (though if you read carefully eveyr bit of lore is inspired and twisted bits from popular books) and that is literally it. People are encouraged to make multiple accounts one for each character so even the amount of users is a lie because "Technically" Your only allowed 5 players and 1 mod account but those of us who have been Mods there know that there are players with 10 characters.. ad retired characers are not deleted.

If you want to keep your head down, and never advance in Miz thenits a good place to write if you can get thread partners. If you want your character to be more then joe smoe the tailor with competent sewing skills you want a different site for anyone whose characters threaten the SOLE admin (I am sorry I do not believe for a moment that Tarot counts as admin as all he does is code and I really am sure that Gillar is now logged solely by Goss since their posts, their phrases are identical) sense of superiority then you are quickly banned and then drag through the mud.
1
Tue Jun 10, 2014 7:38 am fusrodah000 This site is bad. Just. Bad. Don't waste your time on it. Find something else. The only people that can stay are conformists that would give up their soul even if the whole world is burning around them.

Run away as fast as possible. RUN!
1
Thu Mar 28, 2013 7:10 pm Snolly As seen below, the admins are not content letting people state their own opinions about the site. While this is a review panel for opinions, the admins seem convinced that they are wrong, and simply assume the reviewer is a disgruntled player. Rule enforcing is fine, as is enforcing the law. Needlessly creating drama, playing favorites, reliving the highschool years they never had in a forum where they are the popular kids... that is not. The play experience is fine. The associated stigma is not. 1